kde4libs (4:4.14.12-0ubuntu2) wily; urgency=medium

  * Add kubuntu_breezify.patch to change default values from oxygen to breeze.

 -- Harald Sitter <sitter@kde.org>  Mon, 05 Oct 2015 16:18:38 +0200

kde4libs (4:4.14.12-0ubuntu1) wily; urgency=medium

  * New Upstream Release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 16:59:30 +0100

kde4libs (4:4.14.11-0ubuntu2) wily; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Aug 2015 11:54:29 +0100

kde4libs (4:4.14.11-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols files: mark as optional the symbols gone after building with
    GCC 5.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Aug 2015 10:04:36 +0100

kde4libs (4:4.14.7-4~ubuntu1) UNRELEASED; urgency=medium

  * New upstream release. 
  * Remove upstream_fixbic.diff applied upstream. 
  * Fix watch file
  * wrap-and-sort 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 16 Apr 2015 05:53:28 -0700

kde4libs (4:4.14.6-4~ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file 
  * Add upstream_fixbic.diff per:
    https://git.reviewboard.kde.org/r/122812 
  * Add patch to git.. 
  * git rm .directory files added by git add 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:03:01 -0700

kde4libs (4:4.14.5-4~ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Fix watch file new version 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:26:42 -0800

kde4libs (4:4.14.4-4~ubuntu1) UNRELEASED; urgency=medium

  * New upstream release for kde-applications.
  * Fix watch file for new location. 
  * Batchpatch symbols file: removed two optional Missing.
  * Removed 2 private symbols sortedKeys for nepomuk
  

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 05 Feb 2015 14:49:07 +0000

kde4libs (4:4.14.2-4~ubuntu3) vivid; urgency=medium

  * Readd kdelibs5-plugins depends on katepart

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 26 Nov 2014 23:41:37 +0100

kde4libs (4:4.14.2-4~ubuntu2) vivid; urgency=medium

  * Remove katepart from the kdelibs5-plugins depends to allow kate to build 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 26 Nov 2014 00:12:14 +0100

kde4libs (4:4.14.2-4~ubuntu1) vivid; urgency=medium

  * Merge with Debian Git, remaining changes:
    - libkio5, libkhtml5, only suggest kdelibs5-plugins
    - kdelibs5-plugins only suggests kde-runtime
    - kdelibs5-dev should not have perl depends
    - no build-dep on libaspell-dev, aspell
    - no build-dep on libfam-dev
    - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
    - kdelibs5-plugins.install:
      drop usr/share/kde4/apps/kconf_update/kdeui.upd
      and migrate_from_kde3_icon_theme
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - Don't set KDE4_USE_ALWAYS_FULL_RPATH, support for it was removed
      ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)
    - Remove build-dep on libsoprano-dev and shared-desktop-ontologies to
      stop nepomuk being built, replaced by baloo
    - Remove nepomuk library packages and depends
    - don't use patches which do not apply hurd_support.diff,
      kfreebsd_support.diff
    - don't use use_dejavu_as_default_font.diff as we use Ubuntu font

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2014 15:16:50 +0100

kde4libs (4:4.14.2-4~) UNRELEASED; urgency=medium

  [ Thorsten Glaser ]
  * Fix symbols for x32 (Closes: #760333)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Oct 2014 22:39:35 +0200

kde4libs (4:4.14.2-3) unstable; urgency=medium

  * Manually fix symbols files.
  * Bump Standards-Version to 3.9.6, no changes needed

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Oct 2014 04:36:46 +0200

kde4libs (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files from buildds logs (4:4.14.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Oct 2014 16:25:54 +0200

kde4libs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.14.1-1).
  * Remove upstream applied patch: skip_kmountpointtest_if_no_mtab
  * Remove upstream patch: upstream-copyjob.cpp.diff
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:49 +0200

kde4libs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * New patch: skip_kmountpointtest_if_no_mtab
  * New upstream patch: upstream-copyjob.cpp.diff
  * Update symbols files from buildd logs (4:4.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 16 Sep 2014 23:04:27 +0200

kde4libs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with the 4:4.13.3 build logs.
  * Remove upstream patches.
  * Refresh patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 05:25:38 +0200

kde4libs (4:4.13.3-2) unstable; urgency=medium

  * Update symbols with the buildds logs.
  * New upstream patch: upstream_use-dbus-system-bus-name-instead-of-
    pid.patch (Closes: #755814) Fixes: CVE-2014-5033

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 11:36:21 +0200

kde4libs (4:4.13.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update symbols files with 4:4.13.1-1 build logs.
  * New patch: fix_solidlex_destroy_signature.patch. (Closes: #749227)
    Thanks to Michael Tautschnig.
  * New upstream release. (Closes: #752052, #749769)
  * Refresh patches.
  * Update symbols files.

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Jul 2014 09:14:12 +0200

kde4libs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:44:39 +0200

kde4libs (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Update symbols files for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 10:02:40 +0200

kde4libs (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Build using the default GCC everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 08:47:22 +0200

kde4libs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:45:24 +0200

kde4libs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:31:10 +0200

kde4libs (4:4.13.95-0ubuntu6) utopic; urgency=medium

  * Remove neopomuk saveversiondep in debain/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Jul 2014 10:24:41 +0200

kde4libs (4:4.13.95-0ubuntu5) utopic; urgency=medium

  * Update symbols files for new GCC

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2014 19:34:02 +0200

kde4libs (4:4.13.95-0ubuntu4) utopic; urgency=medium

  * Remove build-dep on libsoprano-dev and shared-desktop-ontologies to
    stop nepomuk being built, replaced by baloo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jul 2014 16:59:30 +0200

kde4libs (4:4.13.95-0ubuntu3) utopic; urgency=medium

  * Refresh symbols again to fix the missing ones on armhf

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 Jul 2014 16:55:11 +0200

kde4libs (4:4.13.95-0ubuntu2) utopic; urgency=medium

  * Update symbols for ppc64el

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 Jul 2014 00:50:02 +0200

kde4libs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 07:23:11 -0700

kde4libs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:18:37 -0700

kde4libs (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * debian/patches/fix-qfile-include.patch: Fix QFile include to resolve
    FTBFS of packages that include kio/global.h header.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Jun 2014 06:46:40 +0100

kde4libs (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * SECURITY UPDATE: Fix KMail/KIO SSL flaw
    - CVE-2014-3494 (LP: #1332064)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 15:18:47 +0200

kde4libs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release
  * Remove kubuntu_meinproc-libxml-fix.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:38:17 +0100

kde4libs (4:4.13.1-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Ubuntu uses iputils-ping instead of inetutils-ping

  [ Jonathan Riddell ]
  * New upstream release
  * Merge with Debian git, remaining changes as below

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 May 2014 17:37:06 +0100

kde4libs (4:4.13.1-2) UNRELEASED; urgency=medium

  * Update symbols files with 4:4.13.1-1 build logs.
  * New patch: fix_solidlex_destroy_signature.patch. (Closes: #749227)
    Thanks to Michael Tautschnig.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 May 2014 13:21:15 +0200

kde4libs (4:4.13.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch ttf-dejavu recommend in kdelibs5-plugins to fonts-dejavu.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove patch: kstringhandlertest_fix.diff, applied upstream.
  * Update symbols for 4.12.4 versions.
  * Update symbols files.
  * New upstream patch: upstream-
    make_include_style_be_the_same_for_QtCore.patch (Closes: #748147)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 15 May 2014 14:29:17 +0200

kde4libs (4:4.13.0-0ubuntu5) utopic; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security
    fix broke it LP: #1324066

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 May 2014 13:15:55 +0100

kde4libs (4:4.13.0-0ubuntu4) utopic; urgency=medium

  * Drop kubuntu_no_KDE4_BUILD_TESTS.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 27 May 2014 15:19:28 +0200

kde4libs (4:4.13.0-0ubuntu3) utopic; urgency=medium

  [ Rohan Garg ]
  * Add missing header for autopkgtest

  [ Jonathan Riddell ]
  * Update kubuntu_add_langpack_path.diff with locale-kdelibs4 for moved
    language packs for compatibilty with KF5

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 07 May 2014 11:51:08 +0200

kde4libs (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - libkio5, libkhtml5, only suggest kdelibs5-plugins
    - kdelibs5-plugins only suggests kde-runtime
    - kdelibs5-dev should not have perl depends
    - no build-dep on libaspell-dev, aspell
    - no build-dep on libfam-dev
    - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - Don't set KDE4_USE_ALWAYS_FULL_RPATH, support for it was removed
      ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)
    - Build-depend on g++-4.7 on armhf to work around ICE in g++-4.8

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 06 May 2014 18:14:50 +0200

kde4libs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:47:58 +0100

kde4libs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:18:42 +0200

kde4libs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * kdelibs5-dev breaks/replaces pkg-kde-tools (<< 0.15.3ubuntu5)
    (for /usr/bin/preparetips)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:06:39 +0100

kde4libs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:46:54 +0000

kde4libs (4:4.12.4-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Switch ttf-dejavu recommend in kdelibs5-plugins to fonts-dejavu.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 May 2014 09:38:15 +0200

kde4libs (4:4.12.4-1) unstable; urgency=medium

  * Update copyright Upstream-Name.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:14 +0200

kde4libs (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:06 +0100

kde4libs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:35:21 +0100

kde4libs (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Confirm symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove patch: fix_kptyprocesstest.diff
  * Refresh patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:25 +0100

kde4libs (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 13:09:52 +0000

kde4libs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release
  * Update relax_plugin_kde_version_check.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:43:34 +0000

kde4libs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:02:11 +0000

kde4libs (4:4.12.0-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release

  [ Dimitri John Ledkov ]
  * Drop perl dependency from kdelibs5-dev, since wrong arch perl is
    pulled in and perl is guaranteed to be present anyway, since it's
    build-essential.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:33:28 +0000

kde4libs (4:4.11.97-0ubuntu2) trusty; urgency=low

  * Add kubuntu_raise_after_drkonqi.patch (whoopsie-integration-set).
    This patch enables KCrash to check for /var/crash/$app.$uid.drkonqi-accept
    after drkonqi terminated. If the file is found instead of _exiting it
    will unset the KDE crash handlers and re-raise the signal. This will
    cause a core dump which is processed by apport into an apport crash report.
    Kubuntu-notitification-helper can then use the report and drkonqi-accept
    file to submit the crash via whoopsie.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 12 Dec 2013 12:40:45 +0100

kde4libs (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:39:31 +0000

kde4libs (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 25 Nov 2013 17:50:27 +0100

kde4libs (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
  * Drop kubuntu_solid_udev_processor.diff, applied upstream

  [ Philip Muškovac ]
  * Refresh symbol files
  * Drop missing manpage from kdelibs5-dev.install 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:31:29 +0100

kde4libs (4:4.11.5-3) unstable; urgency=medium

  * Update symbols files with buildd's logs (Closes: #741290).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 10 Apr 2014 14:29:26 -0300

kde4libs (4:4.11.5-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Confirm symbols (Closes: #741290).
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 08 Apr 2014 22:03:50 -0300

kde4libs (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Update qt4_designer_plugins_path.diff, install qt4 plugins in ma
    paths.
  * New patch: kde4libs_interpret_qvarianttype_as_qmetatypetype.diff
  * Enable build failures on missing symbols.
  * Add autopkgtest.
  * New patch: debian_standardsdirtest.diff
  * New patch: kstringhandlertest_fix.diff
  * New patch: disable_bogus_test.diff
  * Update symbols.
  * New patch: fix_kptyprocesstest.diff
  * New patch: disable_bogus_tests

 -- Maximiliano Curia <maxy@debian.org>  Tue, 14 Jan 2014 21:44:47 -0300

kde4libs (4:4.11.3-2) unstable; urgency=low

  * New patch kfreebsd_acl.diff, to fix build in kfreebsd-*.
  * Refresh symbols files.
  * New patch cmake_compatibility.diff, install kdecmake.1.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 10:40:52 +0100

kde4libs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to udisks2 backend, thanks to Michael Biebl. (Closes: #718456)
  * Update symbols files.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 11:50:02 +0100

kde4libs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Remove obsolete and outdated installgen.

  [ Maximiliano Curia ]
  * Merge with kde4libs (4:4.8.4-4) unstable; urgency=low.
    - Fix changelog typo. (Closes: #692398)
  * Remove fix-copying-of-files-with-extended-ACLs.patch (added in last
    merge), already applied upstream.
  * Refresh patches.
  * Update symbol files.
  * Add new header files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:35:10 +0200

kde4libs (4:4.11.2-0ubuntu4) trusty; urgency=low

  * Add kubuntu_solid_udev_processor.diff LP: #1245542
    "Solid can not read processor information"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Oct 2013 16:13:31 +0000

kde4libs (4:4.11.2-0ubuntu3) trusty; urgency=low

  * Build-Depend on grantlee on arm64 again; libqt4-script no longer segfaults
    everywhere.

 -- William Grant <wgrant@ubuntu.com>  Wed, 23 Oct 2013 21:49:12 +1100

kde4libs (4:4.11.2-0ubuntu2) saucy; urgency=low

  * Don't Build-Depend on grantlee on arm64. It's only used for tests, and
    libqt4-script is broken there.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Oct 2013 17:57:05 +1100

kde4libs (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:07:55 +0100

kde4libs (4:4.11.1a-0ubuntu1) saucy; urgency=low

  * Upload with new tarball

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 06 Sep 2013 22:15:44 +0100

kde4libs (4:4.11.1-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream bugfix release.

  [ Rohan Garg ]
  * Disable kfreebsd_support.diff, we don't need it,
    and the patch fails to apply
  * Refresh hurd_support.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 30 Aug 2013 22:52:12 +0530

kde4libs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:49:02 +0100

kde4libs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:16:16 +0100

kde4libs (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbols to libkdecore5 and libkio5
  * Use udisks2 instead of udisks

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:04 +0000

kde4libs (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Update symbol files for all archs 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 29 Jun 2013 01:32:26 +0200

kde4libs (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add new symbols and remove 2 symbols from libkio5 that were introduced
    in 4.10.80 (see f032f2d01bc99fade974412c95c071bb96a6ee11)
  * Add new headers to kdelibs5-dev.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Jun 2013 18:06:46 +0100

kde4libs (4:4.10.80-0ubuntu2) saucy; urgency=low

  * Build-depend on g++-4.7 on armhf to work around ICE in g++-4.8

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Jun 2013 16:34:05 -0600

kde4libs (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
  * Bump build-deps
    - shared-desktop-ontologies to 0.10.0
    - libattica-dev to 0.4.2
  * Update symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:06:33 +0100

kde4libs (4:4.10.5-1) unstable; urgency=low

  * New upstream release. (Closes: #697074)
  * Update symbols and bump shared-desktop-ontologies b-d to 0.11.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 14:27:27 +0200

kde4libs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix typo in description of libkunitconversion4. (Closes: #705955)

  [ Maximiliano Curia ]
  * Bump debhelper build-dep/compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Remove patch install_kcookiescfg.pl_with_exec_perms.diff.
  * Remove patch upstream_Remove-extra-sys-mount.h-include.patch.
  * Update symbols files to make lintian versions parser pass.
  * Update symbols, add new symbols:
    - libkdecore5.symbols
    - libktexteditor4.symbols
  * Use SSL/TLS certificates bundle from ca-certificates package, thanks to
    Thijs Kinkhorst <thijs@debian.org>. (Closes: #511597)
  * Avoid usage of HUpnp by config instead of Build-Conflicts.
  * Add myself to the Uploaders field.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove hal as libsolid4 dependency for non-linux archs, as it will get
    removed from Debian (Closes: #710198).

  [ Maximiliano Curia ]
  * Symbols update for libnepomuk4.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jun 2013 16:39:51 +0200

kde4libs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Jonathan Riddell ]
  * Update symbols files
  * Add missing build-depends on libgrantlee-dev

  [ Rohan Garg]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:25:38 +0100

kde4libs (4:4.10.3-0ubuntu4) saucy; urgency=low

  * cherry pick 9323adac35d40da69e3cb18504340e984c4afd05 from upstream
    as 0001-Fix-crash-when-quitting-apps.patch
    to fix a possible plasma crash when quitting applications.
    https://bugs.kde.org/show_bug.cgi?id=319137

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 10 May 2013 23:23:14 +0200

kde4libs (4:4.10.3-0ubuntu3) saucy; urgency=low

  * Add kubuntu_use_pretty_url.diff to hide passwords in notifications

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 09 May 2013 15:27:59 +0100

kde4libs (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Demote kdelib5-plugins and kde-runtime Recommends to Suggests again.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 May 2013 19:27:03 -0600

kde4libs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - no build-dep on libaspell-dev, aspell
    - no build-dep on libfam-dev
    - kdelibs5-data: don't install kspell_aspell.desktop
    - kdelibs5-plugins: don't install  usr/lib/kde4/kspell_aspell.so
    - Pass -DKDESU_USE_SUDO_DEFAULT=true to configure
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - don't apply use_dejavu_as_default_font.diff
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - don't build depend on libglu1-mesa-dev, unused
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
    - Don't set KDE4_USE_ALWAYS_FULL_RPATH, support for it was removed
      ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)
    - kubuntu_CVE-2009-2702.diff
    - kubuntu_add_langpack_path.diff
    - kubuntu_langpack_desktop_files.diff
    - kubuntu_patched_l10n.diff
    - kubuntu_revert_findpythonlibrary.diff
    - kubuntu_no_KDE4_BUILD_TESTS.diff
    - Add kdelibs-bin.postrm
  * do install preparetips, no longer gets in the way of pkg-kde-tools
  * drop kubuntu_cmake_install_paths.diff, not needed for ages,
    paths correctly passed on
  * drop kubuntu_rosetta_translation.diff, no longer true
  * kdelibs-bin replaces/breaks kdelibs5-plugins, debian put binaries in here
  * drop kdelibs5-data.links, very old
  * remove install_kcookiescfg.pl_with_exec_perms.diff now upstream
  * remove upstream_Remove-extra-sys-mount.h-include.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 May 2013 12:19:53 +0100

kde4libs (4:4.10.2-3) experimental; urgency=low

  * Ensure newer kde-runtime in dependencies.
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Mon, 22 Apr 2013 08:39:39 +0200

kde4libs (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Backport upstream commit a4dd84f42abea1ff9cdd15e156c63776c0bf854b to fix
    building on Hurd; patch upstream_Remove-extra-sys-mount.h-include.patch.
  * Make kdelibs-bin conflict with kdelibs4c2a, since now it provides
    kmailservice/ktelnetservice in /usr/bin. (Closes: #704669)
  * Extend patch kfreebsd_support.diff with the addition on GNU/kFreeBSD of the
    C-/CXX-/LD-FLAGS used on Linux and Hurd too.
  * Add patch kfreebsd_getmntent.diff to force the use of setmntent/getmntent
    on GNU/kFreeBSD.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 00:13:37 +0000

kde4libs (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove:
    - 01_upstream_nepomuk_fix_76e0376d7582cfe5b898c56bf3779ca2279dace8.diff
    - 02_upstream_nepomuk_fix_bde5aad1e9f7bfb6f8d5c60197797de4a315158d.diff
    - 03_upstream_powermanager_fix_05f1a19291af5c16745b76c3e0944c5b80ef5870.diff
    which were taken from upstream.
  * Refresh patches:
    - make_libkdeinit4_private.diff.
    - add_dlrestrictions_support.diff
  * Update symbols files with:
    - the build logs of the previous version.
    - the build log of the current version in amd64.
  * Add fix-copying-of-files-with-extended-ACLs.patch taken from upstream
    commit 73ea8cee7661579d3c414f510f6a74fc241c3ecf.

  [ José Manuel Santamaría Lema ]
  * Update patches:
    - add install_kcookiescfg.pl_with_exec_perms.diff.
    - drop fix-copying-of-files-with-extended-ACLs.patch, applied upstream.
    - drop python3-support-bytecode.patch, applied upstream.
    - drop findpythonlibrary_layout_deb_on_debian.diff, no longer needed. 
    - update make_libkdeinit4_private.diff.
    - refresh other patches to make them apply without any offset.
  * Bump libsoprano-dev build dependency to >= 2.7.56.
  * Add aspell to build dependencies, this is a workaround for a possible bug in
    the build system.
  * Explain in README.source why some optional missing build depends reported by
    cmake aren't in Build-Depends.
  * Add libhupnp-dev to Build-Conflicts.
  * Use wildcards in install files (in a way that an SONAME bump won't go
    unnoticed).
  * Update installed files.
  * Update symbols files.
  * Add lintian overrides for 'hardening-no-fortify-functions'.
  * Change section of kdoctools from libs to doc.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Oct 2012 15:08:51 +0200

kde4libs (4:4.8.4-4) unstable; urgency=low

  * Backport an upstream patch to fix copying of files with extended ACLs.
  * The rebuild will get the package rebuilt with xz compression
    (Closes: #688766).
  * Add myself to Uploaders.
  * Confirm symbol files on more Debian arches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 25 Oct 2012 18:11:08 -0300

kde4libs (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Matthias Klumpp ]
  * Backport upstream commit 05f1a19291af5c16745b76c3e0944c5b80ef5870
    to fix power management. (Make sure powermanager values are valid)

 -- Modestas Vainius <modax@debian.org>  Wed, 27 Jun 2012 22:41:42 +0300

kde4libs (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Modestas Vainius ]
  * Confirm symbol files on more Debian arches.

 -- Sune Vuorela <sune@debian.org>  Sun, 24 Jun 2012 18:23:08 +0200

kde4libs (4:4.8.4-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Update symbol files.

  [ José Manuel Santamaría Lema ]
  * Add watch file.
  * Update patches:
    - refresh python3-support-bytecode.patch
    - refresh various patches to make them apply without any offset.
  * Update symbols files.
  * Drop unused lintian override "dbg-package-missing-depends kdelibs5-dbg".

  [ Sune Vuorela ]
  * Pull patches from upstream to fix the nepomuk related crashes

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 27 May 2012 12:10:37 +0200

kde4libs (4:4.8.3-2) unstable; urgency=low

  * Team upload.
  * Update symbol files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:38:38 +0300

kde4libs (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
    - FindXine.cmake doesn't call xine-config anymore (Closes: #656914)
  * Team upload.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Update installed files.
  * Update not-installed files.
  * Remove upstream_better-check-for-return-values-of-m_protocols.value.patch
    (applied upstream).

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Remove -DBUILD_libkactivities=OFF from the cmake parameters, no longer
    needed.

  [ Pino Toscano ]
  * libsolid4: suggest media-player-info on Linux archs.

  [ Modestas Vainius ]
  * Drop upstream_Add-missing-include.patch, stolen from upstream.
  * DEP-3'ize python3-support-bytecode.patch.
  * Strip Debian revision from symbol versions in symbol files.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 18:26:57 +0300

kde4libs (4:4.7.4-6) unstable; urgency=low

  * Team upload.

  [ Scott Kitterman ]
  * Confirm symbols files for all archs except amd64 and s390x
  * Add support to cmake/modules/PythonMacros.cmake for the environment
    variable $PYTHONDONTWRITEBYTECODE to work around the lack of support for
    Python 3 byte code compilation (Closes: #672552)
    - Added in debian/patches/python3-support-bytecode.patch
    - Thanks to Colin Watson for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 May 2012 15:36:15 -0400

kde4libs (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add kubuntu_patched_l10n.diff adding kubuntu-patched-l10n to the list
    of translation domains to be loaded for every application.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 09 Apr 2013 13:47:26 +0200

kde4libs (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:29:42 +0200

kde4libs (4:4.10.1-0ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:01:56 +0000

kde4libs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - libkdecore5.symbols: add a new symbol
    - libkdeui5.symbols: add a new and remove a missing private symbol

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:32:10 +0000

kde4libs (4:4.10.0-0ubuntu3) raring; urgency=low

  * Change to the breaks/replaces of kdelibs5-plugins on kdelibs4c2a to 
    << 4:3.5.10.dfsg.1-6~ so a modified version can still be installed.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Feb 2013 15:46:59 +0100

kde4libs (4:4.10.0-0ubuntu2) raring; urgency=low

  * kdelibs5-plugins breaks/replaces kdelibs4c2a which is obsolete.
    Fixes overwrite conflict for /usr/bin/ktelnetservice
    (LP: #1100622)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Feb 2013 00:34:08 +0100

kde4libs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new symbol to libkdecore5.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:47:10 +0000

kde4libs (4:4.9.98-0ubuntu3) raring; urgency=low

  * Drop kdelibs-plasma-active-patches.diff, causes fuse issues in amarok,
    see https://bugs.kde.org/313888

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Jan 2013 09:37:55 +0530

kde4libs (4:4.9.98-0ubuntu2) raring; urgency=low

  * Add kdelibs-plasma-active-patches.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 20:57:38 +0000

kde4libs (4:4.9.98-0ubuntu1) raring; urgency=low

  * New upstream release candidate
  * Update debian/libkdeui5.symbols
  * Add patch kubuntu_revert_findpythonlibrary.diff to work around change to
    FindPythonLibrary.cmake, fixes hardcoding wrong directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jan 2013 09:42:39 +0000

kde4libs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate
    - refresh make_libkdeinit4_private.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:03:33 +0100

kde4libs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Don't set KDE4_USE_ALWAYS_FULL_RPATH anymore, support for it was removed
    ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:08:08 +0000

kde4libs (4:4.9.90-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Update .symbols

  [ Harald Sitter ]
  * dep3 patch tagging

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:11 +0000

kde4libs (4:4.9.80-0ubuntu2) raring; urgency=low

  * Add debian/patches/no_KDE4_BUILD_TESTS.diff to set KDE4_BUILD_TESTS to OFF

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Nov 2012 20:01:36 -0500

kde4libs (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Rohan Garg ]
  * Drop findpythonlibrary_layout_deb_on_debian.diff, upstream has a working
    solution
  * Drop python3-support-bytecode.patch, applied upstream
  * Drop kubuntu-mobile-* patches
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:13:53 +0000

kde4libs (4:4.9.3-0ubuntu2) raring; urgency=low

  * Add kdelibs-bin.postrm to create a reboot notification trigger for
    kubuntu-notification-helper. Displaying of the notification is dependening
    on whether installed and running version are different (LP: #553182)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Nov 2012 17:30:55 +0100

kde4libs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix_samba.diff, applied upstream
    - add new symbols to libkjsapi4.symbols and libkio5.symbols
    - refresh python3-support-bytecode.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:32:05 +0100

kde4libs (4:4.9.2-0ubuntu3) quantal; urgency=low

  * Add fix_samba.diff as advised by upstream to fix browsing
    of samba shares

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 22:00:57 +0100

kde4libs (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Move headers to -dev, incorrectly put into -data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Oct 2012 10:16:07 +0100

kde4libs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * New files in kdelibs5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:22:43 +0100

kde4libs (4:4.9.1-0ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:19 +0100

kde4libs (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Change sonames from 4.9.0/5.9.0 to 4.9.*/5.9.*
  * Update kdelibs5-dev.install

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:22:37 +0530

kde4libs (4:4.9.0a-0ubuntu4) quantal; urgency=low

  * Brown paper bag release. In addition to adding the Suggests, we should,
    you know, remove the Recommends on kde-runtime in kdelibs5-plugins
    (LP: #1032244)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 09:41:17 -0500

kde4libs (4:4.9.0a-0ubuntu3) quantal; urgency=low

  * debian/control: re-add dropped changed to drop kde-runtime to Suggests
    in kdelibs5-plugins

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 08:42:49 -0500

kde4libs (4:4.9.0a-0ubuntu2) quantal; urgency=low

  * debian/control: break circular recommends dependency on kdelibs5-plugins.
    It depends on libkhtml5 and libkio5 so libkhtml5 and libkio5 shouldn't
    recommends it. kde-runtime already Depends on kdelibs5-plugins and
    kde-runtime is a dependency of the KDE desktops already. A library
    shouldn't have a Recommends on additional functionality and people should
    be able to install libkhtml5 and libkio5 by themselves, with the option
    to also install kdelibs5-plugins. Furthermore, if applications using
    libkhtml5 and libkio5 really need kdelibs5-plugins, then those
    applications should be adjusted to Recommends kdelibs5-plugins.

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 08:05:59 -0500

kde4libs (4:4.9.0a-0ubuntu1) quantal; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Aug 2012 16:16:35 +0100

kde4libs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:12:16 +0100

kde4libs (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 15:36:45 +0200

kde4libs (4:4.8.80a-0ubuntu1) quantal; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update symbols files for new symbols
  * Merge with Debian git, remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - kdelibs5-data: don't install kspell_aspell.desktop
    - kdelibs5-plugins: don't install  usr/lib/kde4/kspell_aspell.so
    - kdelibs5-dev: don't install preparetips
    - Pass -DKDESU_USE_SUDO_DEFAULT=true to configure
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - don't apply use_dejavu_as_default_font.diff
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - don't build depend on libglu1-mesa-dev, not needed due to
      kubuntu_no_direct_gl_usage.diff
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.

  [ Philip Muškovac ]
  * Add support to cmake/modules/PythonMacros.cmake for the environment
    variable $PYTHONDONTWRITEBYTECODE to work around the lack of support for
    Python 3 byte code compilation
    - Added in debian/patches/python3-support-bytecode.patch
    - Thanks to Colin Watson for the patch

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 19:52:02 -0400

kde4libs (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.
    - FindXine.cmake doesn't call xine-config anymore (Closes: #656914)

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Update installed files.
  * Update not-installed files.
  * Remove upstream_better-check-for-return-values-of-m_protocols.value.patch
    (applied upstream).

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Remove -DBUILD_libkactivities=OFF from the cmake parameters, no longer
    needed.

  [ Pino Toscano ]
  * libsolid4: suggest media-player-info on Linux archs.

  [ Modestas Vainius ]
  * Drop upstream_Add-missing-include.patch, stolen from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 17:23:21 +0100

kde4libs (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Drop kubuntu_fix_nepomuk_utils_crash.diff, applied upstream
    - Add new symbols to libkdecore5.symbols and libkdewebkit5.symbols
    - Update kdelibs5-dev.install and kdelibs5-experimental-dev.install
    - update symbol files for gcc 4.7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 15:42:30 +0200

kde4libs (4:4.7.4-5) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Make kdelibs5-dbg strictly depend on libkdecore5, to avoid a mismatch
    between the kdelibs debug symbols and at least one of the libraries.
  * Backport the upstream commit 01b0c1a8051f372e400d213ac125311c398e4b17 to fix
    the build with GCC 4.7; patch upstream_Add-missing-include.patch.
  * Bump Standards-Version to 3.9.3, no changes required.

  [ Modestas Vainius ]
  * Add temporary Build-Conflicts against libqtwebkit-dev << 2.2.1.
  * Update symbol files for gcc 4.7.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 May 2012 00:20:58 +0300

kde4libs (4:4.8.2-0ubuntu1) precise; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update symbols for libkparts4 and libkio5 

  [ Jonathan Thomas ]
  * Add kubuntu_fix_nepomuk_utils_crash.diff cherry-pick from KDE's 4.8
    branch. (LP: #948973)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 30 Mar 2012 18:44:02 +0530

kde4libs (4:4.7.4-4) unstable; urgency=low

  * Team upload.
  * Backport the upstream commit d1edc0f038818a073488f6a1822cfb01d43d67e4 to fix
    a crash in KIO in some situations, like with proxies with kmail or akonadi
    (patch upstream_better-check-for-return-values-of-m_protocols.value.patch).
    (Closes: #663528)

 -- Pino Toscano <pino@debian.org>  Mon, 12 Mar 2012 20:45:47 +0100

kde4libs (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Do not export libkactivities library targets in the cmake configuration
    of kdelibs. Also do not install libkactivities's headers.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 05 Mar 2012 14:32:02 +0100

kde4libs (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release
    - Update symbol files

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Mar 2012 00:25:28 +0100

kde4libs (4:4.8.0-0ubuntu2) precise; urgency=low

  * Install underLGPL.docbook into kdoctools to fix FTBFS of kde-l10n-ru.
    (LP: #935521)
  * Install KDescendantsProxyModel into kdelibs5-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 25 Feb 2012 19:06:52 +0100

kde4libs (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 13:42:40 +0000

kde4libs (4:4.7.97-0ubuntu1~ppa1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Felix Geyer ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:55 +0000

kde4libs (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update kdelibs5-data.install

  [ Felix Geyer ]
  * Update symbols files.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 20:22:04 +0100

kde4libs (4:4.7.4-2) unstable; urgency=low

  * Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 Dec 2011 22:33:37 +0100

kde4libs (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update patches:
    - Remove nepomuk_unicode.diff, applied upstream.
    - Refreshed other patches to make them apply without offsets.
  * Update installed files.
  * Confirm symbol files on more architectures with the 4.7.2 build logs.
  * Update symbols files for 4.7.4.

  [ Pino Toscano ]
  * Make kdelibs5-plugins depend on katepart, to make it "provide" it as it
    happened in << 4.7.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Dec 2011 22:22:02 +0100

kde4libs (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Remove kubuntu_mobile patches, kactivities is split out now and they 
    will be out of date, keep 
    kubuntu-mobile-07-serviceAvailabilityChanged-bool-signal.diff
    for binary compatibility reasons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:53:22 +0000

kde4libs (4:4.7.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add patch glibc_filesystem.diff to fix the kdecore compilation on kFreeBSD.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:11 -0300

kde4libs (4:4.7.2-1) experimental; urgency=low

  * New upstream release:
    - fixes crash in the character selector widget. (Closes: #601894)

  [ José Manuel Santamaría Lema ]
  * Update patches:
    - Add nepomuk_unicode.diff.
    - Remove kded4_deadlock.patch, applied upstream.
    - Update kfreebsd_support.diff.
    - Refreshed other patches to make them apply without offsets.
  * Bump shared-desktop-ontologies build depend to 0.6.50.
  * Replace libpng-dev build depend with libpng12-dev to avoid accidental builds
    against libpng packages in experimental.
  * Update installed files.
  * Remove package libkatepartinterfaces4.
  * Add package libkdeclarative5.
  * Update symbols files.
  * Manage kdebase-runtime -> kde-runtime renaming:
    - libkdecore and libkdeui symbols files pull kde-runtime instead of
      kdebase-runtime.
    - Update libkdecore and libkdeui lintian overrides.
    - kdelibs5-plugins recommends kde-runtime instead of kdebase-runtime.
    - Exclude kde-runtime (instead of kdebase-runtime) from dh_shlibdeps
      results.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Nov 2011 18:09:30 +0100

kde4libs (4:4.7.3-0ubuntu2) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - kdelibs5-data: don't install kspell_aspell.desktop
    - kdelibs5-plugins: don't install  usr/lib/kde4/kspell_aspell.so
    - kdelibs5-dev: don't install preparetips
    - Pass -DKDESU_USE_SUDO_DEFAULT=true to configure
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - set export KUBUNTU_DESKTOP_POT=kdelibs
    - don't apply use_dejavu_as_default_font.diff
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - don't build depend on libglu1-mesa-dev, not needed due to
      kubuntu_no_direct_gl_usage.diff
    - Add kdelibs5-data.links: link from /usr/share/doc/kde4 to kde for
      backwards compatible with old docs location
    - Keep the kdelibs5 transitional package
    - kdelibs5-dev.install: install ksambasharedata.h
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
    - Make kdelibs5-plugins depend on katepart for transitional reasons.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Nov 2011 18:15:20 +0000

kde4libs (4:4.6.5-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add kded4_deadlock.patch to prevent a deadlock triggered sometimes
    in kded4. (Closes: #621358)

  [ Modestas Vainius ]
  * Confirm symbol files on all arches.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jul 2011 23:27:45 +0300

kde4libs (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Fix findpythonlibrary_layout_deb_on_debian.diff patch to set
    PYTHON_SITE_PACKAGES_INSTALL_DIR properly as well.

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

  [ Pino Toscano ]
  * Switch to my @debian.org address, I'm a DD now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:52 +0300

kde4libs (4:4.6.4-1) unstable; urgency=low

  * New upstream release:
    - fixes crash in KIconEngine (Closes: #628483)

  [ Modestas Vainius ]
  * FindPythonLibrary.cmake: if build type is Debian, pass --layout=deb to
    FindLibPython.py (patch findpythonlibrary_layout_deb_on_debian.diff).
  * Merge 4:4.4.5-2+squeeze2:
    - add ktar_header_checksum_fix.diff and adapt to upstream changes;
    - add ktar_longlink_length_in_bytes.diff and adapt to upstream changes.

  [ José Manuel Santamaría Lema ]
  * Remove upstream_fix_job-on-hold_reuse_logic.diff, applied upstream.
  * Update symbols files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 13:04:16 +0300

kde4libs (4:4.6.3-3) unstable; urgency=low

  [ Pino Toscano ]
  * Move kdeui.upd to kdelibs5-plugins, and make it break/replace
    kdelibs5-data << 4:4.6.3-3~. (Closes: #629188)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 04 Jun 2011 22:18:48 +0300

kde4libs (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release 
    - drop kubuntu_no_kbookmark_write_error.diff, fixed upstream
    - drop kubuntu_nepomuk_unicode.diff, fixed upstream
    - update install and symbol files

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Oct 2011 13:59:10 +0200

kde4libs (4:4.7.2-0ubuntu2) oneiric-proposed; urgency=low

  * Added kubuntu_nepomuk_unicode.diff to fix nepomuk queries as recommended
    by upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 12 Oct 2011 13:40:27 +0200

kde4libs (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)
    + Drop the following patches, applied upstream
      - kubuntu-mobile-04-remove-the-static-hash-of-packagestructure.diff
      - kubuntu_fix_kextendableitemdelegate_crash.diff
    + Update symbol files

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 02 Oct 2011 19:32:19 +0200

kde4libs (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Add kubuntu_fix_kextendableitemdelegate_crash.diff from upstream
    (Commit fc923ff9 to the 4.7 branch) to fix a crash visible in Muon.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 01 Oct 2011 16:36:49 -0400

kde4libs (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 14:43:27 +0200

kde4libs (4:4.7.1-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    + Drop the following patches, applied upstream
      - kubuntu_mobile_a-new-packagestructure-type-genericcomponent.diff
      - kubuntu_mobile_fix-resolution-of-paths-w-only-a-packageroot-name.diff
      - kubuntu_mobile_use-plsmoidpackage-for-generic-packages-too.diff
      - kubuntu_mobile_correctly-concatenate-the-patch.diff
  * Update symbol files

  [ Rodrigo Belem ]
  * Refreshed the kubuntu-mobile patches
  * Added the patch kubuntu-mobile-08-Add-title-to-activity-resources.diff
    needed by the latest kubuntu-mobile

 -- Rodrigo Belem <rbelem@ubuntu.com>  Wed, 07 Sep 2011 14:31:56 +0200

kde4libs (4:4.7.0-0ubuntu3) oneiric; urgency=low

  [ Felix Geyer ]
  * Build-dep on libjpeg-dev again now that libjpeg8-dev no longer provides it.
  * Refresh symbols.

  [ Rodrigo Belem ]
  * Added plasma-active upstream patches
  * Added entries in debian/control for libkdeclarative and libkactivities
  * Added kspell_aspell plugins to install files
  * Added FindQtMobility to install files

  [ Michał Zając ]
  * Moved headers from kdelibs5-dev to kdelibs5-experimental-dev
   - kdelibs5-experimental-dev depends on libkdeclarative and libkactivities

 -- Michał Zając <quintasan@kubuntu.org>  Sun, 21 Aug 2011 12:03:13 +0200

kde4libs (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Build-dep on libjpeg62-dev instead of libjpeg-dev to work around LP 816155

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Jul 2011 09:26:38 -0400

kde4libs (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Harald Sitter ]
  * Update symbols files for i386

  [ Philip Muškovac ]
  * New upstream release
    - update kdoctools.install
    - update symbol files
  * Make kdelibs5-plugins depend on katepart for transitional reasons.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 27 Jul 2011 09:09:17 -0400

kde4libs (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate
    - drop kubuntu_useragent.diff, doesn't apply and isn't neccesary anymore
    - drop kubuntu_no_direct_gl_usage.diff, fixed upstream
    - drop backported kubuntu_sambashare.diff and kubuntu_hide_old_file_share.diff
    - drop upstream patches upstream_fix_job-on-hold_reuse_logic.diff,
      kubuntu_KIO-PreviewJob-Respect-the-enabled-plugins-from-Prev.diff,
      kubuntu_give-Corona-a-proper-private-header-in-private.diff,
      kubuntu_warn_user.diff and
      kubuntu_FEATURE-configurable-default-containment-plugin-name.diff
    - refresh hack_in_etc_kde4_in_kstandarddirs.diff and
      ld_exclude_libs_qtuitools.diff to remove fuzz.
    - update kfreebsd_support.diff
    - Add build-dep on libgrantlee-dev
    - Bump build-dep for shared-desktop-ontologies
    - Bump breaks/replaces against 4.6 packages
    - update install files.
    - remove libkatepartinterfaces4 package and kate related files from 
      kdelibs5-plugins and kdelibs5-data, moved to kate package.
    - exclude kde-runtime instead of kdebase-runtime in rules
    - refresh symbol files
    - Update Vcs links for new location

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 00:08:34 +0200

kde4libs (4:4.6.3-2ubuntu2) oneiric; urgency=low

  * Add kubuntu_warn_user.diff to debian/patches (LP: #797849)
    - Show a security warning when a URL includes a bogus username intended
      to fool users into visiting sites they had no intention of visiting.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 15 Jun 2011 15:36:40 +0200

kde4libs (4:4.6.3-2ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Merge from Debian unstable.
  * libplasma3 breaks/replaces kdelibs5-data (<< 4:4.6.3-1ubuntu2~) for
    moved files.
  * Re-add kdelibs5 dependencies.

  [ Philip Muškovac ]
  * kdelibs5-plugins breaks/replaces kdelibs5-dev (<< 4:4.6.3-1ubuntu2~) for
    moved files.
  * kdelibs5-data breaks/replaces kdelibs5-plugins (<< 4:4.6.3-1ubuntu2~) for
    moved files.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 30 May 2011 20:54:32 +0200

kde4libs (4:4.6.3-2) unstable; urgency=low

  [ Felix Geyer ]
  * Drop duplicate build-dependency on libenchant-dev.
  * kdelibs5-plugins breaks/replaces kdelibs5-dev as the Qt Designer plugins
    have been moved there.

  [ Pino Toscano ]
  * Drop the go.xml kate syntax highlighting, as kate-syntax-go will provide
    it. (Closes: #628161)
  * hurd_support.diff: do not turn the linker warnings as errors.

  [ Modestas Vainius ]
  * Confirm symbol files on all Debian arches.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 17:31:10 +0300

kde4libs (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Philip Muškovac]
  * Drop kubuntu_83_fix_solid_network_status.diff
  * Update Vcs links as the branch is owned by kubuntu-packagers now

  [ Jonathan Thomas ]
  * Drop kubuntu_06_user_disk_mounting. We no longer compile the hal
    backend, so this patch is useless.

  [ Felix Geyer ]
  * Merge from Debian unstable, remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - kdelibs5-data: don't install kspell_aspell.desktop and
      usr/lib/kde4/kspell_aspell.so
    - kdelibs5-dev: don't install preparetips
    - Pass -DKDESU_USE_SUDO_DEFAULT=true to configure
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - set export KUBUNTU_DESKTOP_POT=kdelibs
    - don't apply use_dejavu_as_default_font.diff
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-data.install: drop usr/share/kde4/apps/kconf_update/kdeui.upd
    - don't build depend on libglu1-mesa-dev, not needed due to
      kubuntu_no_direct_gl_usage.diff
    - Add kdelibs5-data.links: link from /usr/share/doc/kde4 to kde for
      backwards compatible with old docs location
    - Keep the kdelibs5 transitional package
    - kdelibs5-dev.install: install ksambasharedata.h
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
  * Add Breaks in addition to Replaces for moving files between packages.
  * Drop no longer needed Breaks and Replaces.
  * Completely drop kubuntu_51_launchpad_integration.diff and
    kubuntu_68_remove_applet_confirmation.diff.
    + Also drop the launchpad and kubuntu icons.
  * Remove sequence numbers from kubuntu patches.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 29 May 2011 17:19:55 +0200

kde4libs (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Confirm symbol files on more debian arches.
  * Merge 4:4.4.5-4 and 4:4.4.5-5:
    - drop cve_2011_1168_konqueror_xss.diff, cve_2010_3170_cn_wildcards.diff,
      cve_2011_1094_ssl_verify_hostname.diff - merged upstream;
    - drop 32_missing_include_cstddef.diff - merged upstream;
    - drop qdbus_exports_changed.diff - fixed upstream.
  * libsolid4 4.6 Breaks kde-config-tablet (<< 1.2.5) making it crash kdeinit4.
    See #624432 for more information.
  * Break kdevelop (<< 4:4.2) in kdelibs5-plugins. Prior kdevelop versions do
    not work due to removed kate interfaces in 4.6. (Closes: #625937)
  * Add DLRestrictions library checking to the plugin loader and other helper
    utils to ease DLRestrictions support in other KDE packages which ship
    shared libraries (patch add_dlrestrictions_support.diff).

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump S-V to 3.9.2; no changes needed.

  [ Pino Toscano ]
  * Move the libxml2-utils dependency from kdelibs-bin to kdoctools (as xmllint
    is invoked by meinproc4).
  * Backport the upstream commit 92db24adfa941003db1d885df01157056617f30b to fix
    double-POST regression (patch upstream_fix_job-on-hold_reuse_logic.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:55:23 +0300

kde4libs (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes VHDL syntax highlighting with large files (Closes: #533727)
    - fixes "Common Lisp" being categorized as "script" instead of "source"
      for syntax highlighting (Closes: #486342)
    - replaces "<qt>" tags with "<html>" tags in desktop notifications
      (Closes: #580229)
    - fixes strigi using 100% cpu load when suspended (Closes: #585117)
    - fixes QPainter error message flood in khtml (Closes: #598975)
    - kio_ftp can copy 0 bytes (empty) files (Closes: #550121)
    - kio_ftp supports FTP URL typecodes (Closes: #277792)
    - fix printing of a HTML file with KHTML (Closes: #415559)
  * Update installed files.
  * Update symbol files.
  * Refresh patches.

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Drop kdelibs5 transitional package.
  * Remove sequence numbers from debian/patches.
  * Drop kaboom support, no longer needed.
  * Remove ~/.kde4 -> ~/.kde transition templates, no longer needed.
  * Set ENABLE_LIBKDEINIT_RUNPATH to ON if build type is Debian
    (patch make_libkdeinit4_private.diff altered).
  * Require pkg-kde-tools 0.12 due to ENABLE_LIBKDEINIT_RUNPATH change above.
  * Pass required kdelibs cmake flags to dh_auto_configure.
    qt-kde-team/2/debian-qt-kde.mk no longer passes them implicitly.
  * Remove a deprecated link to the BSD license from debian/copyright.
  * Drop redundant kjscmd from kdelibs5-data Conflicts.
  * Do not use asterisk in kdelibs5-data.NEWS.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Adjust build dependencies:
    - Bump required cmake version to 2.6.4.
    - Add build dependencies on:
      - libdbusmenu-qt-dev
      - docbook-xml
      - docbook-xsl
      - libxrender-dev
      - libkrb5-dev
    - Remove unused build dependencies:
      - libcups2-dev
      - libdbus-1-dev
      - libasound2-dev
      - libkeyutils-dev
      - xsltproc
      - libxcursor-dev
      - libxtst-dev
  * Add packages for the new libararies: libkatepartinterfaces4,
    libkcmutils4, libkidletime4, libkemoticons4, libkprintutils4.
  * Add symbol files for the new libraries.
  * Remove libkutils4.symbols as kutils is now a dummy
    transitional library with no symbols.
  * Add docbook-xml dependency on the kdoctools package,
    as it is required for building all of kde's documentation.
  * Bump kdebase-runtime Breaks/Recommends to version 4.6.

  [ Didier Raboud ]
  * Adjust build-dependencies:
    - Bump required:
      - Qt to 4:4.7.0.
      - libattica to 0.1.90.
      - soprano to 2.5.60.
      - polkit-qt-1 to 0.99.0.
      - shared-desktop-ontologies to 0.5.
    - Add build dependencies on:
      - libudev-dev
      - libqtwebkit-dev
  * Add libnepomukutils4 package.

  [ Pino Toscano ]
  * Make libknewstuff2-4 and libknewstuff3-4 recommend gnupg, as they can use
    `gpg' for checking validity and signatures of downloaded content.
  * Add docbook-xsl dependency on the kdoctools package, for same reason as
    docbook-xml.
  * Improve Depends and Recommends of libsolid:
    - Linux archs: depend on udev, and recommend udisks and upower
    - non-Linux archs: depend on hal
  * Drop patch 28_find_old_kde4_html_documentation.diff, which was temporary
    for migration to Squeeze.

  [ José Manuel Santamaría Lema ]
  * Disable 23_solid_no_double_build.diff, produces FTBFS.
  * kdelibs5-data breaks/replaces kdebase-runtime-data (<< 4:4.5.85).
  * Moved Qt Designer plugins to kdelibs5-plugins, they could be used by plasma
    js bindings to dynamically create ui files. Thanks to Pino Toscano for
    pointing the problem.
  * Drop pre-squeeze Replaces/Breaks whenever possible.
  * Update lintian overrides.
  * Remove articles from short descriptions.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:37 +0300

kde4libs (4:4.6.2-0ubuntu4) natty; urgency=low

  * Add kubuntu_81_fix_solid_network_status.diff to fix Solid reporting the
    network status as "unknown" improperly.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Apr 2011 00:03:52 -0400

kde4libs (4:4.6.2-0ubuntu3) natty; urgency=low

  * Fix translation lookup of non-KDE desktop files which don't have a gettext
    context.
    - Update kubuntu_05_langpack_desktop_files.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 10 Apr 2011 23:43:09 +0200

kde4libs (4:4.6.2-0ubuntu2) natty; urgency=low

  * Add patches from upstream for plasma mobile
   - kubuntu_80-KIO-PreviewJob-Respect-the-enabled-plugins-from-Prev.diff
   - kubuntu_81-give-Corona-a-proper-private-header-in-private.diff
   - kubuntu_82-FEATURE-configurable-default-containment-plugin-name.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 13:52:38 +0100

kde4libs (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update symbol files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 13:24:00 +0200

kde4libs (4:4.6.1-0ubuntu2) natty; urgency=low

  * Import kubuntu_02_no_direct_gl_usage.diff from upstream KDE
    - removes direct GL usage from glapplet, eliminates need to link against
      libGL

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 09 Mar 2011 15:18:04 +0100

kde4libs (4:4.6.1-0ubuntu1) natty; urgency=low

  [ Michał Zając ]
  * New upstream release
  * Refreshed kubuntu_06_user_disk_mounting.diff
  * Refreshed kubuntu_77_ksambashare.diff
  * Refreshed *.install files

  [ Jonathan Riddell ]
  * Add back kubuntu_77_no_kbookmark_write_error.diff workaround for LP:
    #627815

 -- Michał Zając <quintasan@kubuntu.org>  Sun, 27 Feb 2011 14:10:59 +0100

kde4libs (4:4.6.0-0ubuntu5) natty; urgency=low

  * Add missing samba headers to kdelibs5-dev.install
  * Update kubuntu_77_ksambashare.diff to master

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 16:40:23 +0000

kde4libs (4:4.6.0-0ubuntu4) natty; urgency=low

  * Update kubuntu_77_ksambashare.diff to master
  * Add kubuntu_78_hide_old_file_share.diff to hide the old file share tab

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 14:11:15 +0000

kde4libs (4:4.6.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_77_ksambashare.diff with patch from git master to
    add Samba sharing support to libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Feb 2011 16:44:26 +0000

kde4libs (4:4.6.0-0ubuntu2) natty; urgency=low

  * In kdelibs5-plugins recommend ttf-dejavu-core not ttf-dejavu,
    saves disk space, thanks Felix Geyer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Feb 2011 14:56:15 +0000

kde4libs (4:4.6.0-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Reluctantly add kcm_ssl to kdelibs5-plugins, this should be in kdebase
  * Remove libhupnp-dev build-dep, not used by upstream in this release

  [ Scott Kitterman ]
  * Update libkatepartinterfaces4.symbols and libkdecore5.symbols for 4.5.95
    and confirm symbols on all architectures with pkgkde-symbolshelper
    - Thanks to Jonathan Thomas for verifying the missing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 11:32:24 +0000

kde4libs (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream RC release
    - Refreshed patches
  * Add usr/include/krecentdirs.h to kdelibs5-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Jan 2011 23:55:45 -0500

kde4libs (4:4.5.90-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release
  * Remove kubuntu_69_declare_debugger_pid.diff applied upstream
  * Remove kubuntu_77_no_kbookmark_write_error.diff applied upstream

  [ Jonathan Thomas ]
  * Get rid of missing symbols that were either private or pollution from
    linked libraries. (The KRating* move from libnepomuk to kdeui is not an
    ABI break since libnepomuk links against kdeui)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 17:00:17 -0500

kde4libs (4:4.5.85a-0ubuntu2) natty; urgency=low

  * Confirm symbols files on all archs with pkgkde-symbols helper
  * Update symbols files (still need to investigate where the missing went)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Dec 2010 23:20:19 -0500

kde4libs (4:4.5.85a-0ubuntu1) natty; urgency=low

  * New upstream beta release
    - drop kubuntu_78_solid_trunk.diff and kubuntu_80_find_hupnp.diff, 
      applied upstream
    - disable 23_solid_no_double_build.diff, causes FTBFS
    - refresh kdelibs5-dev.install

 -- Philip Muskovac <yofel@gmx.net>  Mon, 06 Dec 2010 23:34:45 +0100

kde4libs (4:4.5.80a-0ubuntu6) natty; urgency=low

  * Fix the versioned break on libkwebkit-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 03 Dec 2010 14:19:06 -0500

kde4libs (4:4.5.80a-0ubuntu5) natty; urgency=low

  * Correct kdelibs5-dev breaks version for libkwebkit-dev (<< 0.9~svn1123738)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Dec 2010 14:01:57 -0500

kde4libs (4:4.5.80a-0ubuntu4) natty; urgency=low

  * Bump various replaces to 4.5.80 for moved files

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 21:33:23 +0100

kde4libs (4:4.5.80a-0ubuntu2) natty; urgency=low

  * Build-dep on libhupnp-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Nov 2010 11:40:31 +0000

kde4libs (4:4.5.80a-0ubuntu1) natty; urgency=low

  [ Scott Kitterman ]
  * New upstream beta release
    - Refreshed all patches
    - Updated debian/patches/10_make_libkdeinit4_private.diff to use Qfile
      instead of Qstring in kdecore/kernel/kstandarddirs_unix.cpp
    - Updated debian/patches/kubuntu_01_kubuntu_useragent.diff to provide
      Kubuntu in the Konqueror user agen string with the changes in
      kio/kio/kprotocolmanager.cpp
    - Partially updated debian/patches/kubuntu_05_langpack_desktop_files.diff
      and left the balance in kdecore/localization/klocale.cpp.rej for later
      revision
    - Update debian/patches/kubuntu_06_user_disk_mounting.diff for changes in
      solid/solid/backends/hal/halstorageaccess.cpp
    - Remove debian/patches/kubuntu_71_backport_plasma_webview_changes.diff
      (backported from upstream, so already present now)
    - Add minimum version for libattica-dev of 0.1.90 to build-depends
    - Bump minimum version for libsoprano-dev build-depend to 2.5.60
    - Add minimum version for shared-desktop-ontologies of 0.5 in build-dep

  [ Jonathan Riddell ]
  * Add build-depends on grantlee, libudev-dev, hupnp (FIXME needs packaging fixes)
  * Update kubuntu_04_add_langpack_path.diff 28_find_old_kde4_html_documentation.diff
    22_hack_in_etc_kde4_in_kstandarddirs.diff for QT_NO_CAST_FROM_ASCII
  * Update kubuntu_05_langpack_desktop_files.diff for new upstream code
  * Add kubuntu_78_solid_trunk.diff to fix solid linking
  * Add libnepomukutils4 package for new library
  * Don't install kcm_ssl for now, e-mailed upstream to suggest moving to kdebase
  * Add kubuntu_79_knewstuff_fix.diff to fix compile broken by non-trunk commit
    http://websvn.kde.org/?view=revision&revision=1199825
  * kdelibs5-data replaces old kdebase-runtime-data due to moved file
  * Add kubuntu_80_find_hupnp.diff to find hupnp include files, committed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Nov 2010 17:59:02 +0000

kde4libs (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove kubuntu_78_krun_http.diff applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 00:12:36 +0000

kde4libs (4:4.5.2a-0ubuntu3) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb for armel to fix  FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sun, 31 Oct 2010 11:52:42 -0400

kde4libs (4:4.5.2a-0ubuntu2) natty; urgency=low

  * Fix libkcmutils4, libkemoticons4, libkidletime4, libkprintutils4
    upgrade
  * kdelibs5-data replaces libkdecore5

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 01:13:21 +0200

kde4libs (4:4.5.2a-0ubuntu1) natty; urgency=low

  [ Rohan Garg ]
  * Merge with Debian git remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - no install kspell_aspell.desktop and kspell_aspell.so
    - kdelibs5-dev do not install preparetips
    - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
    - DEB_FIXPERMS_EXCLUDE := /usr/lib/kde4/libexec/fileshareset
    - binary-install/kdelibs5-data:: rule (build-dep on sharutils)
      and copy over debian/icons
    - don't Recommend on kaboom
    - set export KUBUNTU_DESKTOP_POT=kdelibs
    - install usr/share/locale/all_languages in kdelibs5-data.install
    - don't add 20_use_dejavu_as_default_font

  [ Alessandro Ghersi ]
  - Merge a bit more with Debian
  - Drop libkutils4.symbols
  - kdelibs5-data.lintian-overrides, installgen: kde/HTML -> kde/HTML4
  - drop .gitattributes
  - Update KUBUNTU-DEBIAN-DIFFERENCES
  - Update patches with Debian
  - debian/rules: set upstreamversion to 4.5.2
  - Don't install /usr/bin/preparetips
  - Add Replaces/Breaks for libkutils4 in:
    - libkcmutils4
    - libkemoticons4
    - libkidletime4
    - libkprintutils4

  [ Jonathan Kolberg ]
  * New upstream release
  * Now included in upstream
   - kubuntu_72_previewjob_skip_remote_directories.diff
   - kubuntu_75__fix_containment_configs.diff
   - kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
   - kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
   - kubuntu_76_fix_install_plasmoid.diff

  [ Rohan Garg ]
  * Add kubuntu_78_krun_http.diff to fix https handling

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 16 Oct 2010 00:58:44 +0530

kde4libs (4:4.5.1-1) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed.
  * kdelibs5-data should break/replace kdelibs-data 4:3.5.10.dfsg.1-4 as well.
    That version still has the same files as kdelibs5-data.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Adjust build dependencies:
    - Bump required cmake version to 2.6.4.
    - Bump required soprano version to 2.4.63.
    - Add build dependencies on:
      - libdbusmenu-qt-dev
      - docbook-xml
      - docbook-xsl
      - libxrender-dev
      - libkrb5-dev
    - Remove unused build dependencies:
      - libcups2-dev
      - libdbus-1-dev
      - libasound2-dev
      - libkeyutils-dev
      - xsltproc
      - libxcursor-dev
      - libxtst-dev
  * Update installed files.
  * Add packages for the new libararies: libkatepartinterfaces4,
    libkcmutils4, libkidletime4, libkemoticons4, libkprintutils4.
  * Update symbol files.
  * Add symbol files for the new libraries.
  * Remove libkutils4.symbols as kutils is now a dummy
    transitional library with no symbols.
  * Refresh patches.
  * Add docbook-xml dependency on the kdoctools package,
    as it is required for building all of kde's documentation.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Jul 2010 20:01:26 +0300

kde4libs (4:4.5.1-0ubuntu8) maverick-proposed; urgency=low

  * Add kubuntu_78_kate_buffer.diff from 4.5.2, fixes KDevelop's use of
    Kate. LP: #656195

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Oct 2010 11:51:47 +0100

kde4libs (4:4.5.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_77_no_kbookmark_write_error.diff, nasty workaround for
    random error message on first login LP: #627815

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 11:48:16 +0100

kde4libs (4:4.5.1-0ubuntu6) maverick; urgency=low

  * Add kubuntu_76_fix_install_plasmoid.diff to fix regression in
    KArchive::copyTo for ZIP files: use the uncompressed device, not the raw
    QFile.
    (https://bugs.kde.org/show_bug.cgi?id=251192)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 22 Sep 2010 19:03:33 +0200

kde4libs (4:4.5.1-0ubuntu5) maverick; urgency=low

  * Add kubuntu_75_fix_containment_configs.diff from
    http://websvn.kde.org/?view=revision&revision=1169026

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 15 Sep 2010 17:02:01 +0200

kde4libs (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_72_previewjob_skip_remote_directories.diff
    without this patch previewjob will try to copy remote folders,
    request by Bluedevil developers
  * Add kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
  * Add kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
  * Update libkutils4 symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 13 Sep 2010 18:23:49 +0200

kde4libs (4:4.5.1-0ubuntu3) maverick; urgency=low

  * In kubuntu_71_backport_plasma_webview_changes.diff backport some methods
    and signals introduced in newer revision.

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 10 Sep 2010 18:18:30 -0400

kde4libs (4:4.5.1-0ubuntu2) maverick; urgency=low

  * In kubuntu_06_user_disk_mounting.diff use Qt tr() to translate to
    match the rest of solid

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Sep 2010 13:07:58 +0100

kde4libs (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_70_optimize_kratingspainter.diff to optimize the painting
    routine of KRatingPainter to not create so many unnecessary KIconEffect
    objects by using the global KIconEffect to apply effects

  [ Felix Geyer ]
  * New upstream release.
  * Update install files and remove duplicate entries.
  * kdelibs5-dev: tighten dependency on libkdewebkit5 and libqtwebkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 28 Aug 2010 12:08:39 +0200

kde4libs (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Add a build-depend on libutempter-dev for kpty functionality

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 14 Aug 2010 18:35:05 -0400

kde4libs (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:05 +0100

kde4libs (4:4.5.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_70_short_kfilemetainfo.diff from
    http://websvn.kde.org/?view=revision&revision=1158288
    advised by upstream to stop interface blocking
  * Add kubuntu_71_mutex_kfilemetainfo.diff from
    http://websvn.kde.org/?view=revision&revision=1157302
    advised by upstream to stop crashes due to threading

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 12:43:38 +0100

kde4libs (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
   * New upstream release
     - Update install files
     - Update symbols files
     - Drop kubuntu_70_qreal.diff

  [ Michał Zając]
   * Drop the aspell files

 -- Rohan Garg <rohangarg@ubuntu.com>  Fri, 30 Jul 2010 01:25:26 +0530

kde4libs (4:4.4.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 24 Jul 2010 13:05:52 +0200

kde4libs (4:4.4.92-0ubuntu4) maverick; urgency=low

  * Add kubuntu_70_qreal.diff to fix arm builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 15:28:35 +0100

kde4libs (4:4.4.92-0ubuntu4) raring; urgency=low

  * kubuntu_69_declare_debugger_pid.diff: add upstream bug notation.

 -- Kees Cook <kees@ubuntu.com>  Fri, 23 Jul 2010 02:54:59 -0700

kde4libs (4:4.4.92-0ubuntu3) maverick; urgency=low

  * Replace libqt4-webkit-dev build dep and depends with libqtwebkit-dev

 -- Rohan Garg <rohangarg@ubuntu.com>  Wed, 21 Jul 2010 13:03:05 +0530

kde4libs (4:4.4.92-0ubuntu2) maverick; urgency=low

  * Remove sameVersionDep for libqt4-webkit-dev and libkdewebkit5
    too strict

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 11 Jul 2010 18:03:07 +0200

kde4libs (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Refresh patches
    - Update install files
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 07 Jul 2010 19:00:30 +0200

kde4libs (4:4.4.90-0ubuntu3) maverick; urgency=low

  * kubuntu_69_declare_debugger_pid.diff: delcare debugger PTRACE
    relationship (LP: #589841).

 -- Kees Cook <kees@ubuntu.com>  Thu, 01 Jul 2010 09:46:16 -0700

kde4libs (4:4.4.90-0ubuntu2) maverick; urgency=low

  * Remove kubuntu_56_langpacks_desktop_files.diff in favor of newly created
    kubuntu_05_langpack_desktop_files.diff which is heavily inspired by the
    openSUSE version of this patch. However. The new patch makes one very
    important assumption to decrease overhead compared to KDE. Iff the Ubuntu
    gettext domain is set, then translations will be drawn from there,
    regardless of whether there are translations available in the desktop file.
    This of course only has impact if there actually is an appropriate gettext
    translation file available. In either case the amount of pointless domain
    entries should be kept the an absolute minimum.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 24 Jun 2010 11:49:01 +0200

kde4libs (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Remove usr/share/kde4/apps/nepomuk/pics/rating.png from
      libnepomuk4.install
    - Update kdelibs5-dev.install
    - Update kdelibs5-data.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 20:46:40 +0200

kde4libs (4:4.4.85-0ubuntu3) maverick; urgency=low

  * Add libkatepartinterfaces4 package and move files out of
    kdelibs5-plugins
  * Move library .so symlinks to kdelibs5-dev from kdelibs5-plugins
  * Update symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jun 2010 18:12:35 +0100

kde4libs (4:4.4.85-0ubuntu2) maverick; urgency=low

  * Build against libqt4-webkit-dev 4:4.7.0~beta1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jun 2010 13:54:48 +0100

kde4libs (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Remove kubuntu_71_kutils_linking.diff fix by upstream
    - Bump debhelper to 7.3.16 or greater
    - Refresh patches:
      - 14_hardcode_ptm_device.diff
      - kubuntu_56_langpacks_desktop_files.diff
    - Update install files:
      - kdoctools.install
      - kdelibs5-plugin.install
      - kdelibs5-dev.install
      - kdelibs5-data.install
    - Fix rules to install icons
    - Bump shared-desktop-ontologies to 0.5
    - kdoctools depends on docbook-xml and docbook-xsl
    - kdoctools depends on kdelibs5-data (= ${source:Version})
      to grab dtd/kdex.dtd needed to build doc

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 07 Jun 2010 12:05:15 +0200

kde4libs (4:4.4.80-0ubuntu3) maverick; urgency=low

  * Add patch kubuntu_71_kutils_linking.diff, better way to fix kutils not
    linking to other libraries, remove DEB_KDE_LINK_WITH_AS_NEEDED = no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 May 2010 11:44:35 +0100

kde4libs (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Build with DEB_KDE_LINK_WITH_AS_NEEDED = no, fixes kutils not linking to kcmutils
    workaround for https://bugs.kde.org/show_bug.cgi?id=240120

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 22:51:33 +0000

kde4libs (4:4.4.80-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream beta release
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove .uu icons and add .png icons, since we switch to 3.0 source format
    - Drop binary-install/kdelibs5-data in rules, no longer need
    - Add override_dh_auto_install in rules to install icons
    - Add source/include-binaries file
    - Remove README.source no longer need
  * Drop patches fixed by upstream:
    - 00_4.4.3_final_tarball.diff
    - kubuntu_02_filedialog_enter_fix.diff
  * Update patches:
    - 09_disable_usr_lib_install_rpath
    - 13_qt4_designer_plugins_path
    - 25_ld_exclude_libs_qtuitools.diff
    - kubuntu_04_add_langpack_path.diff
  * Drop kubuntu_70_dbusmenu.diff went upstream
  * Bump build-depends:
    - libphonon-dev to 4:4.7.0really4.4.1-0ubuntu3
    - libqt4-dev and libqt4-opengl-dev to 4:4.7.0~beta1+git20100522
    - libsoprano-dev to 2.4.63
  * Add docbook-xml and docbook-xsl to build-depends, are required packages
  * Update various install files
  * Add KUBUNTU-TODO file

  [ Scott Kitterman ]
  * Add replaces kdelibs5 (<< 4:4.4.80) to libnepomukquery4a due to
    /usr/lib/libnepomukquery.so moving packages

  [ Roderick B. Greening ]
  * Update build deps
    - libattica-dev (>= 0.1.4)
    - docbook-xml (>= 4.0)
  * Update patches:
    - kubuntu_06_user_disk_mounting.diff
  * Refresh patches (quilt refresh)
    - fixes some patches which did not apply (fuzzy)
  * Disable patches which do not work and should possibly be dropped
    - 19_findqt4_optional_x11_pthread.diff
    - 23_solid_no_double_build.diff

 -- Roderick B. Greening <roderick.greening@gmail.com>  Thu, 27 May 2010 14:00:58 -0230

kde4libs (4:4.4.5-5) unstable; urgency=low

  * Team Upload
  * Add missing include <cstddef> to kjs/collector.h (Closes: #625625)
    32_missing_include_cstddef.diff

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 May 2011 13:52:13 -0400

kde4libs (4:4.4.5-4) unstable; urgency=low

  [ Sune Vuorela ]
  * Fix build failures
    - QDBUS_EXPORT => Q_DBUS_EXPORT (Closes: #618111)
    - libqtwebkit-dev build-dep

  [ José Manuel Santamaría Lema ]
  * Fix CVE-2011-1168 (Konqueror partially universal XSS in error pages) by
    cve_2011_1168_konqueror_xss.diff.
  * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) for
    Konqueror by cve_2010_3170_cn_wildcards.diff.
  * Fix CVE-2011-1094 (kdelibs does not properly verify that the server hostname
    matches the Common Name of the Subject of an X.509 certificate if that CN is
    an IP address) by cve_2011_1094_ssl_verify_hostname.diff.

 -- Sune Vuorela <sune@debian.org>  Tue, 15 Mar 2011 23:05:06 +0100

kde4libs (4:4.4.5-3) unstable; urgency=high

  * Add a kconf_update script (migrate_from_kde3_icon_theme) to migrate away
    from old KDE 3 icon themes which are KDE 4 incompatible (e.g. crystalsvg).
    (Closes: #588374)
  * Urgency=high, the fix is solely targeted at fixing lenny->squeeze upgrades
    though it might not get there in time.

 -- Modestas Vainius <modax@debian.org>  Sun, 23 Jan 2011 00:36:28 +0200

kde4libs (4:4.4.5-2+squeeze3) stable; urgency=low

  [ Ansgar Burchardt ]
  * Apply upstream patch to prevent marked text being cut out when switching
    documents in kate. (Closes: #636615)
    + new patch: 636615-ibus.diff

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Sep 2011 09:28:50 +0300

kde4libs (4:4.4.5-2+squeeze2) stable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Fix CVE-2011-1168 (Konqueror partially universal XSS in error pages) by
    cve_2011_1168_konqueror_xss.diff.
  * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) for
    Konqueror by cve_2010_3170_cn_wildcards.diff.
  * Fix CVE-2011-1094 (kdelibs does not properly verify that the server hostname
    matches the Common Name of the Subject of an X.509 certificate if that CN is
    an IP address) by cve_2011_1094_ssl_verify_hostname.diff.

  [ Modestas Vainius ]
  * KTar: use unsigned arithmetic when calculating checksum of tar header record
    (as per ustar specification). However, when reading archive, verify
    checksum by calculating it both ways (unsigned and signed) and accept if
    either matches (partially solves #612675). Implemented in
    ktar_header_checksum_fix.diff patch.
  * Fix KTar longlink support when filenames are encoded in the UTF-8 (or other
    multibyte) locale. Implemented in ktar_longlink_length_in_bytes.diff patch
    (thanks to Ibragimov Rinat). Closes: #612675

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 14 Jun 2011 00:13:57 +0300

kde4libs (4:4.4.5-2+squeeze1) stable-proposed-updates; urgency=low

  * Add a kconf_update script (migrate_from_kde3_icon_theme) to migrate away
    from old KDE 3 icon themes which are KDE 4 incompatible (e.g. crystalsvg).
    (Closes: #588374)

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Feb 2011 21:14:55 +0200

kde4libs (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * kdelibs5-data should break/replace kdelibs-data 4:3.5.10.dfsg.1-4 as well.
    That version still has the same files as kdelibs5-data.

 -- Modestas Vainius <modax@debian.org>  Fri, 26 Nov 2010 21:46:06 +0200

kde4libs (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump KPluginLoader and libplasma3 symbol versions to 4:4.4.4-2~.

  [ Sune Vuorela ]
  * mkstemps is now provided by libc, stop providing it in kdecore as
    well
  * Update email address.
  * Add vietnamese debconf translations. Thanks to Clytie Siddall.
    (Closes: 576144)

 -- Sune Vuorela <sune@debian.org>  Sat, 17 Jul 2010 22:41:52 +0200

kde4libs (4:4.4.4-2) unstable; urgency=high

  * Improve 10_make_libkdeinit4_private.diff patch:
    - fix kpluginloader.cpp:findLibraryInternal() to find moved libkdeinit4_*s.
      This should reenable kxkb flag in lock dialog (Closes: #584870);
    - set R(UN)PATH for kdeinit executables only when LIBKDEINIT_INSTALL_DIR is
      not in implicit link directory list;
    - extend absolute exe path resolution to libkdeinit4_*s in the kdeinit4
      daemon.
  * Replace 09_disable_usr_lib_install_rpath.diff with a less extreme version
    of the patch from kde4libs trunk which should keep support for
    custom prefix builds (Closes: #586512).
  * Relax KDE version check when loading plugins. This enables plugins compiled
    against newer kde4libs to work with older kde4libs at runtime as well
    (Closes: #585792). The patch covers KPluginLoader and plasmoids.
  * Urgency=high to get this into testing before 4.4.5 (see #585792).

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Jun 2010 00:27:20 +0300

kde4libs (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Drop pkg-kde-tools from kdelibs5-dev Depends. Add it as versioned Breaks
    instead.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Add debian/NEWS about HTML_INSTALL_DIR switch and pkg-kde-tools drop from
    kdelibs5-dev Depends.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Rename 28_find_kde3_html_documentation.diff to
    28_find_old_kde4_html_documentation.diff and modify it to look in the
    /usr/share/doc/kde4/HTML (old HTML_INSTALL_DIR default).
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Drop patch system stuff from debian/README.source. Patch support is part of
    source format now.
  * Drop 00_4.4.3_final_tarball.diff patch, it was stolen from upstream.
  * Add 30_kfileshare_kdesu_fileshareset.diff patch to run libexec/fileshareset
    with kdesu rather than expect it (perl script) to be suid root.

  [ Pino Toscano ]
  * Fix typo in description of kdelibs-bin. (Closes: #582433)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:11 +0300

kde4libs (4:4.4.3a-2ubuntu3) maverick; urgency=low

  * Add libqt4-webkit-dev to build-deps and kdelibs5-dev dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 22 May 2010 18:00:58 +0200

kde4libs (4:4.4.3a-2ubuntu2) maverick; urgency=low

  * Make libknewstuff3-4 replace older versions of kdelibs5. Can be removed
    in Kubuntu 12.04. (LP: #582392)
  * Correct version number for the Breaks on libkwebkit-dev for kdelibs5-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 17:41:09 -0400

kde4libs (4:4.4.3a-2ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
   - no build-dep on libaspell-dev
   - no build-dep on libfam-dev
   - kdelibs5-dev do not install preparetips (included in pkg-kde-tools)
   - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
   - add binary-install/kdelibs5-data rule, build-dep on sharutils and copy over debian/icons
   - set export KUBUNTU_DESKTOP_POT=kdelibs
   - kubuntu_01_kubuntu_useragent.diff: Include Kubuntu in the KHTML useragent
   - kubuntu_02_filedialog_enter_fix: Droppable in KDE 4.5
   - kubuntu_04_add_langpack_path.diff: Launchpad translations
   - kubuntu_06_user_disk_mounting.diff: mount disks with sudo11
   - kubuntu_19_no_indent_kickoff_subtext.diff: don't indent kickoff subtext
   - kubuntu_51_launchpad_integration.diff: Launchpad Help menu items
   - kubuntu_56_langpacks_desktop_files.diff: Launchpad translations for .desktop files
   - kubuntu_64_rosetta_translation.diff: Warn users translations go through Launchpad
   - kubuntu_67_cmake_install_paths.diff: force default install paths to ours (probably not needed)
   - kubuntu_68_remove_applet_confirmation.diff: warns user before removing app launcher
   - kubuntu_70_dbusmenu.diff: Can be dropped in 4.5
   - security_01_CVE-2009-2702.diff: Security fix
   - Don't recommend on kaboom
   - Remove kdelibs5.preinst kdelibs5.templates, we've already done KDEHOME transition
   - Change docs location to /usr/share/doc/kde
   - Link from /usr/share/doc/kde4 to kde for backwards compatible with old docs location

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 17 May 2010 09:22:57 -0400

kde4libs (4:4.4.3-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Confirm symbol files for 4.4.3 on all arches except alpha.
  * Restore kdelibs5-dev installability with libkwebkit-dev (>= 0.9svn1123738).
  * Bring our 4.4.3 up-to-date with final upstream 4.4.3 tarball
    (patch 00_4.4.3_final_tarball.diff).
  * Urgency=medium as this upload is needed to get kdenetwork with security
    fix in.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 May 2010 22:30:03 +0300

kde4libs (4:4.4.3a-0ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
   - no build-dep on libaspell-dev
   - no build-dep on libfam-dev
   - kdelibs5-dev do not install preparetips (included in pkg-kde-tools)
   - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
   - add binary-install/kdelibs5-data rule, build-dep on sharutils and copy over debian/icons
   - set export KUBUNTU_DESKTOP_POT=kdelibs
   - kubuntu_01_kubuntu_useragent.diff: Include Kubuntu in the KHTML useragent
   - kubuntu_02_filedialog_enter_fix: Droppable in KDE 4.5
   - kubuntu_04_add_langpack_path.diff: Launchpad translations
   - kubuntu_06_user_disk_mounting.diff: mount disks with sudo11
   - kubuntu_19_no_indent_kickoff_subtext.diff: don't indent kickoff subtext
   - kubuntu_51_launchpad_integration.diff: Launchpad Help menu items
   - kubuntu_56_langpacks_desktop_files.diff: Launchpad translations for .desktop files
   - kubuntu_64_rosetta_translation.diff: Warn users translations go through Launchpad
   - kubuntu_67_cmake_install_paths.diff: force default install paths to ours (probably not needed)
   - kubuntu_68_remove_applet_confirmation.diff: warns user before removing app launcher
   - kubuntu_70_dbusmenu.diff: Can be dropped in 4.5
   - security_01_CVE-2009-2702.diff: Security fix
   - Don't recommend on kaboom
   - Remove kdelibs5.preinst kdelibs5.templates, we've already done KDEHOME transition
   - Change docs location to /usr/share/doc/kde
   - Link from /usr/share/doc/kde4 to kde for backwards compatible with old docs location

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 16 May 2010 16:41:59 -0400

kde4libs (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Kai Wasserbäch ]
  * Update German Debconf translation. Thanks to Holger Wansing and Helge
    Kreutzmann. (Closes: #574015)

  [ Modestas Vainius ]
  * Update symbol files for 4.4.2 on hurd-i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:53 +0300

kde4libs (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Drop kubuntu_74_plasma_applet_directories.diff, applied upstream
    - Drop kubuntu_75_kauth_authentication_fix.diff, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 30 Apr 2010 09:36:03 -0400

kde4libs (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Update patches:
    - drop 26_fixmanpage.diff - fixed upstream;
    - drop 30_fix_attica_includes.diff - merged upstream;
    - refresh other patches.
  * Update install files.
  * Move misplaced org.kde.kcontrol.kcmremotewidgets.service from kdelibs5-dev
    to kdelibs5-data, add appropriate replaces.
  * Update symbol files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:09 +0300

kde4libs (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Add kubuntu_75_kauth_authentication_fix.diff from upstream to address
    B.K.O #227117.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Apr 2010 11:49:42 -0400

kde4libs (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Add kubuntu_01_kubuntu_useragent.diff to add Kubuntu to the default KDE
    useragent (LP: #332339)
  * Add kubuntu_02_filedialog_enter_fix.diff (kde svn 1111606) to fix
    keyboard navigation within the file dialog

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 12 Apr 2010 20:30:58 -0400

kde4libs (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Update patches:
    - drop 26_fixmanpage.diff - fixed upstream;
    - drop 30_fix_attica_includes.diff - merged upstream;
    - refresh other patches.
  * Update install files.
  * Move misplaced org.kde.kcontrol.kcmremotewidgets.service from kdelibs5-dev
    to kdelibs5-data, add appropriate replaces.
  * Update symbol files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:09 +0300

kde4libs (4:4.4.2-0ubuntu2) lucid; urgency=low

  * In kubuntu_06_user_disk_mounting.diff (LP: #528907)
    - callHalPrivilegedVolumeMount() if the error is
      org.freedesktop.Hal.Device.Volume.PermissionDenied
      the error for umount is not changed, keep what there's already

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 01 Apr 2010 22:23:43 +0200

kde4libs (4:4.4.2-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Drop patches, fixed by upstream:
      - kubuntu_72_kpixmapcache_discard_fix.diff
      - kubuntu_73_silence_kdebug.diff
      - kubuntu_72_popupapplet_crash_fix.diff
      - kubuntu_71_knewstuff_crashes.diff
      - kubuntu_69_qreal.diff
      - 26_fixmanpage.diff
    - Update patches:
      - 08_add_debian_build_type.diff
      - 11_default_kde4_xdg_menu_prefix.diff
      - 14_hardcode_ptm_device.diff
      - 17_findservicebydesktoppath_try_realfilepath.diff
      - 23_solid_no_double_build.diff
      - 25_ld_exclude_libs_qtuitools.diff
    - Update RUNTIME_DEPS in rules
    - Bump build-depends
    - Update kdelibs5.install
    - Update kdelibs5-data.install

  [ Jonathan Riddell ]
  * Add kubuntu_74_plasma_applet_directories.diff by Brian Thomason,
    fixes Python Plasmoids not working when installed to /usr, LP:
    #521752
  * Update kubuntu_70_dbusmenu.diff from Aurelien Gateau, use org.kde
    for dbus domain, brings it into line with upstream

  [ Roderick B. Greening ]
  * Fixed kdelibs-dev.install for dbusmenu update

 -- Roderick B. Greening <roderick.greening@gmail.com>  Mon, 29 Mar 2010 16:15:56 -0230

kde4libs (4:4.4.1-1) experimental; urgency=low

  * New upstream release:
    - kio_http_cache_cleaner does not causes trashing anymore.
      (Closes: #401561)
    - "three stars" password line edits should work again. (Closes: #550866)
    - fixes crash on triple click in the katepart. (Closes: #564085)
    - Kate part now preserves highlighting mode on document reload.
      (Closes: #523477)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Drop obsolete presubj.
  * Do not export libQtUiTools.a symbols in kjsembed library
    (25_ld_exclude_libs_qtuitools.diff).
  * Build depend on pkg-kde-tools 0.6.4 which:
    - enables LIBKDEINIT_INSTALL_DIR=/usr/lib/kde4/libkdeinit and
      ENABLE_LIBKDEINIT_RUNPATH by default;
    - has dh_movelibkdeinit which actually moves libkdeinit4_*.so to the
      private directory;
    - is capable of generating strict local library interdependencies by
      stealing debian/shlibs.local generation code from qt4-x11;
    - is capable of generating ${allLibraries} and ${kde43Libraries} substs.
  * Implement a framework for moving libkdeinit4_*.so to the private directory:
    (patch 10_make_libkdeinit4_private.diff).
  * Split kdelibs5 into separate library packages:
    - each public library gets its own package with a few exceptions;
    - remaining stuff moved from kdelibs5 to kdelibs5-plugins;
    - individual libraries no longer depend on kdelibs-bin, but
      kdelibs5-plugins does (Closes: #530522).
    - new kdoctools binary package with files installed from kdoctools/
      directory in the source tree;
    - add package splitting rules to README.source;
  * Add control substs ${allLibraryPackages} and ${kde43LibraryPackages}
    for use in kdelibs5-{dev,dbg} and kdelibs5 metapackage despectively.
  * Add ${perl:Depends} to Depends of kdelibs5-plugins, kdelibs5-data and
    kdoctools.
  * Do not set RPATH to /usr/lib by default (patch
    09_disable_usr_lib_install_rpath.diff) (Closes: #564146). Disallowed on
    Debian.
  * Fix version in kdelibs5-data.NEWS (thanks to lintian).
  * Move "unsafe upgrade from KDE << 4.2.2" templates and handling to the
    kdelibs5-data package since kdelibs5 has become a metapackage and might be
    autoremoved during upgrade.
  * Add Breaks kdelibs5-data (<< 4:4.2.2) to kdelibs5, kdelibs5-plugins and
    libkdecore5 in order to force apt/aptitude/dpkg to unpack kdelibs5-data
    before them. kdelibs5-data is a lightweight package dependency wise.
  * Clean up lintian-overrides and add a couple of new ones.
  * Make /usr/share/kde4/apps/kconf_update/ksslcertificatemanager.upd.sh
    from kdelibs5-data executable.
  * Drop obsolete libplasma-dev provides from kdelibs5-dev.
  * Move kdewidgets.so and kde3supportwidgets.so to kdelibs5-dev.
  * Make kdelibs5-dev conflict with libkwebkit-dev.
  * Add symbol files for all public libraries (based on 4:4.3.4 where
    possible).
  * Inject unversioned kdebase-runtime dependency via a couple of libkdecore5
    and libkdeui5 symbols, which will be used by applications but typically not
    by libraries:
    - KCmdLineArgs in libkdecore5:
      - KCmdLineArgs::addCmdLineOptions();
      - KCmdLineArgs::addStdCmdLineOptions();
      - KCmdLineArgs::init() overloads;
    - KApplication in libkdeui5:
      - Constructors and destructors;
    - KUniqueApplication in libkdeui5:
      - Constructors and destructors;
  * Unversion kdebase-runtime injection via libkdecore5 shlibs.
  * Make libkdecore5 break kdebase-runtime (<< 4:4.4).
  * Move manual pages to the packages with their respective binaries.
  * Make kdelibs5-dbg replace kdebase-workspace-dbg (<< 4:4.4.0).
  * Move cmake from kdelibs5-dev Depends to Breaks.
  * Bump libphonon-dev in Build-Depends to 4:4.6.0really4.3.80.
  * Bump build dependency on dpkg-dev to 1.15.5.
  * Ship all_languages in kdelibs5-data (Closes: #556264).

  [ Kai Wasserbäch ]
  * debian/patches:
    - Drop backported patches:
      + 00_1034808_4.4_backport_rtldglobal.diff
    - Refresh and rework patches:
      + 08_add_debian_build_type.diff
      + 11_default_kde4_xdg_menu_prefix.diff
      + 14_hardcode_ptm_device.diff
      + 15_kfreebsd_support.diff
      + 17_findservicebydesktoppath_try_realfilepath.diff
      + 19_findqt4_optional_x11_pthread.diff
      + 20_use_dejavu_as_default_font.diff
      + 23_solid_no_double_build.diff
      + 25_ld_exclude_libs_qtuitools.diff
  * debian/control:
    - Add Build-Depends on libattica-dev, shared-desktop-ontologies,
      libpolkit-qt-1-dev, libxss-dev and libqca2-dev.
    - Bump Build-Depends for Qt to >= 4.6.0.
    - Bump Build-Depends for Phonon to >= 4.4.0.
    - Bump Build-Depends for libsoprano-dev to >= 2.4.0.1-2~.
    - Bump Standards-Version to 3.8.4, no further changes needed.
  * debian/kdelibs5-data.install: Update.

  [ George Kiagiadakis ]
  * Bump kdebase-runtime recommends to >= 4.4.
  * Add new packages for the new libraries shipped:
    libkdewebkit5, libknewstuff3-4, libkunitconversion4, libnepomukquery4a.
  * Add replaces: kdelibs5-dev replaces kdebase-workspace-dev << 4:4.4.0
    because the libnepomukquery headers were moved.

  [ Karl Ferdinand Ebert ]
  * update German translation.

  [ Pino Toscano ]
  * Add patch 29_hurd_support.diff to hopefully fix (even if not in the most
    elegant way) the compilation on GNU/Hurd.
  * Replace unused libtiff4-dev build-depend with zlib1g-dev and libjpeg-dev.
  * Update patch 13_qt4_designer_plugins_path.diff to fix the installation path
    of the kde3supportwidgets.so designer plugin.
  * Set the minimum version (either for build and runtime) of shared-mime-info
    to 0.30, as also upstream requires.

  [ Sune Vuorela ]
  * Add patch to change a include to a forward declaration to avoid exposing
    attica-headers to the world. Note that this makes us slightly source
    incompatible with the rest of the world, but actually it just exposes
    missing includes in other places.

  [ Ferdinand Thommes ]
  * Added missing copyrightholders to the respective sections.
  * Added new sections for kdewebkit and kunitconversion.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Mar 2010 12:40:06 +0200

kde4libs (4:4.4.1-0ubuntu3) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_72_kpixmapcache_discard_fix.diff to fix various crashes while
    toggling compositing or changing Plasma themes (LP: #321281)
    - Can be dropped in KDE 4.4.2
  * Add kubuntu_73_silence_kdebug.diff to fix applications being verbose when
    KDebug isn't enabled (LP: #540944)
    - Can be dropped in KDE 4.4.2

  [ Scott Kitterman ]
  * Manually remove mimetypes/kde.xml.podir that somehow crept into the
    diff.gz

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Mar 2010 14:21:27 -0400

kde4libs (4:4.4.1-1) experimental; urgency=low

  * New upstream release:
    - kio_http_cache_cleaner does not causes trashing anymore.
      (Closes: #401561)
    - "three stars" password line edits should work again. (Closes: #550866)
    - fixes crash on triple click in the katepart. (Closes: #564085)
    - Kate part now preserves highlighting mode on document reload.
      (Closes: #523477)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Drop obsolete presubj.
  * Do not export libQtUiTools.a symbols in kjsembed library
    (25_ld_exclude_libs_qtuitools.diff).
  * Build depend on pkg-kde-tools 0.6.4 which:
    - enables LIBKDEINIT_INSTALL_DIR=/usr/lib/kde4/libkdeinit and
      ENABLE_LIBKDEINIT_RUNPATH by default;
    - has dh_movelibkdeinit which actually moves libkdeinit4_*.so to the
      private directory;
    - is capable of generating strict local library interdependencies by
      stealing debian/shlibs.local generation code from qt4-x11;
    - is capable of generating ${allLibraries} and ${kde43Libraries} substs.
  * Implement a framework for moving libkdeinit4_*.so to the private directory:
    (patch 10_make_libkdeinit4_private.diff).
  * Split kdelibs5 into separate library packages:
    - each public library gets its own package with a few exceptions;
    - remaining stuff moved from kdelibs5 to kdelibs5-plugins;
    - individual libraries no longer depend on kdelibs-bin, but
      kdelibs5-plugins does (Closes: #530522).
    - new kdoctools binary package with files installed from kdoctools/
      directory in the source tree;
    - add package splitting rules to README.source;
  * Add control substs ${allLibraryPackages} and ${kde43LibraryPackages}
    for use in kdelibs5-{dev,dbg} and kdelibs5 metapackage despectively.
  * Add ${perl:Depends} to Depends of kdelibs5-plugins, kdelibs5-data and
    kdoctools.
  * Do not set RPATH to /usr/lib by default (patch
    09_disable_usr_lib_install_rpath.diff) (Closes: #564146). Disallowed on
    Debian.
  * Fix version in kdelibs5-data.NEWS (thanks to lintian).
  * Move "unsafe upgrade from KDE << 4.2.2" templates and handling to the
    kdelibs5-data package since kdelibs5 has become a metapackage and might be
    autoremoved during upgrade.
  * Add Breaks kdelibs5-data (<< 4:4.2.2) to kdelibs5, kdelibs5-plugins and
    libkdecore5 in order to force apt/aptitude/dpkg to unpack kdelibs5-data
    before them. kdelibs5-data is a lightweight package dependency wise.
  * Clean up lintian-overrides and add a couple of new ones.
  * Make /usr/share/kde4/apps/kconf_update/ksslcertificatemanager.upd.sh
    from kdelibs5-data executable.
  * Drop obsolete libplasma-dev provides from kdelibs5-dev.
  * Move kdewidgets.so and kde3supportwidgets.so to kdelibs5-dev.
  * Make kdelibs5-dev conflict with libkwebkit-dev.
  * Add symbol files for all public libraries (based on 4:4.3.4 where
    possible).
  * Inject unversioned kdebase-runtime dependency via a couple of libkdecore5
    and libkdeui5 symbols, which will be used by applications but typically not
    by libraries:
    - KCmdLineArgs in libkdecore5:
      - KCmdLineArgs::addCmdLineOptions();
      - KCmdLineArgs::addStdCmdLineOptions();
      - KCmdLineArgs::init() overloads;
    - KApplication in libkdeui5:
      - Constructors and destructors;
    - KUniqueApplication in libkdeui5:
      - Constructors and destructors;
  * Unversion kdebase-runtime injection via libkdecore5 shlibs.
  * Make libkdecore5 break kdebase-runtime (<< 4:4.4).
  * Move manual pages to the packages with their respective binaries.
  * Make kdelibs5-dbg replace kdebase-workspace-dbg (<< 4:4.4.0).
  * Move cmake from kdelibs5-dev Depends to Breaks.
  * Bump libphonon-dev in Build-Depends to 4:4.6.0really4.3.80.
  * Bump build dependency on dpkg-dev to 1.15.5.
  * Ship all_languages in kdelibs5-data (Closes: #556264).

  [ Kai Wasserbäch ]
  * debian/patches:
    - Drop backported patches:
      + 00_1034808_4.4_backport_rtldglobal.diff
    - Refresh and rework patches:
      + 08_add_debian_build_type.diff
      + 11_default_kde4_xdg_menu_prefix.diff
      + 14_hardcode_ptm_device.diff
      + 15_kfreebsd_support.diff
      + 17_findservicebydesktoppath_try_realfilepath.diff
      + 19_findqt4_optional_x11_pthread.diff
      + 20_use_dejavu_as_default_font.diff
      + 23_solid_no_double_build.diff
      + 25_ld_exclude_libs_qtuitools.diff
  * debian/control:
    - Add Build-Depends on libattica-dev, shared-desktop-ontologies,
      libpolkit-qt-1-dev, libxss-dev and libqca2-dev.
    - Bump Build-Depends for Qt to >= 4.6.0.
    - Bump Build-Depends for Phonon to >= 4.4.0.
    - Bump Build-Depends for libsoprano-dev to >= 2.4.0.1-2~.
    - Bump Standards-Version to 3.8.4, no further changes needed.
  * debian/kdelibs5-data.install: Update.

  [ George Kiagiadakis ]
  * Bump kdebase-runtime recommends to >= 4.4.
  * Add new packages for the new libraries shipped:
    libkdewebkit5, libknewstuff3-4, libkunitconversion4, libnepomukquery4a.
  * Add replaces: kdelibs5-dev replaces kdebase-workspace-dev << 4:4.4.0
    because the libnepomukquery headers were moved.

  [ Karl Ferdinand Ebert ]
  * update German translation.

  [ Pino Toscano ]
  * Add patch 29_hurd_support.diff to hopefully fix (even if not in the most
    elegant way) the compilation on GNU/Hurd.
  * Replace unused libtiff4-dev build-depend with zlib1g-dev and libjpeg-dev.
  * Update patch 13_qt4_designer_plugins_path.diff to fix the installation path
    of the kde3supportwidgets.so designer plugin.
  * Set the minimum version (either for build and runtime) of shared-mime-info
    to 0.30, as also upstream requires.

  [ Sune Vuorela ]
  * Add patch to change a include to a forward declaration to avoid exposing
    attica-headers to the world. Note that this makes us slightly source
    incompatible with the rest of the world, but actually it just exposes
    missing includes in other places.

  [ Ferdinand Thommes ]
  * Added missing copyrightholders to the respective sections.
  * Added new sections for kdewebkit and kunitconversion.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Mar 2010 12:40:06 +0200

kde4libs (4:4.3.4-3) unstable; urgency=medium

  * Add -ffunction-sections to C(XX)FLAGS on ia64 in order to fix FTBFS.

 -- Modestas Vainius <modax@debian.org>  Fri, 19 Feb 2010 09:44:22 -0700

kde4libs (4:4.3.4-2) unstable; urgency=emergency

  * Fix libplasma3 symbols file (Closes: #570041).
  * Pass CMAKE_SKIP_RPATH=ON to cmake.
  * Urgency=emergency - needed for transition.

 -- Modestas Vainius <modax@debian.org>  Thu, 18 Feb 2010 15:19:16 +0200

kde4libs (4:4.3.4-1) unstable; urgency=low

  * New upstream release.
    - includes proper fixes for khtml show hide issue. (Closes: 553288)

  +++ Changes by George Kiagiadakis:

  * Add patch to make konsole work on GNU/kFreeBSD.

  +++ Changes by Xavier Vello:

  * Add patch to find KDE3 documentation on khelpcenter4

  +++ Changes by Modestas Vainius:

  * Update debian/patches:
    - 01_r1032787_khtml_show_hide_fix - remove, taken from upstream;
    - 02_r1032185_threading_issues_in_klocale - remove, taken from upstream;
    - 08_add_debian_build_type - refresh, offsets adjusted;
    - 14_hardcode_ptm_device - refresh, offsets adjusted;
    - 15_kfreebsd_support - refresh, offsets adjusted;
    - 20_use_dejavu_as_default_font - refresh, offsets adjusted;
  * Update libplasma3 symbols file.
  * Update install files.
  * Remove obsolete information from README.Debian. Add notes
    for people upgrading from Lenny to Squeeze regarding KDEHOME change.
  * Backport a patch from KDE 4.4 to make it possible to use kstyle plugins
    with RTLD_GLOBAL. Unbreaks openoffice.org (Closes: #550905) (patch
    00_1034808_4.4_backport_rtldglobal.diff, kde4libs part).

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support in kdecore.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Christian Perrier:

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #553451

  [Debconf translation updates]
  * Swedish (Martin Ågren).  Closes: #554453
  * Basque (Piarres Beobide).  Closes: #554560
  * Galician (Marce Villarino).  Closes: #555454
  * Bokmål, Norwegian (Bjørn Steensrud).  Closes: #555654
  * Czech (Tomas Fidler).  Closes: #555983
  * Italian (Vincenzo Campanella).  Closes: #556039
  * Spanish (Francisco Javier Cuadrado).  Closes: #556447
  * Russian (Yuri Kozlov).  Closes: #556547
  * Finnish (Esko Arajärvi).  Closes: #556795
  * Portuguese (Pedro Ribeiro).  Closes: #556848
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #557095

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:08 +0200

kde4libs (4:4.3.2-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Fix default monospace font name. Thanks Andrea Iacovitti. Closes: #549308.
  * Add patch from upstream to fix handling of deletion in khtml.
  * Add patch from upstream to fix a threading issue in klocale.

 -- Sune Vuorela <debian@pusling.com>  Sat, 10 Oct 2009 21:58:43 +0200

kde4libs (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Modify kdelibs5.templates to conform partially with lintian complaints.
  * Add po-debconf and a first german translation.
  * Change raring to experimental in kdelibs5-data.NEWS.
  * Add 26_fixmanpage.diff to adjust line break in FindBlitz.cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 14:59:23 +0200

kde4libs (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Add libutempter-dev build dependency. Used by kpty.

  +++ Changes by Modestas Vainius:

  * Remove 01_r1012564.diff patch, merged upstream.
  * Refresh patches.
  * Update kdelibs5-data.install.
  * Update libplasma3.symbols.in.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 10:28:49 +0300

kde4libs (4:4.3.0-2) unstable; urgency=medium

  * Add patch: 01_r1012564.diff: Fixes a data loss with KIO.
  * Bump Standards-Version to 3.8.3 - no changes needed.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 22 Aug 2009 13:32:44 +0200

kde4libs (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
    - Disables kmail debug output by default (Closes: #537331).

  +++ Changes by Modestas Vainius:

  * Drop 09_disable_debug_messages_if_not_explicitly_enabled.diff patch - no
    longer needed.
  * Bump soprano build depends to 2.3.0.
  * New build dependencies:
    - flex - needed to build the Solid predicate parser;
    - bison - needed to build the Solid predicate parser.
  * Bump Standards-Version to 3.8.2 - no changes needed.
  * Update install files.
  * Update plasma symbols file, port it to dpkg-dev 1.15.3 compatible format
    and add build depend on dpkg-dev >= 1.15.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:15:47 +0200

kde4libs (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate 2.

  +++ Changes by George Kiagiadakis:

  * Refresh patches.
  * Bump build dependency on Qt4 to version 4.5.1.
  * Bump build dependency on automoc to version 1.0~version-0.9.88.
  * Bump build dependency on soprano to version 2.1.68.
  * Remove patch 24_runtime_qt45_locale_initialization.diff as
    we now build-depend on Qt 4.5.
  * Update installed files.
  * Add myself to uploaders.
  * Update replaces: kdelibs-dev replaces kdebase-runtime-data (<< 4.2.90).
  * Update RUNTIME_DEPS variable in debian/rules to point to
    kdebase-runtime (>= 4.2.95).
  * Update recommends: kdelibs5 recommends kdebase-runtime (>= 4.2.95).
  * Add replaces: kdelibs5-dev replaces kdebase-workspace-dev (<< 4.2.90)
    because a cmake file (create_exe_symlink.cmake) was moved.
  * Update lintian overrides.

  +++ Changes by Sune Vuorela:

  * Make kdelibs break kdebase-workspace-bin.
  * Insntall files

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 14:58:06 +0300

kde4libs (4:4.2.4-1) unstable; urgency=low

  * New upstream release:
    - Backport revert of auto-default button change to KDE 4.2.
      (Closes: #525561, #523744)

  +++ Changes by Modestas Vainius:

  * Fix typo in the kdelibs5.templates.

  +++ Changes by Sune Vuorela:

  * Fix sections.
  * Add Suggests: hspell to kdelibs5 for hebrew spell checking.

  +++ Changes by David Palacio:

  * Reword of kdelibs5.templates.

  +++ Changes by Fathi Boudra:

  * Update libplasma3.symbols.in file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 May 2009 12:36:12 +0200

kde4libs (4:4.2.2-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Move debconf to Pre-Depends.
  * Upgrade kaboom to kdelibs5 Recommends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Apr 2009 11:43:00 +0300

kde4libs (4:4.2.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Add aggressive conflicts to prevent mix and match.
  * Remove ban of upload of 3rd party apps.
  * Bump runtime versions.
  * Bump requirements of pkg-kde-tools to require the .kde edition.
  * Temporarily add a versioned dependency on pkg-kde-tools on kdelibs5-dev to
    be absolutely sure not having any accidents.
  * Add conflicts&replaces on kjscmd (Closes: 520453)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove 01_kcmdlineargs_decoding_svn934640.diff, merged upstream.

  +++ Changes by Aurelien Jarno:

  * Update 15_kfreebsd.diff (Closes: #520123).

  +++ Changes by George Kiagiadakis:

  * Add patch 24_runtime_qt45_locale_initialization.diff to fix locale
    initialization when kde is run with Qt 4.5 but built with Qt 4.4.

  +++ Changes by Modestas Vainius:

  * Add debconf templates to warn existing KDE 4 users about KDEHOME change
    this revision introduces.
  * Add NEWS entry about KDEHOME change.
  * Bump libplasma symbol versions to 4:4.2.2.
  * Do not export QtUiTools symbols in libplasma.so.3
    (25_ld_exclude_libs_qtuitools.diff). Remove them from
    libplasma3.symbols.in. Should fix FTBFS on alpha.
  * kdelibs5 suggests kaboom.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 05 Apr 2009 05:33:47 +0300

kde4libs (4:4.2.1-2) unstable; urgency=low

  * Upload to unstable.

  +++ Changes by Fathi Boudra:

  * Add 01_kcmdlineargs_decoding_svn934640.diff patch from upstream
    to fix kcmdlineargs input decoding with Qt 4.5. (Closes: #518062)
    It contains also a fix from svn938370: use the new bool exported by Qt
    so that we can initialize the locale and make fromLocal8Bit/toLocal8Bit
    work even without a QCoreApplication.

  +++ Changes by Modestas Vainius:

  * Use dh_bugfiles and build depend on debhelper 7.2.3:
    - rename kdelibs5-dev.presubj to kdelibs5-dev.bug-presubj;
    - rename debian/libplasma3.bugscript to debian/libplasma3.bug-script.
  * Bump cmake build depend to 2.6.3. 24_2.6.2_use_common_cmake_config_dir.diff
    dropped.
  * Prepare for upload to unstable and ban unstable uploads of 3rd party
    packages (debian/ban-unstable-uploads & 24_ban_unstable_uploads.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 12 Mar 2009 13:53:37 +0100

kde4libs (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Remove patches which were stolen from upstream:
    - 01_r918838_kded_desktop_file_watch.diff
    - 00_917133_qreal_portability_fix.diff
    - 01_r918403_klauncher_hang.diff
    - 01_r918654_klauncher_unique_app.diff
    - 01_r917170_kio_update_on_break.diff
    - 00_917014_kde4.2.0_tag.diff
  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 17:59:21 +0200

kde4libs (4:4.2.0-3) experimental; urgency=low

  +++ Changes by Armin Berres:

  * Update patch 08_add_debian_build_type.diff to also set QT_NO_DEBUG and
    sync 09_disable_debug_messages_if_not_explicitly_enabled.diff with
    upstream revision 916186.

  +++ Changes by Modestas Vainius:

  * Update debian/libplasma3.symbols.in with {qreal} substitutions. Fixes
    FTBFS on arm(el).

  +++ Changes by Sune Vuorela:

  * Add patches from upstream for some stability fixed:
    01_r917170_kio_update_on_break.diff
    01_r918403_klauncher_hang.diff
    01_r918654_klauncher_unique_app.diff
    01_r918838_kded_desktop_file_watch.diff
    Thanks to David Faure for pushing them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 29 Jan 2009 22:20:37 +0200

kde4libs (4:4.2.0-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Tweak libplasma3 description.
  * Steal r917133 (as 00_917133_qreal_portability_fix.diff) from upstream svn
    to fix FTBFS on armel.
  * Deprecate external Qt symbols in libplasma3 symbols template
    (Closes: #513133).
  * Get up-to-date with kdelibs 4.2.0 tag: add 00_917014_kde4.2.0_tag.diff
    patch (plasma security issue).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Jan 2009 01:00:17 +0200

kde4libs (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  - kfmclient is no longer needed (Closes: #508601).

  +++ Changes by Modestas Vainius:

  * Resync patches:
    - 01_http_cache_cleaner_branch_881252.diff - remove, stolen from upstream.
    - 01_kross_version_11_r838337.diff - remove, stolen from unstream.
    - 08_add_debian_build_type.diff - refresh.
    - 13_qt4_designer_plugins_path.diff - refresh.
    - 14_hardcode_ptm_device.diff - refresh.
    - 15_kfreebsd_support.diff - refresh.
    - 16_debian_menu.diff - refresh.
    - 17_findservicebydesktoppath_try_realfilepath.diff - refresh.
    - 18_always_set_cmake_policy.diff - remove, obsolete.
    - 19_findqt4_optional_x11_pthread.diff - refresh.
    - 20_use_dejavu_as_default_font.diff - refresh.
    - 22_hack_in_etc_kde4_in_kstandarddirs.diff - refresh.
  * Update cmake (build-)dependency to 2.6.2:
    - depend on 2.6.2-3~ due to cmake common config lib support;
    - 23_2.6.2_use_common_cmake_config_dir.diff - enable support for common
      cmake config dir with cmake 2.6.2 (debian patched version);
    - enable cmake var KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR.
  * Build with -DCMAKE_USE_RELATIVE_PATHS=ON.
  * Bump standards-version to 3.8.0:
    - add README.source.
  * Cleanup old conflicts/replaces (for KDE 4.0 prerelease versions).
  * Add new packages for Plasma. They were based on the respective Plasma
    packages from kdebase-workspace.
    - libplasma3 - contains Plasma library and plugins. Make kdelibs5-dbg
      recommend it;
    - add Plasma headers to kdelibs5-dev, make it provide libplasma-dev,
      conflict and replace earlier libplasma-dev and recommend
      libqt4-opengl-dev needed to build GLapplet stuff;
    - kdelibs5-data replaces kdebase-workspace-data and libplasma2 from KDE 4.1
  * Update install and installgen files.
  * Make kdelibs5 recommend kdebase-runtime >= 4:4.1.80 because some
    stuff does not work (e.g. kwallet) with previous versions.
  * Build depend on strigi >= 0.6.3.
  * Move some libkdeinit4 stuff to kdelibs5 since their executables are in
    libexec:
    - libkdeinit4_klauncher.so
    - libkdeinit4_kio_http_cache_cleaner.so
    - libkdeinit4_kconf_update.so
  * Build depend on soprano >= 2.1.67.
  * Use better approach to enforcing kde4- prefix to applications.menu. The
    previous way broken menu spec and made 3rd party applications end up in
    Lost&Found menu. 11_kde4_applications_menu.diff patch was replaced by
    11_default_kde4_xdg_menu_prefix.diff. Thanks to Harald Sitter for the
    heads up.
  * Switch to new installgen file format.
  * Move upstream manpages from debian/*.manpages to debian/*.install files.
  * Build depend on pkg-kde-tools 0.3, add symbols file for libplasma3,
    add appropriate hooks to debian/rules.
  * kdelibs5-dev conflicts with kdepimlibs5-dev (<< 4:4.1.81+svn891439) because
    of upstream changes.
  * Rename debian/*.lintian to debian/*.lintian-overrides.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).

  +++ Changes by George Kiagiadakis:

  * Update automoc (build-)dependency to 1.0~svn850570.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Rework slightly patch 15_kfreebsd_support.diff.
  * Redo patch 20_use_dejavu_as_default_font.diff.
  * Force to build depend on libphonon-dev (>= 4:4.3.0).
  * Remove redudant section/priority fields in debian/control.
  * Update lintian overrides.
  * Update copyright years.

  +++ Changes by Armin Berres:

  * Fix patch 09_disable_debug_messages_if_not_explicitly_enabled.diff. Now
    really only debug output is disabled.
  * Add dependency on xdg-utils to kdelibs5. KDE applications use xdg-open to
    invoke a browser when not running in a KDE environment these days.

  +++ Changes by Sune Vuorela:

  * Copyright file updates. Thanks to Modestas and his magic scripts.
  * Remove plasma abi handling. It is expected to be stable now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Jan 2009 06:14:48 +0200

kde4libs (4:4.1.4-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * shlibs bump.

  +++ Changes by Modestas Vainius:

  * Use better approach to enforcing kde4- prefix to applications.menu. The
    previous way broken menu spec and made 3rd party applications end up in.
    Lost&Found menu. 11_kde4_applications_menu.diff patch was replaced by
    11_default_kde4_xdg_menu_prefix.diff. Thanks to Harald Sitter for the
    heads up.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Jan 2009 22:00:46 +0100

kde4libs (4:4.1.3-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump kdebase-runtime dependency back to 4.1.3. The previous change was
    a mistake.
  * Bump kdelibs5 shlibs to 4.1.3-2 to ease the pain.

  +++ Changes by Sune Vuorela:

  * Add patch for http cache cleaner to keep the cache revision in sync.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 07 Nov 2008 22:18:05 +0200

kde4libs (4:4.1.3-1) experimental; urgency=low

  * New upstream release

  +++ Changes by Sune Vuorela:

  * Remove kdedglobalaccel crash patch. Merged upstream.

  +++ Changes by Modestas Vainius:

  * Bump shlibs to 4.1.3.
  * Loosen kdebase-runtime dependency back to 4.1.0. There seems to be no
    other easy way to solve experimental buildd failures. This should not
    hurt too much.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Nov 2008 09:56:56 +0200

kde4libs (4:4.1.2-2) experimental; urgency=low

  * Fix kdedglobalaccel crashes. Patch 02.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 12 Oct 2008 20:00:14 +0200

kde4libs (4:4.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update UPSTREAMVERSION to 4.1.2 in debian/rules.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 28 Sep 2008 12:33:31 +0200

kde4libs (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Update patches;
    - remove 01_r840377_840379_unload_on_close.diff merged upstream
    - remove 02_41branch_link_interface_libraries.diff.
    - remove 99_conservative_link_interface_libraries.diff, no need to be more
      conservative than upstream.
  * Add new file FindEigen2.cmake in kdelibs5-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 02 Sep 2008 00:22:08 +0200

kde4libs (4:4.1.0-3) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Update kross to version 11 (r838337). Fix build of latest kdevplatform
    and kdevelop4 (Closes: #491272).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Aug 2008 18:56:06 +0200

kde4libs (4:4.1.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Add 01_r840377_840379_unload_on_close.diff patch.
    Fixes a nasty bug which makes some KDE4 apps stay in memory when closed
    resulting into excessive memory usage after some time.
  * Readd usr/share/man/man1/kdecmake.1 kdelibs5-dev.
  * Build depend on cmake >= 2.6.
  * Update automoc build-dependency.
  * Replace unofficial 90 patch with the one taken from KDE 4.1 branch.
    (02_41branch_link_interface_libraries.diff). It is the version "supported"
    by upstream with some extra features. It does not seem to be much different
    from the previous 90_ patch.
  * Add 99_conservative_link_interface_libraries.diff which *adds* some more
    LINK_INTERFACE_LIBRARIES to reduce linking failures of third party
    applications. This patch surely does not break anything, it only adds more
    libraries which are eliminated by --as-needed in Debian packaging.
    However, it might help to link a random KDE4 3rd party application against
    our kde4libs.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Rename debian/kdelibs5.bug-presubj to right filename debian/kdelibs5.presubj.
  * Replace libcupsys2-dev with libcups2-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Aug 2008 20:29:38 +0200

kde4libs (4:4.1.0-1) unstable; urgency=low

  * New upstream release 4.1.0.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build depends to new versions of phonon and soprano.
  * Update UPSTREAMVERSION to 4.1.0 in debian/rules.
  * Keep build-depend on cmake >= 2.4.5, but force everything build depending
    on kdelibs5-dev use cmake 2.6.
  * Remove patch 98_link_interface_libraries, merged upstream.

  +++ Changes by Modestas Vainius:

  * Adapt kdelibs5-dev deps to new dh_sameversiondeps syntax.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 Jul 2008 21:08:49 +0200

kde4libs (4:4.0.98+svn833207-1) unstable; urgency=low

  * New upstream snapshot.

  +++ Changes by Modestas Vainius:

  * Do not require cmake 2.6 (kdelibs5-dev).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patch 01, merged upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 16 Jul 2008 15:17:41 +0200

kde4libs (4:4.0.98-2) unstable; urgency=medium

  * Add patch 01_ to add missing LGPL entity needed to build french
    translations.
  * Remove kdelibs5-doc package for now. (Closes: #464396)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 15 Jul 2008 14:11:23 +0200

kde4libs (4:4.0.98-1) unstable; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Sune Vuorela:

  * Yay. Now Debian menu items in Debian menu instead of in Lost & Found.
  * Remove deprecate applnk patch. It is already deprecated, no need for the
    patch. It only removes legacy handling.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Do not install kdecmake.1 because it is not created when building in hppa
    with cmake 2.4.8. (Closes: #488661)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 01:10:40 +0200

kde4libs (4:4.0.84+svn828328-1) unstable; urgency=low

  * New upstream development snapshot.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patches 97_use_imported_targets_with_cmake26.diff and
    99_more_implicit_link_libs.diff
  * Update 98_link_interface_libraries.diff
  * Add 90_reduce_linking.diff by A. Neundorf.

  +++ Changes by Armin Berres:

  * Disable debug output of KMail by default.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 05 Jul 2008 18:48:48 +0200

kde4libs (4:4.0.84-1) experimental; urgency=low

  * New upstream snapshot.

 -- Sune Vuorela <debian@pusling.com>  Fri, 27 Jun 2008 19:19:33 +0200

kde4libs (4:4.0.82+svn819867-1) experimental; urgency=low

  * New upstream development snapshot.

  +++ Changes by Armin Berres:

  * Add libxcursor-dev build dependency.
  * Recommend the new default font ttf-dejavu.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove phonon package stuff, it has been split out from kde4libs.
  * Add build depends on phonon-dev.
  * Update UPSTREAMVERSION in debian/rules.
  * Update installed files.
  * Add Conflicts with libkjsembed-dev from KDE 3 to kdelibs5-dev.
    (Closes: #480686)

  +++ Changes by Modestas Vainius:

  * Drop 18_always_set_cmake_policy.diff patch - applied upstream.
  * Make kdelibs5-dev depend on libphonon-dev, KDE4Internal.cmake REQUIRES it.
  * Bump shlibs to 4.0.82.
  * Exclude dependancy on phonon metapackage.

  +++ Changes by Sune Vuorela:

  * Install config files in /usr/share/kde4/config.
  * Patch kstandarddirs to look in home, installpath, prefix/path except when
    config files, where home, /etc/kde4, prefix/path, installpath is
    preferred. Patch developed in cooperation with Fedora. (Closes: #484897).
  * Add README file about the configuration stuff.
  * Versioned build-dep on shared-mime-info.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 Jun 2008 00:05:51 +0300

kde4libs (4:4.0.80-1) experimental; urgency=low

  * New upstream development milestone (KDE 4.1 Beta1).

  +++ Changes by Modestas Vainius:

  * Disable 97 patch (will be removed later).
    Pass -DKDE4_ENABLE_EXPERIMENTAL_LIB_EXPORT=on to cmake which enables
    equivalent functionality.
  * Update install files.
    - Add makekdewidgets.1 man page to kdelibs5-dev.
    - Move checkXML.1 from kdelibs5-data to kdelibs5-dev. Bump replaces.
  * Refresh patches.
  * Ligthen cmake build-dependency to 2.4.5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 21 May 2008 22:53:51 +0300

kde4libs (4:4.0.74-1) experimental; urgency=low

  * New upstream snapshot.
  * Raise the added shlibs dependency for kdebase-runtime to 4:4.0.72.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 May 2008 17:41:23 +0200

kde4libs (4:4.0.73+svn806390-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r806390 by uwolfer
    - Date: Sun, 11 May 2008 10:32:27 -0000

  * Corrections to *.install files:
    - kdelibs5-dev.install: 1 new file(s) added;
    - kdelibs-bin.install: 1 file(s) removed;

  +++ Changes by Modestas Vainius:

  * Add libacl1-dev to build depends.
    Refresh 98 patch (kio_file build failure).
  * Allow to set UPSTREAMVERSION in the environment.
  * Use external automoc. Build-depend on automoc (>= 1.0~svn805317), make
    kdelibs5-dev depend on it too.

  +++ Changes by Armin Berres:

  * kdelibs5-dev must replace kdelibs-data << 4:4.0.72-1 after the move of the
    dbus-1 XML interfaces.

  +++ Changes by Fathi Boudra:

  * Add 20 patch to use DejaVu font as default font.
  * Add libxml2-utils dependency to kdelibs-bin: meinproc4 needs it.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 13:51:16 +0300

kde4libs (4:4.0.72-1) experimental; urgency=low

  * New upstream snapshot. (r802761)

  * Fixes heap based buffer overflow via specially encoded image.
    CVE-2008-1670 (Closes: #478283)

  +++ Changes by Modestas Vainius:

  * 98_link_interfaces_library.diff - major update:
    - Drop ${QT_QTNETWORK_LIBRARY}, ${QT_QTDBUS_LIBRARY}, ${QT_QTXML_LIBRARY}
      from kdecore LINK_INTERFACE_LIBRARIES leaving only ${QT_QTCORE_LIBRARY}.
      Those 3 libraries are no longer implicitly provided by any kdelibs
      target. This may cause a few link time FTBFSes.
    - Further update LINK_INTERFACE_LIBRARIES of other public libraries.
  * Export ${KDE4_THREADWEAVER_LIBRARIES} and an alias for
    ${KDE4_THREADWEAVER_LIBS} to restore compatibility.
  * Fix offsets in other patches so they apply cleanly.
  * Move usr/include/KDE/Phonon from kdelibs5-dev to libphonon-dev. Update
    *.install files and Replaces for libphonon-dev appropriately.
  * Enhance 19_findqt4_optional_x11.diff patch. Do not implicitly add
    -lphread.
  * Build depend on libenchant-dev.
  * Add 99_more_implicit_link_libs.diff which adds more implicit link
    interface libraries to diverge from upstream as least as possible.
    - In addition, kdecore implies QtDBus, QtXml, QtNetwork.
    - In addition, kdeui implies QtSvg.
    - In addition, kde3support and ktuils imply kparts.
    - In addition, kio implies solid.
  * Move dbus-1 XML interfaces to kdelibs5-dev.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Apr 2008 18:03:58 +0200

kde4libs (4:4.0.70+svn799089-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Export kparts as khtml interface library.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Apr 2008 20:22:47 +0300

kde4libs (4:4.0.70+svn799089-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r799089.

  +++ Changes by Armin Berres:

  * Update and sort *.install files.

  +++ Changes by Ana Beatriz Guerrero Lopez

  * Add new build depends after Qt4 have updated its build depends:
    libpng-dev, libssl-dev, libsm-dev.
  * Add version to the RUNTIME_DEPS in debian/rules.

  +++ Changes by Modestas Vainius:

  * New version of 17_findservicebydesktoppath_try_realfilepath.diff. Still
    incomplete.
  * Shrink *-dev dependency list of kdelibs5-dev to libqt4-dev (>= 4.4.0~),
    libsoprano-dev (>= 2.0.97~). Thanks to Sune Vuorela for determining this
    set from #include's of the public headers.
  * Add 18_always_set_cmake_policy.diff patch to set CMake policy settings
    regardless of KDE_FOUND value.
  * Introduce 97_use_imported_targets_with_cmake26.diff which changes the way
    libraries dependences are exported when built with CMake 2.6:
    - Rationale behind this is to reduce excess linkage.
    - Build-depend on cmake 2.6 or later. Make kdelibs5-dev depend on
      cmake 2.6.
    - Do not use export_library_dependencies() to export library dependences
      with CMake 2.6. This method was the main source of excess linkage
      problems. Use a brand new install(EXPORT) instead which supports
      LINK_INTERFACE_LIBRARIES.
    - Due to the change above, add "EXPORT kdelibs" property for all public
      install(TARGETS).
    - Rewrite the part of FindKDE4Install.cmake which deals with
      KDE4_*_LIBRARY and KDE4_*_LIBS setup. Since we are using cmake IMPORTED
      targets now and let cmake do a major part of dependency handling for us,
      make each KDE4_*_LIBS variable refer to the IMPORTED target of the
      respective public KDE library. KDE4_*_LIBRARY semantics were not changed
      and they still point to the result of find_library().
  * Add 98_link_interface_libraries.diff which:
    - Tweaks target_link_libraries() calls where dependences where were
      missing.
    - Makes use of LINK_INTERFACE_LIBRARIES target property to control which
      libraries are exported via link interface (property values probably need
      more tweaking). This is CMake 2.6 or only, ignored for CMake 2.4.
  * Make kdelibs shlibs "dynamic" and ensure kdebase-runtime from KDE 4.1
    series is used as runtime dependency.
  * Build-depend on libglu1-mesa-dev as libqt4-dev 4.4.0~rc1-5 is dropping it
    from Depends.
  * Add myself to Uploaders.
  * Add 19_findqt4_optional_x11.diff - make X11 optional for in FindQt4.cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 20 Apr 2008 22:12:38 +0300

kde4libs (4:4.0.68+svn794641-1) experimental; urgency=low

   * New upstream development snapshot.

   +++ Changes by Modestas Vainius:

   * Sort *.install files
   * Drop 16_postgresql_include_path_fix.diff - merged upstream.
   * Add 17_findservicebydesktoppath_try_realfilepath.diff to improve
     desktop file location by path on the systems where e.g. /usr is a
     symlink. Please note this patch still does not fix what I developed
     it for. So it's useless but it does not hurt. Work in progress.
  * Add Replaces: kdebase-runtime-data << KDE 4.1 for kdelibs5-dev due to
    common file /usr/share/kde4/apps/cmake/modules/FindXine.cmake

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Tighten build depend version on libstreamanalyzer-dev 0.5.8-2
    from experimental.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 06 Apr 2008 22:12:02 +0300

kde4libs (4:4.0.66+svn791114-1) experimental; urgency=low

  * First KDE 4.1 snapshot packaged, this is going to experimental.
  * Update installed files.
  * Refresh and update patches.
  * Bump to new version number where needed.
  * Add some versioned depends on Qt4 4.4.
  * Replace libqt4-debug with libqt4-dbg.
  * Build depend on soprano >= 2.0.97~.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 28 Mar 2008 13:36:21 +0100

kde4libs (4:4.0.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Armin Berres:

  * Don't bump shlibs version automatically on every upload. Bumping on new
    upstream versions is enough now that the libs are stable.
  * Add versioned shlibs to libphonon4.
  * Remove kde-icons-oxygen and kdebase-runtime-data from the shlibs file of
    kdelibs5. kdebase-runtime depends on them anyway.
  * Add strict dependency of kdelibs-bin on kdelibs5 and use a more obvious
    way to remove the dependency on kdebase-runtime. shlibs.local is no more
    needed now.

  +++ Changes by Matthew Rosewarne:

  * Build-Depend on libgif-dev instead of libungif4-dev.

  +++ Changes by Modestas Vainius:

  * New patch 16_postgresql_include_path_fix.diff, which adds PostgreSQL
    include paths used on Debian to FindPostgreSQL cmake module.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Drop patches pulled from KDE's SVN, now part of the release
    - 01_make_stackingOrder_work_r769072.diff
    - 02_re-register_global_shortcuts_r769363.diff
  * Update installed files.
  * Update UPSTREAMVERSION in debian/rules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2008 12:52:59 +0100

kde4libs (4:4.0.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Make dependencies binNMU-friendly.
  * Bump Soprano minimum version to 2.0.0.
  * Remove redundant Depends: shared-mime-info from kdelibs5-dev.
  * Add Suggests: kdelibs5-doc to kdelibs5-dev.

  +++ Changes by Armin Berres:

  * Update 10_kdehome_kde4 patch. Set kde home directory to ~/.kde4
    where ~/.kde was used. Thanks to Jonathan Riddell and Suse people.
  * Update installed files.
  * Drop no more needed patch 16_arm_fixes.diff.

  +++ Changes by Fathi Boudra:

  * Make kdelibs5-dev installable on GNU/kFreeBSD. Thanks to Aurelien Jarno.
    (Closes: #462338)
  * Add dbus-x11 dependency to kdelibs5. Thanks to Chris Desjardins.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Cherry pick from branches/KDE/4.0:

    + 02_re-register_global_shortcuts_r769363:
      Re-register global shortcuts if kded4 is restarted.

  +++ Changes by Adeodato Simó:

  * Cherry pick from /branches/KDE/4.0:

    + 01_make_stackingOrder_work_r769072: fix KWindowSystem::stackingOrder() to
      actually return a non-empty list with the list of windows.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to debhelper 6.
  * Add versioned b-d on cdbs (>= 0.4.51) to get debhelper 6 support and fixed
    cmake.mk class.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Feb 2008 09:59:44 +0100

kde4libs (4:4.0.0-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Update arm patch. Avoid conversion to float. Thanks to Pino Toscano.
  * Move hal and pmount Recommends to kdebase-runtime-bin-kde4 package.
  * Rename kdelibs-dbg to kdelibs5-dbg.
    Conflicts/Replaces against kdelibs-dbg >= 4:3.91.0-1 and << 4:4.0.0-2

  +++ Changes by Armin Berres:

  * Add ${shlibs:Depends} dependency to kdelibs5-dev.

 -- Fathi Boudra <fabo@debian.org>  Sun, 13 Jan 2008 00:39:59 +0100

kde4libs (4:4.0.0-1) experimental; urgency=low

  * New upstream release. KDE 4.0.0 yay!

  +++ Changes by Armin Berres:

  * Add patch to disable debug information by default. They can be enabled
    with kdebugdialog.
  * Add patch to build no special debug code, but release code, and remove
    all hardcoded optimization and debug compiler flags. Use $(CXXFLAGS) and
    $(CFLAGS) instead.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update patch 15_kfreebsd_support to build in kfreebsd after latest changes
    in ConfigureChecks.cmake.
  * Update lintian overrides.
  * Add patch to fix make it build in arm and hopefully armel. Thanks Aurel.
    (Closes: #459515)

  +++ Changes by Matthew Rosewarne:

  * Add Homepage: to control.
  * Tweak package descriptions.
  * Replace dependency on xbase-clients with xauth.
  * Replace source:Version with binary:Version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Jan 2008 06:19:10 +0100

kde4libs (4:3.98.0~svn755919-1) experimental; urgency=low

  * New svn snapshot release to revision 755919.

  +++ Changes by Fathi Boudra:

  * Build-dep on soprano >= 1.99~rc2-1. (Closes: #458334)
  * Split kdelibs5-dev and kdelibs. Move Phonon in his own packages.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Fix offsets in 15_kfreebsd_support patch.
  * Update years in debian/copyright. Happy new year!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 02 Jan 2008 14:08:10 +0100

kde4libs (4:3.98.0~svn753247-1) experimental; urgency=low

  * Svn snapshot of revision 753247.
  * Remove extra LDFLAGS. Included via CDBS now.
  * Update patches.
  * Update installed files.
  * Force runtime dependency on kdebase-runtime instead of the removed
    kdebase-runtime-bin.

 -- Armin Berres <armin+debian@space-based.de>  Thu, 27 Dec 2007 16:11:13 +0100

kde4libs (4:3.97.0-2) experimental; urgency=low

  * The "Pizza with Champagne" release.

  +++ Changes by Armin Berres:

  * Add patch to hardcode /dev/ptmx as ptm device to work around broken
    build environments.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add patch for kfreebsd support.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Dec 2007 03:31:22 +0100

kde4libs (4:3.97.0-1) experimental; urgency=low

  * New upstream release.
  * Update *.install files.
  * Update Standards-Version to 3.7.3.
  * Remove README.Debian, packages are stable now.
  * Update package descriptions, remove references to beta status.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.
  * Do not build depend on libasound2-dev and libkeyutils-dev in the archs
    they do not exist.
  * Move Depends on hal | kfreebsd-gnu | hurd, pmount | kfreebsd-gnu | hurd,
    to Recommends. (Closes: #452255)
  * Add lintian override for extra-license-file warnings in kdelibs5-data.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Dec 2007 15:47:28 +0100

kde4libs (4:3.96.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files.

  +++ Changes by Fathi Boudra:

  * Bump build dependencies versions.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 14 Nov 2007 13:17:32 +0100

kde4libs (4:3.95.0-1) experimental; urgency=low

  * New upstream release: KDE4 beta 4.

  +++ Changes by Fathi Boudra:

  * Remove libpulse0 conflict. It was a temporary workaround.
  * Update 11_applications_menu patch. We must keep the extension unchanged.
  * Add 12_deprecate_applnk patch. We use /usr/share/applications in any case.

  +++ Changes by Armin Berres:

  * Update *.install files.

  +++ Changes by Sune Vuorela:

  * Leet shlibs hacking.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 25 Oct 2007 14:47:24 +0200

kde4libs (4:3.94.0-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Pull SVN branch to r726725.

  +++ Changes by Armin Berres:

  * Add debug package.
  * Make kdelibs5-dev depend on recent soprano.
  * Add dependency of kdelibs5 on kde-icons-oxygen. It is needed by nearly
    every KDE4 application.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Oct 2007 20:56:22 +0200

kde4libs (4:3.94.0-1) experimental; urgency=low

  * KDE4 beta3.

  +++ Changes by Armin Berres:

  * Add kdelibs5 dependency on shared-mime-info.
  * Update *.install files.
  * Install man pages.
  * Rename debian/no-install.txt to debian/not-installed and reformat it for
    being usable with "debian/rules list-missing".
  * Update patches.
  * Depend on up to date libsoprano.
  * Conflict with libpulse0 for preventing crashes. This is definitely just a
    temporary workaround and should be removed ASAP.
  * Depend on hal which is used as Solid backend.
  * Depend on pmount.

  +++ Changes by Sune Vuorela:

  * kjscmd also exists in kjscmd from kdebindings. Adding conflict.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Oct 2007 13:42:50 +0200

kde4libs (4:3.93.0-1) experimental; urgency=low

  * New upstream version.
   - Remove patches: 01_libkdeprint_management_soname and
     02_strigi-0.5.5_support merged upstream. And 12_no_emoticon is not
     longer needed.
  * Update *.install files.
  * Update not-installed.list
  * Remove prune-nonfree, there is not longer non-free stuff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 03 Sep 2007 20:13:59 +0200

kde4libs (4:3.92.0.dfsg.1-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Add patch to support strigi-0.5.5.
  * Move binaries to kdelibs5-dev:
    * checkXML, kconfig_compiler, ksvgtopng, kunittestmodrunner,
      makekdewidgets, preparetips.
  * Add kdelibs5-dev conflicts against kdelibs4-dev.
  * Remove qt4-designer-kde4-plugins package. No need to have an extra package
    as qt4 designer plugins are higky dependent on kdelibs5 and development.
  * Add qt4_designer_plugins_path patch to fix plugins installation path.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * No shipping emoticons images to avoid conflicts with current kdebase-data
    (KDE3), patch 12. See list in no-install.list.
  * Add patch 04_libkdeprint_management_soname.diff to avoid same soname name
    than in current KDE version.
  * Build-Depend only on libungif4-dev. kdegraphics b-d on imlib11 that b-d on
    libungif4-dev, if we build against libgif-dev, this kdelibs version and
    kdegraphics3 can not co-exist.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Aug 2007 02:21:33 +0200

kde4libs (4:3.92.0.dfsg.1-1) experimental; urgency=low

  * KDE4 beta 1, first upload to the Debian archive.
  * Update *.install files.
  * Prune non-free files, added script prune-nonfree.
  * Add patches:
    * 01_kdehome_kde4: set kdehome directory to .kde4.
    * 02_applications_menu_kde4: append .kde4 to applications.menu.
  * Add warning about experimental packages in README.Debian.
  * Remade the copyright file, thanks to  Marc 'HE' Brockschmidt, for
    sharing the fun.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 06 Aug 2007 16:38:29 +0200

kde4libs (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Update kubuntu_70_dbusmenu.diff with kde4libs-4.4.1-20100309.diff
    from http://people.canonical.com/~agateau/dbusmenu/ and update
    build-dep to libdbusmenu-qt 0.3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:49:06 +0000

kde4libs (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Drop kubuntu_73_khtml_scroll_fix.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 26 Feb 2010 22:37:28 +0100

kde4libs (4:4.4.0-0ubuntu3) lucid; urgency=low

  [ Harald Sitter ]
  * kdelibs5 needs to depend on shared-desktop-ontologies, otherwise
    Nepomuk search is not working properly

  [ Søren Holm ]
  * Added kubuntu_73_khtml_scroll_fix.diff to fix slow khtml scrolling.

 -- Søren Holm <sgh@sgh.dk>  Fri, 19 Feb 2010 01:05:10 +0100

kde4libs (4:4.4.0-0ubuntu2) lucid; urgency=low

  * Update kubuntu_70_dbusmenu.diff from Aurelien Gateau

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Feb 2010 22:26:02 +0000

kde4libs (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 04 Feb 2010 14:24:15 +0100

kde4libs (4:4.3.98-0ubuntu2) lucid; urgency=low

  * Updated kubuntu_70_dbusmenu.diff for new libdbusmenu-qt, build with
    libdbusmenu-qt-dev (>= 0.2.0)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 18:00:00 +0000

kde4libs (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New usptream release candidate

  [ Jonathan Riddell ]
  * Remove 20_use_dejavu_as_default_font.diff, prefer system font

  [ Alessandro Ghersi ]
  * Bump Qt version to 4.6.1
  * Bump Soprano to 2.3.73
  * Update kdelibs5-data.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 02 Feb 2010 19:56:26 +0100

kde4libs (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Remove kubuntu_71_knewstuff_crashes.diff, applied upstream
    - Remove kubuntu_72_popupapplet_crash_fix.diff, applied upstream
    - Refresh kubuntu_70_dbusmenu.diff
    - Bump RUNTIME_DEPS value in debian/rules to 4.3.90
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Jan 2010 20:32:41 -0500

kde4libs (4:4.3.90-0ubuntu4) lucid; urgency=low

  * Add kubuntu_72_popupapplet_crash_fix.diff to fix a crash on startup.
    (LP: #494731)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jan 2010 09:10:44 -0500

kde4libs (4:4.3.90-0ubuntu3) lucid; urgency=low

  * Remove usr/share/PolicyKit/policy/org.kde.kcontrol.kcmremotewidgets.policy
    from kdelibs5-data.install in the faint hope that we might actually manage
    to build KDE SC 4.4 RC1 in time for Lucid Alpha 2

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Jan 2010 21:16:12 -0500

kde4libs (4:4.3.90-0ubuntu2) lucid; urgency=low

  * Add patch kubuntu_70_dbusmenu.diff from
    Aurelien Gateau <aurelien.gateau@canonical.com>
  * Add build-dep on libdbusmenu-qt-dev
  * Add kubuntu_71_knewstuff_crashes.diff from 4.4 branch as advised by Frederick
    Gladhorn, knewstuff upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Jan 2010 18:04:46 +0000

kde4libs (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Disable kubuntu_68_remove_applet_confirmation.diff, it's broken at the
      moment and doesn't apply properly with the new upstream release
    - Update various .install files
    - Bump RUNTIME_DEPS value in debian/rules to 4.3.90

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 13:42:25 -0500

kde4libs (4:4.3.85-0ubuntu5) lucid; urgency=low

  * Rebuild against libpolkit-qt-1-dev 0.95.1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 27 Dec 2009 20:44:29 +0100

kde4libs (4:4.3.85-0ubuntu4) lucid; urgency=low

  * No change rebuild for liblzma transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 09:44:53 -0500

kde4libs (4:4.3.85-0ubuntu3) lucid; urgency=low

  * Add versioned build-dep for libattica

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Dec 2009 22:55:54 +0000

kde4libs (4:4.3.85-0ubuntu2) lucid; urgency=low

  * Remove kubuntu_73_r1063597.diff, the new tarball doesn't need it.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 21 Dec 2009 14:53:06 -0500

kde4libs (4:4.3.85-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Refresh all patches
    - Don't apply 15_kfreebsd_support.diff; it fails to apply and we don't
      support kfreebsd.
    - Fix kubuntu_56_langpacks_desktop_files.diff to apply with new upstream
      release
    - Fix kubuntu_68_remove_applet_confirmation.diff to apply with the new
      upstream release
    - Update various .install files
  * Remove kubuntu_07_apport_not_drkonqi.diff from the packaging; it was
    already disabled and according to the bug spec for lucid is due for
    removal.
  * Add kubuntu_73_r1063597.diff to prevent kdebindings from FTBFSing
  * Build KAuth with PolicyKit-1 support:
    - Remove build-depend on libpolkit-qt-dev
    - Add build-depend on libpolkit-qt-1-dev

  [ Alessandro Ghersi ]
  * kdelibs5 replaces kdebase-workspace-dev (<< 4:4.3.80)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 15 Dec 2009 08:45:38 -0500

kde4libs (4:4.3.80-0ubuntu7) lucid; urgency=low

  [ Alessandro Ghersi ]
  * In kdelibs5 package, add libnepomukquery4 and libnepomukqueryclient4 in
    Conflicts/Replaces (LP: #494442)
  * In kdelibs5-dev package bump kdebase-workspace-dev to (<< 4:4.3.80) in
    Replaces (LP: #494370)

  [ Jonathan Riddell ]
  * Add kubuntu_69_qreal.diff from trunk, fix fail to build on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Dec 2009 15:02:36 +0000

kde4libs (4:4.3.80-0ubuntu6) lucid; urgency=low

  * remove libplasma3.symbols.in

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Dec 2009 00:19:27 +0000

kde4libs (4:4.3.80-0ubuntu5) lucid; urgency=low

  * Fix libplasma3.symbols.in

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Dec 2009 20:23:28 +0100

kde4libs (4:4.3.4-1) unstable; urgency=low

  * New upstream release.
    - includes proper fixes for khtml show hide issue. (Closes: 553288)

  +++ Changes by George Kiagiadakis:

  * Add patch to make konsole work on GNU/kFreeBSD.

  +++ Changes by Xavier Vello:

  * Add patch to find KDE3 documentation on khelpcenter4

  +++ Changes by Modestas Vainius:

  * Update debian/patches:
    - 01_r1032787_khtml_show_hide_fix - remove, taken from upstream;
    - 02_r1032185_threading_issues_in_klocale - remove, taken from upstream;
    - 08_add_debian_build_type - refresh, offsets adjusted;
    - 14_hardcode_ptm_device - refresh, offsets adjusted;
    - 15_kfreebsd_support - refresh, offsets adjusted;
    - 20_use_dejavu_as_default_font - refresh, offsets adjusted;
  * Update libplasma3 symbols file.
  * Update install files.
  * Remove obsolete information from README.Debian. Add notes
    for people upgrading from Lenny to Squeeze regarding KDEHOME change.
  * Backport a patch from KDE 4.4 to make it possible to use kstyle plugins
    with RTLD_GLOBAL. Unbreaks openoffice.org (Closes: #550905) (patch
    00_1034808_4.4_backport_rtldglobal.diff, kde4libs part).

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support in kdecore.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Christian Perrier:

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #553451

  [Debconf translation updates]
  * Swedish (Martin Ågren).  Closes: #554453
  * Basque (Piarres Beobide).  Closes: #554560
  * Galician (Marce Villarino).  Closes: #555454
  * Bokmål, Norwegian (Bjørn Steensrud).  Closes: #555654
  * Czech (Tomas Fidler).  Closes: #555983
  * Italian (Vincenzo Campanella).  Closes: #556039
  * Spanish (Francisco Javier Cuadrado).  Closes: #556447
  * Russian (Yuri Kozlov).  Closes: #556547
  * Finnish (Esko Arajärvi).  Closes: #556795
  * Portuguese (Pedro Ribeiro).  Closes: #556848
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #557095

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:08 +0200

kde4libs (4:4.3.80-0ubuntu4) lucid; urgency=low

  * In kubuntu_56_langpacks_desktop_files.diff don't translate currency
    .desktop files, Closes LP: #494027
  * Update libplasma3.symbols.in

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Dec 2009 15:08:54 +0000

kde4libs (4:4.3.80-0ubuntu3) lucid; urgency=low

  * Fix version numbers in libplasma3.symbols.in to not include package
    version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Dec 2009 11:24:17 +0000

kde4libs (4:4.3.80-0ubuntu2) lucid; urgency=low

  * Add Replace on kdebase-workspace-libs4+5 (<< 4:4.3.80) for kdelibs5 to
    prevent upgrade failure from Kubuntu 9.10

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Dec 2009 17:56:37 -0500

kde4libs (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump RUNTIME_DEPS to 4.3.80 in rules
    - Bump libphonon-dev to 4:4.6.0~rc1
    - Remove patches fixed by upstream:
      - kubuntu_01_no_translate_pc_dir.diff
      - kubuntu_69_fdo_notifications.diff
      - kubuntu_70_abort_script.diff
      - kubuntu_71_netbook_add_plasmawindoweffects.diff
      - kubuntu_79_kstyle_fixes.diff
      - kubuntu_19_no_indent_kickoff_subtext.diff
      - 19_findqt4_optional_x11_pthread.diff, obsolete
    - Refresh patches:
      - 17_findservicebydesktoppath_try_realfilepath.diff
      - 20_use_dejavu_as_default_font.diff
      - 25_ld_exclude_libs_qtuitools.diff
      - kubuntu_06_user_disk_mounting
      - kubuntu_56_langpacks_desktop_files.diff
    - Disable kubuntu_07_apport_not_drkonqi.diff
    - Disable for now kubuntu_51_launchpad_integration.diff cause ftbs
    - Add build-depends:
      - libxss-dev - Needed to enable fallback query methods in KIdleTime
      - flex - Needed to build the Solid predicate parser
      - bison - Needed to build the Solid predicate parser
      - libqca2-dev - Needed for the plasma remote widgets functionality
      - libpolkit-qt-dev - Needed to make KAuth work (using PolicyKit < 0.90),
        hence to enable some workspace functionalities
      - libattica-dev - Required to access OSC providers in get hot new stuff
      - shared-desktop-ontologies - For Nepomuk stack
    - Update kdelibs5-data.install
    - Update kdelibs5.install
    - Update kdelibs5-dev.install
    - Update libplasma3.symbols.in
    - Drop sameVersionDep for soprano in kdelibs5-dev
    - Add kubuntu_01_find_qt4_cmake.diff from trunk

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 01 Dec 2009 12:03:18 +0100

kde4libs (4:4.3.3-0ubuntu4) lucid; urgency=low

  * Add epochs to qt4-x11 build-depends so it only builds against 4.6 rc 1

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Nov 2009 07:57:37 -0500

kde4libs (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:51 +0000

kde4libs (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Merge with Debian, remaining changes:
   - no build-dep on libaspell-dev
   - no build-dep on libfam-dev
   - kdelibs5-dev do not install preparetips (included in pkg-kde-tools)
   - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
   - add binary-install/kdelibs5-data rule, build-dep on sharutils and copy over debian/icons
   - kdelibs5-dev replaces libkjsembed-dev
   - set export KUBUNTU_DESKTOP_POT=kdelibs
   - kubuntu_01_no_translate_pc_dir.diff: Launchpad translations
   - kubuntu_04_add_langpack_path.diff: Launchpad translations
   - kubuntu_06_user_disk_mounting.diff: mount disks with sudo
   - kubuntu_07_apport_not_drkonqi.diff: use apport if turned on
   - kubuntu_19_no_indent_kickoff_subtext.diff: don't indent kickoff subtext
   - kubuntu_51_launchpad_integration.diff: Launchpad Help menu items
   - kubuntu_56_langpacks_desktop_files.diff: Launchpad translations for .desktop files
   - kubuntu_64_rosetta_translation.diff: Warn users translations go through Launchpad
   - kubuntu_67_cmake_install_paths.diff: force default install paths to ours (probably not needed)
   - kubuntu_68_remove_applet_confirmation.diff: warns user before removing app launcher
   - kubuntu_69_fdo_notifications.diff: implement FDO notifications (can be removed 4.4)
   - kubuntu_70_abort_script.diff: abort -> cancel in strings (can be removed 4.4)
   - kubuntu_71_netbook_add_plasmawindoweffects.diff: effect classes for netbook (can be removed 4.4)
   - security_01_CVE-2009-2702.diff: Security fix
   - kubuntu_79_kstyle_fixes.diff: Fix OOo integration (can be removed 4.4)
   - kubuntu_80_kaction_qt_keys.diff: Add extra keycodes to KDE's key support
   - kubuntu_81_revert_scrollwidget.diff: Fix for netbook (can be removed 4.4)
   - Don't recommend on kaboom
   - Remove kdelibs5.preinst kdelibs5.templates, we've already done KDEHOME transition
   - Change docs location to /usr/share/doc/kde
   - Link from /usr/share/doc/kde4 to kde for backwards compatible with old docs location
  * Drop unused Kubuntu/KDE mix-branded KMenu icon

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Nov 2009 14:38:58 -0500

kde4libs (4:4.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Update RUNTIME_DEPS in rules
  * Drop patches fixed by upstream:
    - kubuntu_72_klocale_mutex_crash_fix.diff
    - kubuntu_75_kate_indentation_crash_fix.diff
    - kubuntu_76_fix_doc_file_detection.diff
    - kubuntu_77_kglobalsettings_progagation_change.diff
    - kubuntu_78_kglobalsettings_memleak_and_crash.diff
    - kubuntu_74_hide_khtml_widgets.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 30 Oct 2009 23:23:27 +0100

kde4libs (4:4.3.2-0ubuntu7) karmic; urgency=low

  * Add kubuntu_81_revert_scrollwidget.diff to revert plasma/applet back to
    4.3.1 and fix the Kubuntu Netbook application launcher (LP: #446905)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Oct 2009 09:35:26 -0400

kde4libs (4:4.3.2-0ubuntu6) karmic; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_74_hide_khtml_widgets.diff from
    http://websvn.kde.org/?revision=1033984&view=revision
    (LP: #447823)
  * Fix typo in 20_use_dejavu_as_default_font.diff, reported in
    http://bugs.debian.org/549308 "problems with konqueror default Fixed Font"

  [ Jonathan Thomas ]
  * Fix kubuntu_77_kglobalsettings_progagation_change.diff to prevent FTBFS

  [ Felix Geyer ]
  * Add kubuntu_80_kaction_qt_keys.diff to allow more Qt::Keys to be used
    as KAction shortcuts (LP: #293213)

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Oct 2009 00:00:10 +0200

kde4libs (4:4.3.2-0ubuntu5) karmic; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_75_kate_indentation_crash_fix.diff from 4.3 branch to prevent
    kate from changing indentation modes while highlighting. Can be removed in
    KDE 4.3.3. (B.K.O #200989)
  * Add kubuntu_76_fix_doc_file_detection.diff from 4.3 branch to correct
    detection of .doc files based on mimetype, even if doc files can be plain
    text on local systems. Can be removed in KDE 4.3.3. (B.K.O. # 204139)
    (LP: #442741)
  * Add kubuntu_77_kglobalsettings_progagation_change.diff from 4.3 branch, as
    required for kubuntu_99_fix_kdm_settings.diff in kdebase-workspace. The
    patch can be removed in KDE 4.3.3.
  * Add kubuntu_78_kglobalsettings_memleak_and_crash.diff from 4.3 branch, to
    fix a memory leak and crash in KGlobalSettings. Can be removed in KDE
    4.3.3

  [ Jonathan Riddell ]
  * Add kubuntu_75_kstyle_fixes.diff from
    http://websvn.kde.org/?revision=1034808&view=revision

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 13 Oct 2009 22:51:38 -0400

kde4libs (4:4.3.2-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Fix default monospace font name. Thanks Andrea Iacovitti. Closes: #549308.
  * Add patch from upstream to fix handling of deletion in khtml.
  * Add patch from upstream to fix a threading issue in klocale.

 -- Sune Vuorela <debian@pusling.com>  Sat, 10 Oct 2009 21:58:43 +0200

kde4libs (4:4.3.2-0ubuntu4) karmic; urgency=low

  * Add kubuntu_74_hide_khtml_widgets.diff from bugs.kde.org/207173 fix
    crash in khtml

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 17:33:46 +0100

kde4libs (4:4.3.2-0ubuntu3) karmic; urgency=low

  * Fix typo in kubuntu_72_klocale_mutex_crash_fix.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 07 Oct 2009 09:43:38 -0400

kde4libs (4:4.3.2-0ubuntu2) karmic; urgency=low

  * Add kubuntu_72_klocale_mutex_crash_fix.diff from upstream to fix a crash
    when accessing the Locale module from System Settings. Can be removed in
    KDE 4.3.3 (B.K.O: #209712) (LP: #444637)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 07 Oct 2009 08:48:50 -0400

kde4libs (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Modify kdelibs5.templates to conform partially with lintian complaints.
  * Add po-debconf and a first german translation.
  * Change raring to experimental in kdelibs5-data.NEWS.
  * Add 26_fixmanpage.diff to adjust line break in FindBlitz.cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 14:59:23 +0200

kde4libs (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Update kdelibs5-data.install
    - Update RUNTIME_DEPS in rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 02 Oct 2009 20:05:22 +0200

kde4libs (4:4.3.1-0ubuntu3) karmic; urgency=low

  * SECURITY UPDATE: fix vulnerability with NULL byte in Subject Alternate
    Names field of X.509 certificates
    - debian/patches/security_01_CVE-2009-2702.diff: verify that the
      QString length of the SAN is not shorter than the ASN1 length
    - CVE-2009-2702

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 15 Sep 2009 15:26:58 -0500

kde4libs (4:4.3.1-0ubuntu2) karmic; urgency=low

  * Fix kubuntu_51_launchpad_integration.diff to use -P for PID with Apport

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 05 Sep 2009 22:30:03 -0500

kde4libs (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Add libutempter-dev build dependency. Used by kpty.

  +++ Changes by Modestas Vainius:

  * Remove 01_r1012564.diff patch, merged upstream.
  * Refresh patches.
  * Update kdelibs5-data.install.
  * Update libplasma3.symbols.in.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 10:28:49 +0300

kde4libs (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove kubuntu_72_kfileitem_data_loss.diff patch, went upstream
  * Update kdelibs5-data.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 28 Aug 2009 15:31:44 +0200

kde4libs (4:4.3.0-0ubuntu7) karmic; urgency=low

  [ Harald Sitter ]
  * Fix desktop file translations, for some reason the detected Ubuntu
    domain would disappear from the catalogs, so simply insert it each
    run to make sure it is in place when doing translateRaw.

  [ Scott Kitterman ]
  * Build-depend on liblzma-dev to fix lack of lzma support

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Aug 2009 22:17:40 -0400

kde4libs (4:4.3.0-2) unstable; urgency=medium

  * Add patch: 01_r1012564.diff: Fixes a data loss with KIO.
  * Bump Standards-Version to 3.8.3 - no changes needed.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 22 Aug 2009 13:32:44 +0200

kde4libs (4:4.3.0-0ubuntu6) karmic; urgency=low

  * Ensure directories are created before uudecoding

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2009 17:37:06 +0100

kde4libs (4:4.3.0-0ubuntu5) karmic; urgency=low

  * Add kubuntu_72_kfileitem_data_loss.diff
   -Fix "Copy file after rename uses old file name". This was due
    to the "use of the cached item" speedup, which was finding a
    kfileitem with an outdated UDS_NAME. KDE BUG: 195385

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2009 15:51:59 +0100

kde4libs (4:4.3.0-0ubuntu4) karmic; urgency=low

  * Add Kubuntu K-menu icon for install, LP: #389658

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 16:44:38 +0100

kde4libs (4:4.3.0-0ubuntu3) karmic; urgency=low

  * Add kubuntu_71_netbook_add_plasmawindoweffects.diff from trunk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Aug 2009 18:00:59 +0100

kde4libs (4:4.3.0-0ubuntu2) karmic; urgency=low

  * Fix kubuntu_70_abort_script.diff from trunk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Aug 2009 11:30:45 +0100

kde4libs (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump RUNTIME_DEPS in debian/rules
    - Remove kubuntu_70_revert_submenus.diff fixed by upstream

  [ Jonathan Riddell ]
  * Add kubuntu_70_abort_script.diff, LP: #389751

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Jul 2009 18:21:00 +0100

kde4libs (4:4.2.98-0ubuntu2) karmic; urgency=low

  * Rebuild with new pkg-kde-tools to build translation templates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 18:11:55 +0100

kde4libs (4:4.2.98-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release (KDE 4.3 RC 3)
    - Remove 09_disable_debug_messages_if_not_explicitly_enabled.diff fixed by
      upstream
    - Update kdelibs5-dev and kdelibs5-data.install
    - Bump libqt4 to 4.5.2
    - Bump RUNTIME_DEPS in debian/rules

  [ Harald Sitter ]
  * Add kubuntu_70_revert_submenus.diff to revert upstream revision 930451
    introducing subcategories for the internet category.
    Also see http://techbase.kde.org/Projects/Plasma/AppsMenuReorganization

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 22 Jul 2009 02:50:55 +0200

kde4libs (4:4.2.96-0ubuntu5) karmic; urgency=low

  * Backport support for freedesktop.org notifications. Makes it possible for
    GNOME and KDE applications to display notifications using the native
    desktop notification system.
   - Add kubuntu_69_fdo_notifications.diff

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Thu, 16 Jul 2009 16:47:02 +0200

kde4libs (4:4.2.96-0ubuntu4) karmic; urgency=low

  * Added kubuntu_68_remove_applet_configuration.diff: introduce the global
    applet setting "askBeforeRemoval". If this is set to true and the applet is
    on a panel, a dialog will ask for confirmation before removing the applet.
    This is similar to what happens when removing a containment.

 -- Guillaume Martres <smarter@ubuntu.com>  Sun, 12 Jul 2009 17:46:47 +0200

kde4libs (4:4.2.96-0ubuntu3) karmic; urgency=low

  * Add /usr/bin/preparetips to not-installed, because it is gone
    for unknown reasons

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 11 Jul 2009 16:26:08 +0200

kde4libs (4:4.2.96-0ubuntu2) karmic; urgency=low

  * debian/patches:
    - kubuntu_07_apport_not_drkonqi.diff: updated for apport-kde
    - kubuntu_51_launchpad_integration.diff: updated for apport-kde and fixed
      -P flag to -p so it will work again.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 10 Jul 2009 16:56:28 -0500

kde4libs (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
    - Disables kmail debug output by default (Closes: #537331).

  +++ Changes by Modestas Vainius:

  * Drop 09_disable_debug_messages_if_not_explicitly_enabled.diff patch - no
    longer needed.
  * Bump soprano build depends to 2.3.0.
  * New build dependencies:
    - flex - needed to build the Solid predicate parser;
    - bison - needed to build the Solid predicate parser.
  * Bump Standards-Version to 3.8.2 - no changes needed.
  * Update install files.
  * Update plasma symbols file, port it to dpkg-dev 1.15.3 compatible format
    and add build depend on dpkg-dev >= 1.15.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:15:47 +0200

kde4libs (4:4.2.96-0ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * Don't fix fileshareset's permissions (i.e. remove suid bit), otherwise
    setting share will throw an error about it (LP: #355974)

  [ Steve Stalcup
  * New upstream release
    - Bump KDE versions to 4.2.96 (KDE 4.3 RC 2)

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 09 Jul 2009 11:12:34 -0400

kde4libs (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate 2.

  +++ Changes by George Kiagiadakis:

  * Refresh patches.
  * Bump build dependency on Qt4 to version 4.5.1.
  * Bump build dependency on automoc to version 1.0~version-0.9.88.
  * Bump build dependency on soprano to version 2.1.68.
  * Remove patch 24_runtime_qt45_locale_initialization.diff as
    we now build-depend on Qt 4.5.
  * Update installed files.
  * Add myself to uploaders.
  * Update replaces: kdelibs-dev replaces kdebase-runtime-data (<< 4.2.90).
  * Update RUNTIME_DEPS variable in debian/rules to point to
    kdebase-runtime (>= 4.2.95).
  * Update recommends: kdelibs5 recommends kdebase-runtime (>= 4.2.95).
  * Add replaces: kdelibs5-dev replaces kdebase-workspace-dev (<< 4.2.90)
    because a cmake file (create_exe_symlink.cmake) was moved.
  * Update lintian overrides.

  +++ Changes by Sune Vuorela:

  * Make kdelibs break kdebase-workspace-bin.
  * Insntall files

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 14:58:06 +0300

kde4libs (4:4.2.95-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Remove kubuntu_68_pykde_symlink.diff fixed by upstream
    - Update kdelibs5-data.install and kdelibs5-dev.install
    - Bump RUNTIME_DEPS in debian/rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 25 Jun 2009 05:07:01 +0200

kde4libs (4:4.2.90-0ubuntu3) karmic; urgency=low

  * Add kubuntu_68_pykde_symlink.diff from upstream to fix pykde symlinks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jun 2009 14:16:43 +0100

kde4libs (4:4.2.90-0ubuntu2) karmic; urgency=low

  * patches/kubuntu_51_launchpad_integration.diff:
    - Converted Help->Report Bug to utilize apport-qt instead of opening up
      the KDE bug report dialog which files a bug on KDE Bugzilla. Now apport
      will start up and process the bug report to Launchpad instead.
    - NOTE: when apport-kde is incorporated replace apport-qt in
      kdeui/widgets/khelpmenu.cpp

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 11 Jun 2009 00:42:48 -0500

kde4libs (4:4.2.90-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release:
    - Refresh kubuntu_56_langpacks_files.diff so that it applies
    Closes: (LP: #321281, #325009, #351038, #292669)

  [ Alessandro Ghersi ]
  * Update kdelibs5-data.install, kdelibs5.install, and kdelibs5-dev.install

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Thu, 04 Jun 2009 03:45:15 +0200

kde4libs (4:4.2.85-0ubuntu3) karmic; urgency=low

  * Install usr/share/locale/all_languages in kdelibs5-data.install
    and replace old kdelibs-data, Closes LP: #374248

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 May 2009 11:24:23 +0100

kde4libs (4:4.2.85-0ubuntu2) karmic; urgency=low

  [ Jonathan Riddell ]
  * Update conflicts/overrides of kdelibs5-dev for libplasma

  [ Scott Kitterman ]
  * Restore Kubuntu VCS headers in debian/control (in place of Debian's)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 May 2009 16:01:46 -0400

kde4libs (4:4.2.85-0ubuntu1) karmic; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 May 2009 11:55:56 +0000

kde4libs (4:4.2.2-2ubuntu2) karmic; urgency=low

  * Fix sameVersionDep to be libqt4-phonon-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 May 2009 11:31:37 +0000

kde4libs (4:4.2.4-1) unstable; urgency=low

  * New upstream release:
    - Backport revert of auto-default button change to KDE 4.2.
      (Closes: #525561, #523744)

  +++ Changes by Modestas Vainius:

  * Fix typo in the kdelibs5.templates.

  +++ Changes by Sune Vuorela:

  * Fix sections.
  * Add Suggests: hspell to kdelibs5 for hebrew spell checking.

  +++ Changes by David Palacio:

  * Reword of kdelibs5.templates.

  +++ Changes by Fathi Boudra:

  * Update libplasma3.symbols.in file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 May 2009 12:36:12 +0200

kde4libs (4:4.2.2-2ubuntu1) karmic; urgency=low

  * Merge with Debian, remaining changes:
   - no build-dep on libaspell-dev
   - no build-dep on libfam-dev
   - kdelibs5-dev do not install preparetips (included in pkg-kde-tools)
   - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
   - add binary-install/kdelibs5-data rule, build-dep on sharutils and copy over debian/icons
   - kdelibs5-dev replaces libkjsembed-dev
   - set export KUBUNTU_DESKTOP_POT=kdelibs
   - kubuntu_01_no_translate_pc_dir.diff: Launchpad translations
   - kubuntu_04_add_langpack_path.diff: Launchpad translations
   - kubuntu_06_user_disk_mounting.diff: mount disks with sudo
   - kubuntu_07_apport_not_drkonqi.diff: use apport if turned on
   - kubuntu_19_no_indent_kickoff_subtext.diff: don't indent kickoff subtext
   - kubuntu_51_launchpad_integration.diff: Launchpad Help menu items
   - kubuntu_56_langpacks_desktop_files.diff: Launchpad translations for .desktop files
   - kubuntu_62_flash_installer.diff: Flash installer for Konqueror
   - kubuntu_64_rosetta_translation.diff: Warn users translations go through Launchpad
   - kubuntu_67_cmake_install_paths.diff: force default install paths to ours (probably not needed)
   - kubuntu_68_oxygen_tabbar_text_hint.diff: fix text/icon overlap in arora tabs
  * Really remove kubuntu_11_fix_openwithdialog.diff, fixed upstream
  * Remove kubuntu_19_always_show_kickoff_subtext.diff to kubuntu_19_no_indent_kickoff_subtext.diff
  * Remove kubuntu_66_store_password_text.diff, fixed upstream (in 4.3)
  * Remove kubuntu_69_do_not_show_plasma_popups_over_screensaver.diff, replaced with 01_no_plasma_popup_over_screensaver_r956998.diff from Debian
  * Remove kubuntu_54_use_xdg_menu_prefix.diff, now 11_default_kde4_xdg_menu_prefix.diff from Debian
  * Don't recommend on kaboom
  * Remove kdelibs5.preinst kdelibs5.templates, we've already done KDEHOME transition
  * Update kubuntu_62_flash_installer.diff for new package name
  * Change docs location to /usr/share/doc/kde
  * Link from /usr/share/doc/kde4 to kde for backwards compatible with old docs location

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Apr 2009 15:07:02 +0000

kde4libs (4:4.2.2-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Move debconf to Pre-Depends.
  * Upgrade kaboom to kdelibs5 Recommends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Apr 2009 11:43:00 +0300

kde4libs (4:4.2.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Add aggressive conflicts to prevent mix and match.
  * Remove ban of upload of 3rd party apps.
  * Bump runtime versions.
  * Bump requirements of pkg-kde-tools to require the .kde edition.
  * Temporarily add a versioned dependency on pkg-kde-tools on kdelibs5-dev to
    be absolutely sure not having any accidents.
  * Add conflicts&replaces on kjscmd (Closes: 520453)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove 01_kcmdlineargs_decoding_svn934640.diff, merged upstream.

  +++ Changes by Aurelien Jarno:

  * Update 15_kfreebsd.diff (Closes: #520123).

  +++ Changes by George Kiagiadakis:

  * Add patch 24_runtime_qt45_locale_initialization.diff to fix locale
    initialization when kde is run with Qt 4.5 but built with Qt 4.4.

  +++ Changes by Modestas Vainius:

  * Add debconf templates to warn existing KDE 4 users about KDEHOME change
    this revision introduces.
  * Add NEWS entry about KDEHOME change.
  * Bump libplasma symbol versions to 4:4.2.2.
  * Do not export QtUiTools symbols in libplasma.so.3
    (25_ld_exclude_libs_qtuitools.diff). Remove them from
    libplasma3.symbols.in. Should fix FTBFS on alpha.
  * kdelibs5 suggests kaboom.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 05 Apr 2009 05:33:47 +0300

kde4libs (4:4.2.1-2) unstable; urgency=low

  * Upload to unstable.

  +++ Changes by Fathi Boudra:

  * Add 01_kcmdlineargs_decoding_svn934640.diff patch from upstream
    to fix kcmdlineargs input decoding with Qt 4.5. (Closes: #518062)
    It contains also a fix from svn938370: use the new bool exported by Qt
    so that we can initialize the locale and make fromLocal8Bit/toLocal8Bit
    work even without a QCoreApplication.

  +++ Changes by Modestas Vainius:

  * Use dh_bugfiles and build depend on debhelper 7.2.3:
    - rename kdelibs5-dev.presubj to kdelibs5-dev.bug-presubj;
    - rename debian/libplasma3.bugscript to debian/libplasma3.bug-script.
  * Bump cmake build depend to 2.6.3. 24_2.6.2_use_common_cmake_config_dir.diff
    dropped.
  * Prepare for upload to unstable and ban unstable uploads of 3rd party
    packages (debian/ban-unstable-uploads & 24_ban_unstable_uploads.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 12 Mar 2009 13:53:37 +0100

kde4libs (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Remove patches which were stolen from upstream:
    - 01_r918838_kded_desktop_file_watch.diff
    - 00_917133_qreal_portability_fix.diff
    - 01_r918403_klauncher_hang.diff
    - 01_r918654_klauncher_unique_app.diff
    - 01_r917170_kio_update_on_break.diff
    - 00_917014_kde4.2.0_tag.diff
  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 17:59:21 +0200

kde4libs (4:4.2.0-3) experimental; urgency=low

  +++ Changes by Armin Berres:

  * Update patch 08_add_debian_build_type.diff to also set QT_NO_DEBUG and
    sync 09_disable_debug_messages_if_not_explicitly_enabled.diff with
    upstream revision 916186.

  +++ Changes by Modestas Vainius:

  * Update debian/libplasma3.symbols.in with {qreal} substitutions. Fixes
    FTBFS on arm(el).

  +++ Changes by Sune Vuorela:

  * Add patches from upstream for some stability fixed:
    01_r917170_kio_update_on_break.diff
    01_r918403_klauncher_hang.diff
    01_r918654_klauncher_unique_app.diff
    01_r918838_kded_desktop_file_watch.diff
    Thanks to David Faure for pushing them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 29 Jan 2009 22:20:37 +0200

kde4libs (4:4.2.0-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Tweak libplasma3 description.
  * Steal r917133 (as 00_917133_qreal_portability_fix.diff) from upstream svn
    to fix FTBFS on armel.
  * Deprecate external Qt symbols in libplasma3 symbols template
    (Closes: #513133).
  * Get up-to-date with kdelibs 4.2.0 tag: add 00_917014_kde4.2.0_tag.diff
    patch (plasma security issue).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Jan 2009 01:00:17 +0200

kde4libs (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  - kfmclient is no longer needed (Closes: #508601).

  +++ Changes by Modestas Vainius:

  * Resync patches:
    - 01_http_cache_cleaner_branch_881252.diff - remove, stolen from upstream.
    - 01_kross_version_11_r838337.diff - remove, stolen from unstream.
    - 08_add_debian_build_type.diff - refresh.
    - 13_qt4_designer_plugins_path.diff - refresh.
    - 14_hardcode_ptm_device.diff - refresh.
    - 15_kfreebsd_support.diff - refresh.
    - 16_debian_menu.diff - refresh.
    - 17_findservicebydesktoppath_try_realfilepath.diff - refresh.
    - 18_always_set_cmake_policy.diff - remove, obsolete.
    - 19_findqt4_optional_x11_pthread.diff - refresh.
    - 20_use_dejavu_as_default_font.diff - refresh.
    - 22_hack_in_etc_kde4_in_kstandarddirs.diff - refresh.
  * Update cmake (build-)dependency to 2.6.2:
    - depend on 2.6.2-3~ due to cmake common config lib support;
    - 23_2.6.2_use_common_cmake_config_dir.diff - enable support for common
      cmake config dir with cmake 2.6.2 (debian patched version);
    - enable cmake var KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR.
  * Build with -DCMAKE_USE_RELATIVE_PATHS=ON.
  * Bump standards-version to 3.8.0:
    - add README.source.
  * Cleanup old conflicts/replaces (for KDE 4.0 prerelease versions).
  * Add new packages for Plasma. They were based on the respective Plasma
    packages from kdebase-workspace.
    - libplasma3 - contains Plasma library and plugins. Make kdelibs5-dbg
      recommend it;
    - add Plasma headers to kdelibs5-dev, make it provide libplasma-dev,
      conflict and replace earlier libplasma-dev and recommend
      libqt4-opengl-dev needed to build GLapplet stuff;
    - kdelibs5-data replaces kdebase-workspace-data and libplasma2 from KDE 4.1
  * Update install and installgen files.
  * Make kdelibs5 recommend kdebase-runtime >= 4:4.1.80 because some
    stuff does not work (e.g. kwallet) with previous versions.
  * Build depend on strigi >= 0.6.3.
  * Move some libkdeinit4 stuff to kdelibs5 since their executables are in
    libexec:
    - libkdeinit4_klauncher.so
    - libkdeinit4_kio_http_cache_cleaner.so
    - libkdeinit4_kconf_update.so
  * Build depend on soprano >= 2.1.67.
  * Use better approach to enforcing kde4- prefix to applications.menu. The
    previous way broken menu spec and made 3rd party applications end up in
    Lost&Found menu. 11_kde4_applications_menu.diff patch was replaced by
    11_default_kde4_xdg_menu_prefix.diff. Thanks to Harald Sitter for the
    heads up.
  * Switch to new installgen file format.
  * Move upstream manpages from debian/*.manpages to debian/*.install files.
  * Build depend on pkg-kde-tools 0.3, add symbols file for libplasma3,
    add appropriate hooks to debian/rules.
  * kdelibs5-dev conflicts with kdepimlibs5-dev (<< 4:4.1.81+svn891439) because
    of upstream changes.
  * Rename debian/*.lintian to debian/*.lintian-overrides.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).

  +++ Changes by George Kiagiadakis:

  * Update automoc (build-)dependency to 1.0~svn850570.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Rework slightly patch 15_kfreebsd_support.diff.
  * Redo patch 20_use_dejavu_as_default_font.diff.
  * Force to build depend on libphonon-dev (>= 4:4.3.0).
  * Remove redudant section/priority fields in debian/control.
  * Update lintian overrides.
  * Update copyright years.

  +++ Changes by Armin Berres:

  * Fix patch 09_disable_debug_messages_if_not_explicitly_enabled.diff. Now
    really only debug output is disabled.
  * Add dependency on xdg-utils to kdelibs5. KDE applications use xdg-open to
    invoke a browser when not running in a KDE environment these days.

  +++ Changes by Sune Vuorela:

  * Copyright file updates. Thanks to Modestas and his magic scripts.
  * Remove plasma abi handling. It is expected to be stable now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Jan 2009 06:14:48 +0200

kde4libs (4:4.1.3-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump kdebase-runtime dependency back to 4.1.3. The previous change was
    a mistake.
  * Bump kdelibs5 shlibs to 4.1.3-2 to ease the pain.

  +++ Changes by Sune Vuorela:

  * Add patch for http cache cleaner to keep the cache revision in sync.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 07 Nov 2008 22:18:05 +0200

kde4libs (4:4.2.2-0ubuntu5) jaunty; urgency=low

  * Fix kubuntu_56_langpacks_desktop_files.diff so it uses the stock
    translation files, closes LP: #355814

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2009 01:20:06 +0100

kde4libs (4:4.2.2-0ubuntu4) jaunty; urgency=low

  * Add back an improved version of
    kubuntu_69_do_not_show_plasma_popups_over_screensaver.diff from
    Aurélien Gâteau, Closes LP: #354059
    see also http://bugs.kde.org/show_bug.cgi?id=179924

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Apr 2009 00:05:38 +0100

kde4libs (4:4.2.2-0ubuntu3) jaunty; urgency=low

  * Add KUBUNTU_DESKTOP_POT

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 17:59:44 +0100

kde4libs (4:4.2.2-0ubuntu2) jaunty; urgency=low

  * Update kubuntu_56_langpacks_desktop_files.diff to work with KDE 4
    and enable patch.  Someone decided, post beta, to remove translations from
    .desktop files, so let's hope this works.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Apr 2009 16:05:45 +0100

kde4libs (4:4.2.2-0ubuntu1) jaunty; urgency=low

  [ Jonathan Thomas ]
  * New upstream release (LP: #344709, #348823):
    - Bump upstreamversion and runtimedeps in debian/rules
    - Remove kubuntu_65_kcmdlineargs_decoding_svn934640.diff, applied upstream

  [ Andreas Wenning ]
  * Remove patch kubuntu_69_do_not_show_plasma_popups_over_screensaver.diff,
    applied upstream

 -- Andreas Wenning <awen@awen.dk>  Wed, 01 Apr 2009 05:55:52 +0200

kde4libs (4:4.2.1a-0ubuntu4) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_68_oxygen_tabbar_text_hints.diff to fix text/icon overlap in
    arora tabs

  [ Jonathan Riddell ]
  * Add kubuntu_69_do_not_show_plasma_popups_over_screensaver.diff
    from Aurélien Gâteau, closes LP: #339902

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 23 Mar 2009 10:15:52 -0400

kde4libs (4:4.2.1a-0ubuntu3) jaunty; urgency=low

  * Add kubuntu_66_store_password_text.diff, simplify dialogue text
  * Add kubuntu_67_cmake_install_paths.diff, make cmake use our install paths by default

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2009 14:55:41 +0000

kde4libs (4:4.2.1a-0ubuntu2) jaunty; urgency=low

  * Added kubuntu_65_kcmdlineargs_decoding_svn934640.diff:
    - Upstream fix, closes KDE bug #186038

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 06 Mar 2009 14:49:24 +0100

kde4libs (4:4.2.1a-0ubuntu1) jaunty; urgency=low

  [ Roderick B. Greening ]
  * New upstream release

  [ Jonathan Riddell ]
  * Remove kubuntu_66_fix_kcatalog_memleak.diff, applied upstream

  [ Jonathan Thomas ]
  * Add kubuntu_66_fix_kcatalog_memleak from upstream to fix a memory leak.
    This patch can be removed in KDE 4.2.1. (LP: #330446)
  * Compress binary packages with lzma compression

  [ Scott Kitterman ]
  * Adjust conflicts/replaces to account for KDE 4.1.4 in intrepid-updates

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 03 Mar 2009 15:33:26 -0330

kde4libs (4:4.2.0-0ubuntu4) jaunty; urgency=low

  * Add flash installer patch (modified from Suse)
    - kubuntu_62_flash_installer.diff

 -- Roderick B. Greening <roderick.greening@gmail.com>  Fri, 13 Feb 2009 20:12:10 -0330

kde4libs (4:4.2.0-0ubuntu3) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_55_fix_solid_devicemanager_crash.diff to fix crashes upon hal
    restarts during upgrades. (LP: #293126)

  [ Anthony Mercatante ]
  * Add kubuntu_65_add_lilypond_kate_script_svn919189.diff:
    - Install lilypond.js kate script, needed for lilypond support.
      Fix from SVN rev 919189
  * Fixed kdelibs5-data.install to install the file

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 13 Feb 2009 14:06:22 +0100

kde4libs (4:4.2.0-0ubuntu2) jaunty; urgency=low

  [ Harald Sitter ]
  * kdelibs5-data replaces kdelibs-data << 4:3.5.10.dfsg.1-1ubuntu7
    (LP: #321609)

  [ Jonathan Thomas ]
  * Bring in several new patches from Debian, who got them from upstream:
    - 01_r917170_kio_update_on_break.diff
    - 01_r918403_klauncher_hang.diff
    - 01_r918654_klauncher_unique_app.diff
    - 01_r918838_kded_desktop_file_watch.diff
      Thanks to David Faure for pushing them.
  * Sync 08_add_debian_build_type.diff and
    09_disable_debug_messages_if_not_explicitly_enabled.diff from Debian

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 Feb 2009 21:58:43 -0500

kde4libs (4:4.2.0-0ubuntu1) jaunty; urgency=low

  [ Michael Casadevall ]
  * debian/patches/kubuntu_99_qreal_portability_fixes.diff
    - ARM portability fixes due to qreal/double mismatches

  [ Harald Sitter ]
  * Remove all references to kubuntu_57_xdg_user_dirs.diff (apparently the
    patch was removed before this package was imported into Bzr... i.e. in
    the first KDE 4.2 upload, but unfortunately not documented).
    The patch was removed because it originated from upstream SVN and thus was
    completely applied in .73

  [ Steve Stalcup ]
  * New upstream release
  * Update version depends in debian/control
  * Fix doc path in kdelibs5-data.install
  * Update kdelibs5-dev.install
  * Update version to 4.2.0 in debian/rules
  * Remove kubuntu_11_fix_openwithdialog.diff completely, resolved upstream

  [ Jonathan Riddell ]
  * Add kubuntu_10_plasma_security.diff from upstream

 -- Steve Stalcup <vorian@ubuntu.com>  Fri, 23 Jan 2009 07:15:47 -0500

kde4libs (4:4.1.96-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Remove kubuntu_qt_ftbfs.diff, kubuntu_99_update_cmake_pyqt.diff, applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Jan 2009 10:22:33 +0000

kde4libs (4:4.1.85a-0ubuntu1) jaunty; urgency=low

  * Exchange tarball with upstream one (we had to publish before upstream to
    get into Alpha2). This should make all upcoming kde-l10n packages build.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 22 Dec 2008 10:45:10 +0100

kde4libs (4:4.1.85-0ubuntu2) jaunty; urgency=low

  [ Michael Casadevall ]
  * debian/patches/kubuntu_kplotaxis_qreal.diff
    - Dropped, unnecessaru since fixes to pyqt4 allows it to handle
      the qreals properly (LP: #308814)
  * debian/patches/kubuntu_70_nepomuk_qreal.diff
    - Removed since a better fix needs to be handled upstream, and
      nepomuk currently is disabled on Kubuntu builds
  * debian/patches/kubuntu_99_update_cmake_pyqt.diff
    - This updates the cmake rules for PyQt4 from kde4bindings
      so information such as sip flags can be obtainined

  [ Scott Kitterman ]
  * Restore kdelibs5 depends on launchpad-integration lost in a merge

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 19 Dec 2008 21:31:40 -0500

kde4libs (4:4.1.85-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Patches:
    + Removed 15_kfreebsd_support.diff from patches/series (doesn't apply and
      has no use for Ubuntu)
    + Redid 20_use_dejavu_as_default_font.diff
    + Completely removed kubuntu_09_fix_application_menu.diff (applied upstream)
    + Refreshed kubuntu_54_use_xdg_menu_prefix.diff
    + Dropped plasma/widgets/toolbutton.cpp from kubuntu_qt_ftbfs.diff (applied
      upstream)
    + Global quilt refresh

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 11 Dec 2008 18:26:08 +0100

kde4libs (4:4.1.80-0ubuntu3) jaunty; urgency=low

  [ Michael Casadevall ]
  * debian/patches/kubuntu_70_nepomuk_qreal.diff
    - Added Varient/float support to nepomuk which is required in
      cases where qreal == float vs. double such as on the ARM architecture

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Dec 2008 15:33:49 -0500

kde4libs (4:4.1.80-0ubuntu2) jaunty; urgency=low

  [ Harald Sitter ]
  * Change Vcs-Browser to Launchpad and replace Vcs-Svn with Vcs-Bz
  * Change kdelibs5-dev's libplasma-dev dep to = ${binary:Version} to ensure
    packages build-depending on it go into dep-wait rather than FTBFS

  [ Jonathan Thomas ]
  * Bump kdelibs5-dev's replace on kdelibs5-data to (<< 4:4.1.80~) and add a
    conflicts of the same version, since /usr/share/man/man1/kdecmake.1.gz moved
    from -data to -dev in KDE 4.1.80

  [ Michael Casadevall ]
  * debian/patches/kubuntu_kplotaxis_qreal.diff
    - Changed KPlotAxis to qreal with a similar change to
      kde4bindings to allow compilation on platforms where
      qreal != double.

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 04 Dec 2008 13:09:57 -0500

kde4libs (4:4.1.80-0ubuntu1) jaunty; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release
    - kdelibs5 conflicts/replaces kio-bookmarks since the KIO slave is in
      kdelibs now
    - Updated various .install files, several trailing whitespace fixes
    - Bump build-dep and runtime-dep versions
  * Add /usr/bin/preparetips to debian/not-installed

  [ Harald Sitter ]
  * Renamed 11_kde4_applications_menu.diff to
    kubuntu_54_use_xdg_menu_prefix.diff
    + Made the patch not break the menu spec implementation. The spec suggests
      to set the XDG_PREFIX_MENU var, however various KDE widgets rely on a
      working menutree, so we are forcing the appropriate variable within
      the parsing code to always use "kde4-" as prefix, unless the user
      overrides this with the mentioned environment variable (LP: 297195)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 23 Nov 2008 14:35:19 +0100

kde4libs (4:4.1.73-0ubuntu8) jaunty; urgency=low

  * Updated kubuntu_qt_ftbfs.diff to resolve the final QT/ARM FTBFS (LP: #299906)

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 21 Nov 2008 02:38:20 -0500

kde4libs (4:4.1.73-0ubuntu7) jaunty; urgency=low

  * Updated kubuntu_qt_ftbfs.diff to correct an addition QT/ARM FTBFS
    overlooked by the previous patch (LP: #300238)
  * Modifed said patch to use a more robust fix less likely to break down
    the line by using a proper QT type vs. a C type
  * Modified clean rule to remove $(SRCDIR)/files

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 20 Nov 2008 02:57:11 -0500

kde4libs (4:4.1.73-0ubuntu6) jaunty; urgency=low

  * Added kubuntu_qt_ftbfs.diff to resolve a FTBFS against the newest QT
    by explicately casting to resolve a float/double function signature
    ambiguity

 -- Michael Casadevall <sonicmctails@gmail.com>  Wed, 19 Nov 2008 10:55:56 -0500

kde4libs (4:4.1.73-0ubuntu5) jaunty; urgency=low

  * Do not depend on kdesdk-scripts, not using pkg-kde-tools
  * Sync control file with Debian, libplasma-dev depends on
    libqt-opengl-dev and update descriptions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Nov 2008 12:07:55 +0000

kde4libs (4:4.1.73-0ubuntu4) jaunty; urgency=low

  * Don't build with as-needed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Nov 2008 10:20:45 +0000

kde4libs (4:4.1.73-0ubuntu3) jaunty; urgency=low

  * Build using pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2008 14:01:35 +0000

kde4libs (4:4.1.73-0ubuntu2) jaunty; urgency=low

  * Add build-dep on libqt4-opengl-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2008 10:45:14 +0000

kde4libs (4:4.1.73-0ubuntu1) jaunty; urgency=low

  * New upstream alpha snapshot
  * Split kubuntu_19_always_show_kickoff_subtext.diff with kdebase-workspace

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 12:21:07 +0000

kde4libs (4:4.1.3-1ubuntu4) jaunty; urgency=low

  * Rebuild against new kdesdk-scripts for fixed dh_sameversiondeps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Nov 2008 11:46:19 +0000

kde4libs (4:4.1.3-1ubuntu3) jaunty; urgency=low

  * Update kubuntu_51_launchpad_integration.diff, use higher numbers
    for added enum values to avoid clashing with possible additions
    from upstream.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Nov 2008 18:03:43 +0000

kde4libs (4:4.1.3-1ubuntu2) jaunty; urgency=low

  * Add a conflicts/replace on kdelibs5 (<= 4.1.3) for kdelibs-bin since some files
    moved around as a result of the merge. (LP: #295546)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 10 Nov 2008 10:35:55 -0500

kde4libs (4:4.1.3-1ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - no build-dep on libaspell-dev,
   - kdelibs5-dev depends on lots more stuff
   - kdelibs5-dev do not install preparetips
   - depend on kdesdk-scripts for .pot generation
   - kdelibs5-dev depends on kdesdk-scripts for .pot generation
   - DEB_CMAKE_EXTRA_FLAGS := -DKDESU_USE_SUDO_DEFAULT=true
   - binary-install/kdelibs5-data:: rule (build-dep on sharutils)
   - kdelibs5-dev replaces libkjsembed-dev
   - Kubuntu patches in debian/patches
   - Use kde4.mk from cdbs
   - Not -DKDE4_ENABLE_EXPERIMENTAL_LIB_EXPORT=on

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Nov 2008 16:25:24 +0000

kde4libs (4:4.1.3-0ubuntu1~intrepid2) intrepid; urgency=low

  * Update kubuntu_06_user_disk_mounting.diff
    - Don't show the user long dbus commands (LP: #290589)

 -- Terence Simpson <tsimpson@ubuntu.com>  Thu, 06 Nov 2008 03:35:44 +0000

kde4libs (4:4.1.3-1) experimental; urgency=low

  * New upstream release

  +++ Changes by Sune Vuorela:

  * Remove kdedglobalaccel crash patch. Merged upstream.

  +++ Changes by Modestas Vainius:

  * Bump shlibs to 4.1.3.
  * Loosen kdebase-runtime dependency back to 4.1.0. There seems to be no
    other easy way to solve experimental buildd failures. This should not
    hurt too much.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Nov 2008 09:56:56 +0200

kde4libs (4:4.1.2-2) experimental; urgency=low

  * Fix kdedglobalaccel crashes. Patch 02.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 12 Oct 2008 20:00:14 +0200

kde4libs (4:4.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update UPSTREAMVERSION to 4.1.2 in debian/rules.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 28 Sep 2008 12:33:31 +0200

kde4libs (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Update patches;
    - remove 01_r840377_840379_unload_on_close.diff merged upstream
    - remove 02_41branch_link_interface_libraries.diff.
    - remove 99_conservative_link_interface_libraries.diff, no need to be more
      conservative than upstream.
  * Add new file FindEigen2.cmake in kdelibs5-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 02 Sep 2008 00:22:08 +0200

kde4libs (4:4.1.0-3) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Update kross to version 11 (r838337). Fix build of latest kdevplatform
    and kdevelop4 (Closes: #491272).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Aug 2008 18:56:06 +0200

kde4libs (4:4.1.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Add 01_r840377_840379_unload_on_close.diff patch.
    Fixes a nasty bug which makes some KDE4 apps stay in memory when closed
    resulting into excessive memory usage after some time.
  * Readd usr/share/man/man1/kdecmake.1 kdelibs5-dev.
  * Build depend on cmake >= 2.6.
  * Update automoc build-dependency.
  * Replace unofficial 90 patch with the one taken from KDE 4.1 branch.
    (02_41branch_link_interface_libraries.diff). It is the version "supported"
    by upstream with some extra features. It does not seem to be much different
    from the previous 90_ patch.
  * Add 99_conservative_link_interface_libraries.diff which *adds* some more
    LINK_INTERFACE_LIBRARIES to reduce linking failures of third party
    applications. This patch surely does not break anything, it only adds more
    libraries which are eliminated by --as-needed in Debian packaging.
    However, it might help to link a random KDE4 3rd party application against
    our kde4libs.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Rename debian/kdelibs5.bug-presubj to right filename debian/kdelibs5.presubj.
  * Replace libcupsys2-dev with libcups2-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Aug 2008 20:29:38 +0200

kde4libs (4:4.1.0-1) unstable; urgency=low

  * New upstream release 4.1.0.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build depends to new versions of phonon and soprano.
  * Update UPSTREAMVERSION to 4.1.0 in debian/rules.
  * Keep build-depend on cmake >= 2.4.5, but force everything build depending
    on kdelibs5-dev use cmake 2.6.
  * Remove patch 98_link_interface_libraries, merged upstream.

  +++ Changes by Modestas Vainius:

  * Adapt kdelibs5-dev deps to new dh_sameversiondeps syntax.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 Jul 2008 21:08:49 +0200

kde4libs (4:4.0.98+svn833207-1) unstable; urgency=low

  * New upstream snapshot.

  +++ Changes by Modestas Vainius:

  * Do not require cmake 2.6 (kdelibs5-dev).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patch 01, merged upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 16 Jul 2008 15:17:41 +0200

kde4libs (4:4.0.98-2) unstable; urgency=medium

  * Add patch 01_ to add missing LGPL entity needed to build french
    translations.
  * Remove kdelibs5-doc package for now. (Closes: #464396)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 15 Jul 2008 14:11:23 +0200

kde4libs (4:4.0.98-1) unstable; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Sune Vuorela:

  * Yay. Now Debian menu items in Debian menu instead of in Lost & Found.
  * Remove deprecate applnk patch. It is already deprecated, no need for the
    patch. It only removes legacy handling.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Do not install kdecmake.1 because it is not created when building in hppa
    with cmake 2.4.8. (Closes: #488661)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 01:10:40 +0200

kde4libs (4:4.0.84+svn828328-1) unstable; urgency=low

  * New upstream development snapshot.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patches 97_use_imported_targets_with_cmake26.diff and
    99_more_implicit_link_libs.diff
  * Update 98_link_interface_libraries.diff
  * Add 90_reduce_linking.diff by A. Neundorf.

  +++ Changes by Armin Berres:

  * Disable debug output of KMail by default.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 05 Jul 2008 18:48:48 +0200

kde4libs (4:4.0.84-1) experimental; urgency=low

  * New upstream snapshot.

 -- Sune Vuorela <debian@pusling.com>  Fri, 27 Jun 2008 19:19:33 +0200

kde4libs (4:4.0.82+svn819867-1) experimental; urgency=low

  * New upstream development snapshot.

  +++ Changes by Armin Berres:

  * Add libxcursor-dev build dependency.
  * Recommend the new default font ttf-dejavu.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove phonon package stuff, it has been split out from kde4libs.
  * Add build depends on phonon-dev.
  * Update UPSTREAMVERSION in debian/rules.
  * Update installed files.
  * Add Conflicts with libkjsembed-dev from KDE 3 to kdelibs5-dev.
    (Closes: #480686)

  +++ Changes by Modestas Vainius:

  * Drop 18_always_set_cmake_policy.diff patch - applied upstream.
  * Make kdelibs5-dev depend on libphonon-dev, KDE4Internal.cmake REQUIRES it.
  * Bump shlibs to 4.0.82.
  * Exclude dependancy on phonon metapackage.

  +++ Changes by Sune Vuorela:

  * Install config files in /usr/share/kde4/config.
  * Patch kstandarddirs to look in home, installpath, prefix/path except when
    config files, where home, /etc/kde4, prefix/path, installpath is
    preferred. Patch developed in cooperation with Fedora. (Closes: #484897).
  * Add README file about the configuration stuff.
  * Versioned build-dep on shared-mime-info.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 Jun 2008 00:05:51 +0300

kde4libs (4:4.0.80-1) experimental; urgency=low

  * New upstream development milestone (KDE 4.1 Beta1).

  +++ Changes by Modestas Vainius:

  * Disable 97 patch (will be removed later).
    Pass -DKDE4_ENABLE_EXPERIMENTAL_LIB_EXPORT=on to cmake which enables
    equivalent functionality.
  * Update install files.
    - Add makekdewidgets.1 man page to kdelibs5-dev.
    - Move checkXML.1 from kdelibs5-data to kdelibs5-dev. Bump replaces.
  * Refresh patches.
  * Ligthen cmake build-dependency to 2.4.5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 21 May 2008 22:53:51 +0300

kde4libs (4:4.0.74-1) experimental; urgency=low

  * New upstream snapshot.
  * Raise the added shlibs dependency for kdebase-runtime to 4:4.0.72.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 May 2008 17:41:23 +0200

kde4libs (4:4.0.73+svn806390-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r806390 by uwolfer
    - Date: Sun, 11 May 2008 10:32:27 -0000

  * Corrections to *.install files:
    - kdelibs5-dev.install: 1 new file(s) added;
    - kdelibs-bin.install: 1 file(s) removed;

  +++ Changes by Modestas Vainius:

  * Add libacl1-dev to build depends.
    Refresh 98 patch (kio_file build failure).
  * Allow to set UPSTREAMVERSION in the environment.
  * Use external automoc. Build-depend on automoc (>= 1.0~svn805317), make
    kdelibs5-dev depend on it too.

  +++ Changes by Armin Berres:

  * kdelibs5-dev must replace kdelibs-data << 4:4.0.72-1 after the move of the
    dbus-1 XML interfaces.

  +++ Changes by Fathi Boudra:

  * Add 20 patch to use DejaVu font as default font.
  * Add libxml2-utils dependency to kdelibs-bin: meinproc4 needs it.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 13:51:16 +0300

kde4libs (4:4.1.2-0ubuntu10) intrepid; urgency=low

  * Remove 12_deprecate_applnk.diff, it was the cause of all the problems with
    non-kde4 applications we had (broken icons, duplicated entries etc.)
    (LP: #254688, #268800)
  * Add kubuntu_11_fix_openwithdialog.diff to increase reliability of
    kopenwithdialog. Without the patch it creates KService objects using
    findByName, which is wrong whenever there is a non-application service
    type with the same name as the application (e.g. Kontact and kontactconfig)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 18 Oct 2008 03:14:56 +0200

kde4libs (4:4.1.2-0ubuntu9) intrepid; urgency=low

  [ Roderick B. Greening ]
  * Add dep for launchpad-integration to kdelibs5 (LP: #283834)

  [ Harald Sitter ]
  * Fix localization icon in launchpad-integration patch
  * Add kubuntu_10_fix_kio_protocol_mismatch.diff fixing a bug where dolphin
    was crashing upon leaving an archive due to a protocol mismatch

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 16 Oct 2008 14:24:52 +0200

kde4libs (4:4.1.2-0ubuntu8) intrepid; urgency=low

  * Fix location of kdesu in kubuntu_06_user_disk_mounting.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Oct 2008 12:43:07 +0100

kde4libs (4:4.1.2-0ubuntu7) intrepid; urgency=low

  * Add kubuntu_01_no_translate_pc_dir.diff, don't include quilt's
    .pc directory in generated .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Oct 2008 18:05:31 +0100

kde4libs (4:4.1.2-0ubuntu6) intrepid; urgency=low

  * Add kubuntu_09_fix_application_menu.diff from KDE trunk (LP: #230467)
  * quilt refresh
  * Reorder patches according to their numbers
  * Remove accidently added junk

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 13 Oct 2008 17:29:14 +0200

kde4libs (4:4.1.2-0ubuntu5) intrepid; urgency=low

  * Add patch kubuntu_08_kde_bug_171870.diff from upstream, fixes crash in kded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Oct 2008 12:56:57 +0100

kde4libs (4:4.1.2-0ubuntu4) intrepid; urgency=low

  * Transition from libcupsys2 to libcups2 (lp: #279345):
    + debian/control: Replace libcupsys2-dev with libcups2-dev.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 09 Oct 2008 19:09:27 -0400

kde4libs (4:4.1.2-0ubuntu3) intrepid; urgency=low

  * Move launchpad.png icon from kdelibs-data to kdelibs5-data
  * Add kubuntu.png icon
  * Fix kubuntu_51_launchpad_integration.diff to use oxygen icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Oct 2008 15:40:28 +0100

kde4libs (4:4.1.2-0ubuntu2) intrepid; urgency=low

  * kdelibs5-dev conflicts and replaces libkjsembed-dev (LP: #276588)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 01 Oct 2008 15:55:52 +0200

kde4libs (4:4.1.2-0ubuntu1) intrepid; urgency=low

  [ Roderick B. Greening ]
  * Re-write launchpad integration patch (fix FBTS kde4bindings)
    - kubuntu_51_launchpad_integration.diff

  [ Harald Sitter ]
  * New upstream release
  * Remove kubuntu_900_fix_js_debugger.diff (applied upstream)
  * Update kubuntu_06_user_disk_mounting.diff
  * quilt refresh

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 25 Sep 2008 20:35:37 +0200

kde4libs (4:4.1.1+really4.1.1-0ubuntu4) intrepid; urgency=low

  * Add in launchpad integration patch (updated from KDE3.5)
    - kubuntu_51_launchpad_integration.diff

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 23 Sep 2008 17:30:57 -0230

kde4libs (4:4.1.1+really4.1.1-0ubuntu3) intrepid; urgency=low

  * kubuntu_57_xdg_user_dirs.diff added to let kde know about
    XDG folders (Desktop etc...)

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 04 Sep 2008 22:10:22 +0200

kde4libs (4:4.1.1+really4.1.1-0ubuntu2) intrepid; urgency=low

  * Add kubuntu_900_fix_js_debugger.diff (from upstream SVN). Makes Konqueror
    terminate properly again.
  * Refresh all patches

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Sep 2008 20:01:07 +0200

kde4libs (4:4.1.1+really4.1.1-0ubuntu1) intrepid; urgency=low

  * Exchange wrong 4.1.0 tarball with 4.1.1

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Sep 2008 02:45:28 +0200

kde4libs (4:4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Remove kubuntu_901_fix_app_quit.diff (applied upstream)
  * Remove debian/cdbs (we use official cdbs now)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 29 Aug 2008 01:37:30 +0200

kde4libs (4:4.1.0-0ubuntu12) intrepid; urgency=low

  * Further fix to kubuntu_07_apport_not_drkonqi.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Aug 2008 23:24:48 +0100

kde4libs (4:4.1.0-0ubuntu11) intrepid; urgency=low

  * Add kubuntu_901_fix_app_quit.diff from upstream making various
    applications quit properly again (LP: #253659)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 05 Aug 2008 01:07:14 +0200

kde4libs (4:4.1.0-0ubuntu10) intrepid; urgency=low

  * Really fix kubuntu_07_apport_not_drkonqi.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 23:23:38 +0100

kde4libs (4:4.1.0-0ubuntu9) intrepid; urgency=low

  * Fix syntax in kubuntu_07_apport_not_drkonqi.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 22:42:53 +0100

kde4libs (4:4.1.0-0ubuntu8) intrepid; urgency=low

  * Adding kubuntu_07_apport_not_drkonqi.diff, don't use drkonqi
    crash handler if apport is enabled

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 21:05:42 +0100

kde4libs (4:4.1.0-0ubuntu7) intrepid; urgency=low

  * Temporarily do not use kubuntu_56_langpacks_desktop_files.diff,
    it seems to cause an endless loop somewhere

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 11:32:57 +0100

kde4libs (4:4.1.0-0ubuntu6) intrepid; urgency=low

  * Add back KDESU_USE_SUDO_DEFAULT

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 16:50:28 +0100

kde4libs (4:4.1.0-0ubuntu5) intrepid; urgency=low

  * Add kubuntu_56_langpacks_desktop_files.diff for translating
    .desktop files with .po files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 11:10:35 +0100

kde4libs (4:4.1.0-0ubuntu4) intrepid; urgency=low

  * depend on kdesdk-scripts for .pot generation
  * kdelibs5-dev depends on kdesdk-scripts for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jul 2008 14:38:09 +0100

kde4libs (4:4.1.0-0ubuntu3) intrepid; urgency=low

  * Add kubuntu_04_add_langpack_path.diff ported from kde3 libs,
    lets it find language pack files
  * Add kubuntu_64_rosetta_translation.diff, acknowledge Launchpad translators
  * Build with kde4.mk to create .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jul 2008 10:49:45 +0100

kde4libs (4:4.1.0-0ubuntu2) intrepid; urgency=low

  * Fix soprano version dependency from kdelibs5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2008 10:19:30 +0100

kde4libs (4:4.1.0-0ubuntu1) intrepid; urgency=low

  [ Steve Stalcup ]
  * New upstream release 4.1 final release
    - updated kdelibs5-data.install, kdelibs5-data.manpages, kdelibs5.install
      kdelibs-bin.install

  [ Harald Sitter ]
  * Ensure .install only install actually compiled files
  * Exchange build dependency libcupsys2-dev with libcups2-dev
  * Revise build dependency versions of phonon, soprano and automoc

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 25 Jul 2008 00:59:57 +0200

kde4libs (4:4.0.98a-0ubuntu2) intrepid; urgency=low

  * Do not install preparetips in kdelibs5-dev.install, not in
    kdesdk-scripts along with other bits that extract-messages needs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jul 2008 13:02:02 +0100

kde4libs (4:4.0.98a-0ubuntu1) intrepid; urgency=low

  * Rebuilt tar from upstream includes fix for French translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jul 2008 15:56:18 +0100

kde4libs (4:4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release candidate release
  * Bump Standards-Version to 3.8.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 11 Jul 2008 17:59:21 +0200

kde4libs (4:4.0.83-0ubuntu4) intrepid; urgency=low

  * Remove .kde4 usage
    - Removed patches/10_kdehome_kde4.diff
    - Removed CMAKE variable KDE_DEFAULT_HOME from debian/cdbs/kde.mk
    - Removed patches/kubuntu_01_kde3_menu_applications.diff

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 03 Jul 2008 16:59:04 +0200

kde4libs (4:4.0.83-0ubuntu3) intrepid; urgency=low

  * Fix kdelibs-bin.install, no kde4automoc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jun 2008 22:16:12 +0000

kde4libs (4:4.0.83-0ubuntu2) intrepid; urgency=low

  * Add build-dep on libphonon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jun 2008 16:07:55 +0000

kde4libs (4:4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jun 2008 11:45:13 +0000

kde4libs (4:4.0.80-0ubuntu8) intrepid; urgency=low

  * Make kdelibs5-dev depend on libsm-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Jun 2008 22:11:21 +0000

kde4libs (4:4.0.80-0ubuntu7) intrepid; urgency=low

  * Make kdelibs5-dev depend on libpng12-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Jun 2008 12:15:26 +0000

kde4libs (4:4.0.80-0ubuntu6) intrepid; urgency=low

  * Fix config paths

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2008 16:24:32 +0100

kde4libs (4:4.0.80-0ubuntu5) intrepid; urgency=low

  * Update kde.mk, use /usr/share/kde4/config for settings, mark
    packages as Kubuntu not Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2008 14:59:04 +0100

kde4libs (4:4.0.80-0ubuntu4) intrepid; urgency=low

  * Remove usr/share/man/man1/makekdewidgets.1 from kdelibs5-data install
    file - already provided by kdelibs5-dev (as it should be)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jun 2008 21:29:48 -0400

kde4libs (4:4.0.80-0ubuntu3) intrepid; urgency=low

  * Make kdelibs5-dev depend on automoc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 May 2008 09:31:06 +0100

kde4libs (4:4.0.80-0ubuntu2) intrepid; urgency=low

  * Make kdelibs5-dev depend on
     libasound2-dev, libcupsys2-dev, libdbus-1-dev, libkeyutils-dev, libqt4-dev,
     shared-mime-info, libstreamanalyzer-dev (>= 0.5.7),
     libxml2-dev, libxml2-utils, libxslt1-dev, libxtst-dev, libgif-dev,
     libavahi-common-dev, libaspell-dev, libbz2-dev, libenchant-dev, libacl1-dev,
     libjasper-dev, libopenexr-dev, libpcre3-dev, libtiff4-dev, hspell, xsltproc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 19:52:52 +0100

kde4libs (4:4.0.80-0ubuntu1) intrepid; urgency=low

  * New upstream beta release
  * Remove depends on libaspell-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 09:22:49 +0100

kde4libs (4:4.0.73-0ubuntu1) intrepid; urgency=low

  * New upstream development snapshot
  * Merge with Debian, remaining changes:
   - kubuntu_01_kde3_menu_applications.diff, indicate KDE 3 apps in menu
   - kubuntu_06_user_disk_mounting.diff, let users mount disks
   - Remove build-dep on libfam-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 May 2008 12:07:40 +0100

kde4libs (4:4.0.72+svn804262-1~pre1) raring; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r804262 by dfaure
    - Date: Mon, 05 May 2008 13:40:54 -0000

  * 99 patch is disabled. Build is not for public usage.

  +++ Changes by Modestas Vainius:

  * Add libacl1-dev to build depends. Refresh 98 patch (kio_file build
    failure).
  * Allow to set UPSTREAMVERSION in the environment.

  +++ Changes by Armin Berres:

  * kdelibs5-dev must replace kdelibs-data << 4:4.0.72-1 after the move of the
    dbus-1 XML interfaces.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 04 May 2008 23:37:47 +0200

kde4libs (4:4.0.72-1) experimental; urgency=low

  * New upstream snapshot. (r802761)

  * Fixes heap based buffer overflow via specially encoded image.
    CVE-2008-1670 (Closes: #478283)

  +++ Changes by Modestas Vainius:

  * 98_link_interfaces_library.diff - major update:
    - Drop ${QT_QTNETWORK_LIBRARY}, ${QT_QTDBUS_LIBRARY}, ${QT_QTXML_LIBRARY}
      from kdecore LINK_INTERFACE_LIBRARIES leaving only ${QT_QTCORE_LIBRARY}.
      Those 3 libraries are no longer implicitly provided by any kdelibs
      target. This may cause a few link time FTBFSes.
    - Further update LINK_INTERFACE_LIBRARIES of other public libraries.
  * Export ${KDE4_THREADWEAVER_LIBRARIES} and an alias for
    ${KDE4_THREADWEAVER_LIBS} to restore compatibility.
  * Fix offsets in other patches so they apply cleanly.
  * Move usr/include/KDE/Phonon from kdelibs5-dev to libphonon-dev. Update
    *.install files and Replaces for libphonon-dev appropriately.
  * Enhance 19_findqt4_optional_x11.diff patch. Do not implicitly add
    -lphread.
  * Build depend on libenchant-dev.
  * Add 99_more_implicit_link_libs.diff which adds more implicit link
    interface libraries to diverge from upstream as least as possible.
    - In addition, kdecore implies QtDBus, QtXml, QtNetwork.
    - In addition, kdeui implies QtSvg.
    - In addition, kde3support and ktuils imply kparts.
    - In addition, kio implies solid.
  * Move dbus-1 XML interfaces to kdelibs5-dev.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Apr 2008 18:03:58 +0200

kde4libs (4:4.0.70+svn799089-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Export kparts as khtml interface library.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Apr 2008 20:22:47 +0300

kde4libs (4:4.0.70+svn799089-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r799089.

  +++ Changes by Armin Berres:

  * Update and sort *.install files.

  +++ Changes by Ana Beatriz Guerrero Lopez

  * Add new build depends after Qt4 have updated its build depends:
    libpng-dev, libssl-dev, libsm-dev.
  * Add version to the RUNTIME_DEPS in debian/rules.

  +++ Changes by Modestas Vainius:

  * New version of 17_findservicebydesktoppath_try_realfilepath.diff. Still
    incomplete.
  * Shrink *-dev dependency list of kdelibs5-dev to libqt4-dev (>= 4.4.0~),
    libsoprano-dev (>= 2.0.97~). Thanks to Sune Vuorela for determining this
    set from #include's of the public headers.
  * Add 18_always_set_cmake_policy.diff patch to set CMake policy settings
    regardless of KDE_FOUND value.
  * Introduce 97_use_imported_targets_with_cmake26.diff which changes the way
    libraries dependences are exported when built with CMake 2.6:
    - Rationale behind this is to reduce excess linkage.
    - Build-depend on cmake 2.6 or later. Make kdelibs5-dev depend on
      cmake 2.6.
    - Do not use export_library_dependencies() to export library dependences
      with CMake 2.6. This method was the main source of excess linkage
      problems. Use a brand new install(EXPORT) instead which supports
      LINK_INTERFACE_LIBRARIES.
    - Due to the change above, add "EXPORT kdelibs" property for all public
      install(TARGETS).
    - Rewrite the part of FindKDE4Install.cmake which deals with
      KDE4_*_LIBRARY and KDE4_*_LIBS setup. Since we are using cmake IMPORTED
      targets now and let cmake do a major part of dependency handling for us,
      make each KDE4_*_LIBS variable refer to the IMPORTED target of the
      respective public KDE library. KDE4_*_LIBRARY semantics were not changed
      and they still point to the result of find_library().
  * Add 98_link_interface_libraries.diff which:
    - Tweaks target_link_libraries() calls where dependences where were
      missing.
    - Makes use of LINK_INTERFACE_LIBRARIES target property to control which
      libraries are exported via link interface (property values probably need
      more tweaking). This is CMake 2.6 or only, ignored for CMake 2.4.
  * Make kdelibs shlibs "dynamic" and ensure kdebase-runtime from KDE 4.1
    series is used as runtime dependency.
  * Build-depend on libglu1-mesa-dev as libqt4-dev 4.4.0~rc1-5 is dropping it
    from Depends.
  * Add myself to Uploaders.
  * Add 19_findqt4_optional_x11.diff - make X11 optional for in FindQt4.cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 20 Apr 2008 22:12:38 +0300

kde4libs (4:4.0.68+svn794641-1) experimental; urgency=low

   * New upstream development snapshot.

   +++ Changes by Modestas Vainius:

   * Sort *.install files
   * Drop 16_postgresql_include_path_fix.diff - merged upstream.
   * Add 17_findservicebydesktoppath_try_realfilepath.diff to improve
     desktop file location by path on the systems where e.g. /usr is a
     symlink. Please note this patch still does not fix what I developed
     it for. So it's useless but it does not hurt. Work in progress.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 06 Apr 2008 22:12:02 +0300

kde4libs (4:4.0.68-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by Modestas Vainius:

  * Add Replaces: kdebase-runtime-data << KDE 4.1 for kdelibs5-dev due to
    common file /usr/share/kde4/apps/cmake/modules/FindXine.cmake

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Tighten build depend version on libstreamanalyzer-dev 0.5.8-2
    from experimental.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 03 Apr 2008 22:37:56 +0200

kde4libs (4:4.0.66+svn791114-1) experimental; urgency=low

  * First KDE 4.1 snapshot packaged, this is going to experimental.
  * Update installed files.
  * Refresh and update patches.
  * Bump to new version number where needed.
  * Add some versioned depends on Qt4 4.4.
  * Replace libqt4-debug with libqt4-dbg.
  * Build depend on soprano >= 2.0.97~.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 28 Mar 2008 13:36:21 +0100

kde4libs (4:4.0.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Armin Berres:

  * Don't bump shlibs version automatically on every upload. Bumping on new
    upstream versions is enough now that the libs are stable.
  * Add versioned shlibs to libphonon4.
  * Remove kde-icons-oxygen and kdebase-runtime-data from the shlibs file of
    kdelibs5. kdebase-runtime depends on them anyway.
  * Add strict dependency of kdelibs-bin on kdelibs5 and use a more obvious
    way to remove the dependency on kdebase-runtime. shlibs.local is no more
    needed now.

  +++ Changes by Matthew Rosewarne:

  * Build-Depend on libgif-dev instead of libungif4-dev.

  +++ Changes by Modestas Vainius:

  * New patch 16_postgresql_include_path_fix.diff, which adds PostgreSQL
    include paths used on Debian to FindPostgreSQL cmake module.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Drop patches pulled from KDE's SVN, now part of the release
    - 01_make_stackingOrder_work_r769072.diff
    - 02_re-register_global_shortcuts_r769363.diff
  * Update installed files.
  * Update UPSTREAMVERSION in debian/rules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2008 12:52:59 +0100

kde4libs (4:4.0.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Make dependencies binNMU-friendly.
  * Bump Soprano minimum version to 2.0.0.
  * Remove redundant Depends: shared-mime-info from kdelibs5-dev.
  * Add Suggests: kdelibs5-doc to kdelibs5-dev.

  +++ Changes by Armin Berres:

  * Update 10_kdehome_kde4 patch. Set kde home directory to ~/.kde4
    where ~/.kde was used. Thanks to Jonathan Riddell and Suse people.
  * Update installed files.
  * Drop no more needed patch 16_arm_fixes.diff.

  +++ Changes by Fathi Boudra:

  * Make kdelibs5-dev installable on GNU/kFreeBSD. Thanks to Aurelien Jarno.
    (Closes: #462338)
  * Add dbus-x11 dependency to kdelibs5. Thanks to Chris Desjardins.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Cherry pick from branches/KDE/4.0:

    + 02_re-register_global_shortcuts_r769363:
      Re-register global shortcuts if kded4 is restarted.

  +++ Changes by Adeodato Simó:

  * Cherry pick from /branches/KDE/4.0:

    + 01_make_stackingOrder_work_r769072: fix KWindowSystem::stackingOrder() to
      actually return a non-empty list with the list of windows.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to debhelper 6.
  * Add versioned b-d on cdbs (>= 0.4.51) to get debhelper 6 support and fixed
    cmake.mk class.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Feb 2008 09:59:44 +0100

kde4libs (4:4.0.0-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Update arm patch. Avoid conversion to float. Thanks to Pino Toscano.
  * Move hal and pmount Recommends to kdebase-runtime-bin-kde4 package.
  * Rename kdelibs-dbg to kdelibs5-dbg.
    Conflicts/Replaces against kdelibs-dbg >= 4:3.91.0-1 and << 4:4.0.0-2

  +++ Changes by Armin Berres:

  * Add ${shlibs:Depends} dependency to kdelibs5-dev.

 -- Fathi Boudra <fabo@debian.org>  Sun, 13 Jan 2008 00:39:59 +0100

kde4libs (4:4.0.0-1) experimental; urgency=low

  * New upstream release. KDE 4.0.0 yay!

  +++ Changes by Armin Berres:

  * Add patch to disable debug information by default. They can be enabled
    with kdebugdialog.
  * Add patch to build no special debug code, but release code, and remove
    all hardcoded optimization and debug compiler flags. Use $(CXXFLAGS) and
    $(CFLAGS) instead.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update patch 15_kfreebsd_support to build in kfreebsd after latest changes
    in ConfigureChecks.cmake.
  * Update lintian overrides.
  * Add patch to fix make it build in arm and hopefully armel. Thanks Aurel.
    (Closes: #459515)

  +++ Changes by Matthew Rosewarne:

  * Add Homepage: to control.
  * Tweak package descriptions.
  * Replace dependency on xbase-clients with xauth.
  * Replace source:Version with binary:Version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Jan 2008 06:19:10 +0100

kde4libs (4:4.0.3-0ubuntu5) hardy; urgency=low

  * Add patch to debian/patches/series

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 20 Apr 2008 22:22:49 +0100

kde4libs (4:4.0.3-0ubuntu4) hardy; urgency=low

  * Add kubuntu_06_user_disk_mounting.diff, fix ntfs disk mounting

 -- Eugene Tretyak <etretyak@gmail.com>  Sat, 19 Apr 2008 11:11:14 +0100

kde4libs (4:4.0.3-0ubuntu3) hardy; urgency=low

  [ Terence Simpson ]
  * Add a conflicts/replaces relationship with old kde4* packages, fixes
    (LP: #214645) and probably others

  [ Harald Sitter ]
  * debian/patches/kubuntu_05_fix_firefox_bookmark_import.diff
    - Fix import of firefox bookmarks (LP: #189956)
      http://websvn.kde.org/?view=rev&revision=780085

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Apr 2008 16:42:59 +0200

kde4libs (4:4.0.3-0ubuntu2) hardy; urgency=low

  * debian/patches/kubuntu_04_klauncher_crash_LP141418.diff:
    Fix segfault in klauncher (LP: #141418)
    Patch cherrypicked from KDE SVN.

 -- Daniel Hahler <ubuntu@thequod.de>  Wed, 09 Apr 2008 00:22:32 +0200

kde4libs (4:4.0.3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2008 11:59:55 +0000

kde4libs (4:4.0.2-0ubuntu6) hardy; urgency=low

  * Ensure patch unapplied before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Mar 2008 14:42:13 +0000

kde4libs (4:4.0.2-0ubuntu5) hardy; urgency=low

  * Update kubuntu_03_edit_applications_menu.diff with more categories
    and random .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Mar 2008 13:40:36 +0000

kde4libs (4:4.0.2-0ubuntu4) hardy; urgency=low

  * Change patch 3 to kubuntu_03_edit_applications_menu.diff, collapse
    Utilities menu too

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 18:50:57 +0000

kde4libs (4:4.0.2-0ubuntu3) hardy; urgency=low

  * Add kubuntu_03_hide_kde3_kcontrol_menu_entries.diff,
    hides KDE 3 kcontrol entries from menu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 17:29:39 +0000

kde4libs (4:4.0.2-0ubuntu2) hardy; urgency=low

  * Add kubuntu_02_allow_malformed_desktop_files.diff from Guillaume
    Martres, backport of upstream.  Closes LP: #199145

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Mar 2008 17:26:30 +0000

kde4libs (4:4.0.2-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Mar 2008 11:37:28 +0000

kde4libs (4:4.0.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * rpaths seem to have disappeared, add kde4.conf to /etc/ld.so.conf.d/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jan 2008 16:14:40 +0000

kde4libs (4:4.0.0-0ubuntu5) hardy; urgency=low

  * Update 10_kdehome_kde4.diff as kubuntu_10_kdehome_kde4.diff from
    SuSE
  * Add kubuntu_01_kde3_menu_applications.diff from SuSE, make
    loading of KDE 3 apps better
  * Set -DXDG_APPS_INSTALL_DIR=/usr/share/applications/kde4/ in kde.mk
  * Add patches from Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jan 2008 18:51:35 +0000

kde4libs (4:4.0.0-0ubuntu4) hardy; urgency=low

  * Added debian/patches/51_fix_kauthorized_assert.diff which fixes an
    unnecessary crash in KAuthorized (LP: #182718)
  * Make libungif4-dev an alternative build dependency for libgif-dev (enables
    fast and easy gutsy backports)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 22 Jan 2008 22:26:12 +0100

kde4libs (4:4.0.0-0ubuntu3) hardy; urgency=low

  * Remove debian/shlibs.local before building, to get correct shlibs

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 14 Jan 2008 23:37:55 +1100

kde4libs (4:4.0.0-0ubuntu2) hardy; urgency=low

  * Make kdesu use sudo by default (LP: #182319)
  * Don't exceed 80 characters per line, where possible
  * Changed descriptions to better reflect that these packages are for KDE 4
  * Changed Maintainer tag from Ubuntu MOTU to Kubuntu Developers

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 13 Jan 2008 20:43:01 +0100

kde4libs (4:4.0.0-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Make kdelibs5-dev depend on libacl1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 06 Jan 2008 18:18:39 +0000

kde4libs (4:3.98.0~svn755919-2ubuntu5) hardy; urgency=low

  * Remove conflicts on kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 05 Jan 2008 00:40:37 +0000

kde4libs (4:3.98.0~svn755919-2ubuntu4) hardy; urgency=low

  * Remove shlibs before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Jan 2008 15:06:17 +0000

kde4libs (4:3.98.0~svn755919-2ubuntu3) hardy; urgency=low

  * Fix name of kde4libs-bin.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Jan 2008 10:51:05 +0000

kde4libs (4:3.98.0~svn755919-2ubuntu2) hardy; urgency=low

  * Add missing comma in build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Jan 2008 00:44:35 +0000

kde4libs (4:3.98.0~svn755919-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - our kde.mk and .install paths
   - build-dep on libgif not ungif
   - Don't build-dep on libfam-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 03 Jan 2008 10:44:45 +0000

kde4libs (4:3.98.0~svn755919-1) experimental; urgency=low

  * New svn snapshot release to revision 755919.

  +++ Changes by Fathi Boudra:

  * Build-dep on soprano >= 1.99~rc2-1. (Closes: #458334)
  * Split kdelibs5-dev and kdelibs. Move Phonon in his own packages.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Fix offsets in 15_kfreebsd_support patch.
  * Update years in debian/copyright. Happy new year!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 02 Jan 2008 14:08:10 +0100

kde4libs (4:3.98.0~svn753247-1) experimental; urgency=low

  * Svn snapshot of revision 753247.
  * Remove extra LDFLAGS. Included via CDBS now.
  * Update patches.
  * Update installed files.
  * Force runtime dependency on kdebase-runtime instead of the removed
    kdebase-runtime-bin.

 -- Armin Berres <trigger+debian@space-based.de>  Thu, 27 Dec 2007 16:11:13 +0100

kde4libs (4:3.97.0-3ubuntu4) hardy; urgency=low

  * Upload to fix previous buildd issue

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sun, 30 Dec 2007 18:56:00 -0600

kde4libs (4:3.97.0-3ubuntu3) hardy; urgency=low

  * Remove CMAKE_SKIP_RPATH due to us using a different path

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 24 Dec 2007 11:10:45 -0600

kde4libs (4:3.97.0-3ubuntu2) hardy; urgency=low

  * Rebuild kdelibs5-dev against libgif instead of libungif

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sun, 23 Dec 2007 18:29:17 -0600

kde4libs (4:3.97.0-3ubuntu1) hardy; urgency=low

  * Merge from Debian
  * debian/cdbs/kde.mk:
    - uncomment #DEB_CMAKE_PREFIX = /usr/lib/kde4
    - uncomment #DEB_DH_SHLIBDEPS_ARGS = -l/usr/lib/kde4/lib/
    - add $(DEB_CMAKE_PREFIX) to DEB_CMAKE_EXTRA_FLAGS
    - replace "Debian packages" with "Kubuntu packages" for
      KDE_DISTRIBUTION_TEXT

  +++ Changes by Ilya Eremin:

  * Rebuild against libgif instead of libungif (LP: #176836)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sat, 22 Dec 2007 13:19:58 -0600

kde4libs (4:3.97.0-2) experimental; urgency=low

  * The "Pizza with Champagne" release.

  +++ Changes by Armin Berres:

  * Add patch to hardcode /dev/ptmx as ptm device to work around broken
    build environments.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add patch for kfreebsd support.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Dec 2007 03:31:22 +0100

kde4libs (4:3.97.0-1ubuntu2) hardy; urgency=low

  * Remove shlibs.local before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2007 10:44:30 +0000

kde4libs (4:3.97.0-1ubuntu1) hardy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Dec 2007 11:38:31 +0000

kde4libs (4:3.97.0-1) experimental; urgency=low

  * New upstream release.
  * Update *.install files.
  * Update Standards-Version to 3.7.3.
  * Remove README.Debian, packages are stable now.
  * Update package descriptions, remove references to beta status.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.
  * Do not build depend on libasound2-dev and libkeyutils-dev in the archs
    they do not exist.
  * Move Depends on hal | kfreebsd-gnu | hurd, pmount | kfreebsd-gnu | hurd,
    to Recommends. (Closes: #452255)
  * Add lintian override for extra-license-file warnings in kdelibs5-data.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 09 Dec 2007 15:47:28 +0100

kde4libs (4:3.96.0-1ubuntu3) hardy; urgency=low

  * Rebuild to recreate deleted packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Dec 2007 00:25:08 +0000

kde4libs (4:3.96.0-1ubuntu2) hardy; urgency=low

  * Make kdelibs5-dev depend on libacl1-dev
  * Remove kdelibs5-dev conflicts on kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Nov 2007 13:03:01 +0000

kde4libs (4:3.96.0-1ubuntu1) hardy; urgency=low

  * Sync with Debian.  Rename kdelibs-bin to kde4libs-bin and
    kdelibs-dbg to kde4libs-dbg
  * Add DEB_CMAKE_PREFIX = /usr/lib/kde4
  * Add DEB_DH_SHLIBDEPS_ARGS = -l/usr/lib/kde4/lib/
  * Edit kde.mk for $(DEB_CMAKE_PREFIX)
  * Don't build-dep on libfam-dev
  * Comment out "experimental" requirement in kde.mk
  * kdelibs5-dev doesn't depend on fam

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2007 12:12:41 +0000

kde4libs (4:3.96.0-1) experimental; urgency=low

  * New upstream release.
  * Update *.install files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 14 Nov 2007 13:17:32 +0100

kde4libs (4:3.95.2-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump build dependencies versions.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Nov 2007 20:18:43 +0100

kde4libs (4:3.95.0-1) experimental; urgency=low

  * New upstream release: KDE4 beta 4.

  +++ Changes by Fathi Boudra:

  * Remove libpulse0 conflict. It was a temporary workaround.
  * Update 11_applications_menu patch. We must keep the extension unchanged.
  * Add 12_deprecate_applnk patch. We use /usr/share/applications in any case.

  +++ Changes by Armin Berres:

  * Update *.install files.

  +++ Changes by Sune Vuorela:

  * Leet shlibs hacking.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 25 Oct 2007 14:47:24 +0200

kde4libs (4:3.94.0-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Pull SVN branch to r726725.

  +++ Changes by Armin Berres:

  * Add debug package.
  * Make kdelibs5-dev depend on recent soprano.
  * Add dependency of kdelibs5 on kde-icons-oxygen. It is needed by nearly
    every KDE4 application.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Oct 2007 20:56:22 +0200

kde4libs (4:3.94.0-1) experimental; urgency=low

  * KDE4 beta3.

  +++ Changes by Armin Berres:

  * Add kdelibs5 dependency on shared-mime-info.
  * Update *.install files.
  * Install man pages.
  * Rename debian/no-install.txt to debian/not-installed and reformat it for
    being usable with "debian/rules list-missing".
  * Update patches.
  * Depend on up to date libsoprano.
  * Conflict with libpulse0 for preventing crashes. This is definitely just a
    temporary workaround and should be removed ASAP.
  * Depend on hal which is used as Solid backend.
  * Depend on pmount.

  +++ Changes by Sune Vuorela:

  * kjscmd also exists in kjscmd from kdebindings. Adding conflict.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Oct 2007 13:42:50 +0200

kde4libs (4:3.93.0-1) experimental; urgency=low

  * New upstream version.
   - Remove patches: 01_libkdeprint_management_soname and
     02_strigi-0.5.5_support merged upstream. And 12_no_emoticon is not
     longer needed.
  * Update *.install files.
  * Update not-installed.list
  * Remove prune-nonfree, there is not longer non-free stuff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 03 Sep 2007 20:13:59 +0200

kde4libs (4:3.92.0.dfsg.1-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Add patch to support strigi-0.5.5.
  * Move binaries to kdelibs5-dev:
    * checkXML, kconfig_compiler, ksvgtopng, kunittestmodrunner,
      makekdewidgets, preparetips.
  * Add kdelibs5-dev conflicts against kdelibs4-dev.
  * Remove qt4-designer-kde4-plugins package. No need to have an extra package
    as qt4 designer plugins are higky dependent on kdelibs5 and development.
  * Add qt4_designer_plugins_path patch to fix plugins installation path.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * No shipping emoticons images to avoid conflicts with current kdebase-data
    (KDE3), patch 12. See list in no-install.list.
  * Add patch 04_libkdeprint_management_soname.diff to avoid same soname name
    than in current KDE version.
  * Build-Depend only on libungif4-dev. kdegraphics b-d on imlib11 that b-d on
    libungif4-dev, if we build against libgif-dev, this kdelibs version and
    kdegraphics3 can not co-exist.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Aug 2007 02:21:33 +0200

kde4libs (4:3.92.0.dfsg.1-1) experimental; urgency=low

  * KDE4 beta 1, first upload to the Debian archive.
  * Update *.install files.
  * Prune non-free files, added script prune-nonfree.
  * Add patches:
    * 01_kdehome_kde4: set kdehome directory to .kde4.
    * 02_applications_menu_kde4: append .kde4 to applications.menu.
  * Add warning about experimental packages in README.Debian.
  * Remade the copyright file, thanks to  Marc 'HE' Brockschmidt, for
    sharing the fun.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 06 Aug 2007 16:38:29 +0200

kde4libs (4:3.91.0-1) alioth; urgency=low

  * New alpha.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 01 Jul 2007 16:12:54 +0200

kde4libs (4:3.90+svn20070601-r670402-1) alioth; urgency=low

  * Initial release of KDE4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 May 2007 16:02:37 +0100

